2009-04-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_save_as_jpeg):
	* src/dlg-bookmarks.c: (dlg_edit_bookmarks):
	* src/dlg-catalog.c: (dlg_add_to_catalog),
	(dlg_move_to_catalog_directory):
	* src/dlg-comment.c: (dlg_comment_new):
	* src/dlg-duplicates.c: (dlg_duplicates):
	* src/dlg-png-exporter.c: (dlg_png_exporter_pref):
	Plugged a variety of small memory leaks, detected using
	"cppcheck -q -a -f .". Bug #578282.

2009-04-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/gthumb-import.desktop.in:
	The existing import scripts did not properly unmount gvfs-mounted
	cameras. Gnome bug #560352, Ubuntu bug #351122.

2009-04-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_tools.glade:
	Made the OK button the default widget in the rename dialog.

2009-02-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gfile-utils.c: (gfile_get_file_mime_type):
	Fixed bug #572498 - don't forget to return the result!
	Patch by Matthias Hawran <matthias@hawran.net>.

2009-02-19  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: Store keywords in XMP
	metadata by default, instead of IPTC. Bug #572424.
	Patch by Jef Driesen <jefdriesen@hotmail.com>.

2009-02-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-loader.c: (image_loader_finalize__step2),
	(image_loader_finalize):
	Fixed bug #570473, gthumb write to freed memory.
	Patch by Jerry Tan <jerry.tan@sun.com>.

2009-02-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser.c: (menu_item_select_cb):
	* src/gth-viewer.c: (menu_item_select_cb):
	Fixed bug #568894 - use gtk_widget_get_action (foo), instead of
	g_object_get_data (foo,  "gtk-action").

2009-02-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gtk-utils.c: (panel_find_icon):
	Fix a possible crash. Patch taken from Fedora 2.10.10 source rpm,
	which I don't recall seeing upstream...

2009-01-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gfile-utils.c: (gfile_xfer):
	Use G_FILE_COPY_TARGET_DEFAULT_PERMS (if glib >= 2.19.0)
	so that copied/moved files receive the default permissions
	for the user (respecting the umask and any directory setgid bits)
	rather than trying to copy the old permissions.

2009-01-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/gthumb-import.desktop.in:
	Change the comment field too, following up on the last change.

2009-01-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/gthumb-import.desktop.in:
	Give the photo-import desktop file different name parameters, so 
	that users can distinguish it from the normal desktop file.
	Ubuntu bug http://bugs.launchpad.net/bugs/318694.

2009-01-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-utils.c: (gthumb_display_help):
	* src/catalog-web-exporter.c: (export__final_step),
	(export__copy_to_destination__step2):
	* src/dlg-file-utils.c: (set_error_from_vfs_result),
	(real_files_delete__continue2), (real_files_delete__continue),
	(file_move_ask__continue), (file_copy_ask__continue),
	(dlg_file_rename_series), (file_copy_data_free),
	(file_copy__continue_or_abort__response_cb),
	(continue_or_abort_dialog), (files_copy__done),
	(file_progress_update_cb), (xfer_file), (copy_current_file),
	(copy_next_file), (dlg_files_copy), (dlg_files_move_to_trash),
	(file_delete_data_free), (files_delete__done),
	(file_delete_progress_update_cb), (dlg_files_delete),
	(folder_copy_data_free), (folder_progress_update_cb),
	(folder_copy), (dlg_folder_move_to_trash), (copy_item__continue2),
	(item_copy__continue_or_abort__response_cb),
	(copy_item__continue1), (copy_current_item), (dlg_copy_items):
	* src/dlg-file-utils.h:
	* src/dlg-write-to-cd.c: (write_to_cd__continue):
	* src/gth-browser-actions-callbacks.c: (show_folder),
	(folder_delete__continue2), (folder_delete__continue),
	(folder_copy__continue):
	* src/gth-browser.c: (move_items__continue):
	Isolate gnome_vfs code in dlg-file-utils by adding a gerror wrapper.
	Patch by Christophe Bisière. Bug #525482.

2009-01-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-viewer.c: (load_image__step2):
	Simplify the previous commit, by not duplicating the already existing
	FileData.

2009-01-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-viewer.c: (load_image__step2):
	Fixed crash due to unitialized FileData introduced in the refactoring
	of the image viewer (see bug #501512). Patch by Christophe Bisière.
	Bug #566377.

2009-01-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (dir_make), (dir_remove):
	* libgthumb/gconf-utils.c: (eel_gconf_set_string_list),
	(eel_gconf_get_string_list):
	* src/dlg-web-exporter.c: (theme_dialog__go_to_folder_clicked):
	Add "=NULL" to "GError *error" declarations to initialize properly.
	Expanded version of patch by Christophe Bisière. Bug #566421.

	* libgthumb/gth-utils.c: (gthumb_display_help):
	Reformat the GError initialization in the more usual form.

2008-12-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-loader.c: (image_loader_init):
	* libgthumb/image-loader.h:
	* src/gthumb-preloader.c: (gthumb_preloader_load__step2):
	Removed the unusued "priority" variable in the image loader, which
	also permitted the removal of the gnomevfs code in the image loader.

2008-12-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/dlg-save-image.c: (save_image), (file_save_ok_cb),
	(dlg_save_image_as), (dlg_save_image):
	The metadata copying wasn't working quite right in the "Save As" case,
	because the original uri wasn't forwarded to the metadata copying
	routine. Fixed now.

2008-12-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (get_file_mime_type):
	GFileInfo doesn't work for non-existent files, so we have to use
	g_content_type_guess to determine the mime type based on a proposed
	filename.

2008-12-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (get_filename_extension),
	(get_temp_file_name), (get_cache_full_path),
	(get_cache_filename_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gfile-utils.c: (gfile_get_file_mime_type):
	* libgthumb/gfile-utils.h:
	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_savev):
	* src/dlg-photo-importer.c: (valid_mime_type),
	(load_images_preview__step):
	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_file_print):
	Use the gfile functions to determine the file extension. Return the
	extension as a char*, rather than const char*. Treat the dot before
	the extension more consistently.

2008-12-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (update_and_save_metadata):
	Migrated permissions-copying code from gnomevfs to gfile.

2008-12-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/gthumb.xml:
	* src/dlg-scripts.c:
	Fixed default launch-with-gimp hotkey to launch gimp in the
	background. Bug #565708.

2008-12-24  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gfile-utils.c: (gfile_get_display_name):
	* libgthumb/gfile-utils.h:
	* src/dlg-web-exporter.c: (add_theme_dir),
	(theme_dialog__install_theme_clicked):
	More gfile migration and gnomevfs purging.

2008-12-24  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-web-exporter.c: (theme_present):
	Simplify theme_present and use gfile-based functions.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c:
	* libgthumb/file-utils.h:
	Deleted unused functions: get_file_path_from_uri,
	get_catalog_path_from_uri, get_search_path_from_uri,
	remove_scheme_from_uri, new_path_from_uri.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c:
	* libgthumb/file-utils.h:
	Removed an unused function (checksum_simple).

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (load_info):
	Removed obsolete comment.

	* libgthumb/file-utils.c: (get_file_mtime), (get_file_ctime),
	(set_file_mtime):
	Migrated these functions to gfile.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (get_mime_type_from_ext):
	* libgthumb/file-utils.h:
	* src/dlg-image-prop.c: (update_general_info):
	* src/dlg-open-with.c: (dlg_open_with):
	Remove the gnome-vfs mimetype detection routine, and replace
	it with the existing gfile-based one.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.h:
	* libgthumb/file-utils.c: (dir_make)
	Ported to gfile. Also, use default umask rather than specifying one.
	
	* (dir_remove),
	(dir_remove_recursive), (ensure_dir_exists):
	Rename file -> gfile for clarity.

	* src/catalog-web-exporter.c: (save_image_preview_cb):
	Fixed a crash-causing typo.

	* src/dlg-catalog.c: (new_dir_cb):
	* src/dlg-web-exporter.c: (ensure_local_theme_dir_exists):
	* src/gth-browser-actions-callbacks.c:
	(create_new_folder_or_library):
	Use the umask-less version of dir_make.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (load_info):
	Turn off verbose error reports.

	* libgthumb/file-utils.c: (can_read_write_execute):
	* libgthumb/file-utils.h:
	* src/dlg-file-utils.c: (dlg_check_folder):
	* src/dlg-photo-importer.c: (ok_clicked_cb):
	Convert gnomevfs-based check_permissions to gfile-based
	can_read_write_execute.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/bookmarks.c:
	* libgthumb/catalog.c:
	Deleted some unused #defines.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/dlg-save-image.c:
	* libgthumb/glib-utils.c:
	* libgthumb/image-viewer.c:
	* libgthumb/print-callbacks.c:
	* src/catalog-list.c:
	* src/dlg-brightness-contrast.c:
	* src/dlg-change-date.c:
	* src/dlg-color-balance.c:
	* src/dlg-convert.c:
	* src/dlg-hue-saturation.c:
	* src/dlg-jpegtran.c:
	* src/dlg-posterize.c:
	* src/dlg-preferences.c:
	* src/dlg-reset-exif.c:
	* src/dlg-scale-image.c:
	* src/dlg-scale-series.c:
	* src/gth-category-selection-dialog.c:
	* src/gth-folder-selection-dialog.c:
	Removed some unused gnome-vfs includes.

2008-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (load_info):
	Load the fast mime_type initially.

	* libgthumb/file-utils.c: (path_list_new),
	(visit_rc_directory_sync), (free_cache), (check_cache_free_space):
	Use the new gfile_path_list_new, and fix a small memory leak.

	* libgthumb/gfile-utils.c: (gfile_path_list_new):
	* libgthumb/gfile-utils.h:
	Add a gfile version of path_list_new, as part of the gio porting.

2008-12-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* many files: Ported file-data.c from gnome_vfs to gfile.
	Simplified file-data.c slightly and removed some redundant functions.

2008-12-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/dlg-save-image.c: (save_image):
	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_savev),
	(_gdk_pixbuf_save):
	* libgthumb/pixbuf-utils.h:
	* src/catalog-web-exporter.c: (save_thumbnail_cb),
	(save_image_preview_cb), (save_resized_image_cb):
	* src/dlg-convert.c: (save_image_and_remove_original):
	* src/gth-batch-op.c: (pixbuf_op_done_cb):
	* src/rotation-utils.c: (apply_transformation_generic):
	When saving a file, specify the original file from which metadata
	should be copied. The previous commit had a flaw where if you saved
	a pixbuf to overwrite already-existing file, the metadata from the
	existing file was copied into the new file. This commit fixes that.

2008-12-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_savev):
	Fixed metadata saving with exiv2 0.18. When saving an edited pixbuf,
	first try copying the metadata from a backup copy of the original
	file. If that fails, copy from the internal metadata glist, which is
	less robust, because it does not contain variable-typing data.

2008-12-19  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* README:
	* configure.in:
	* libgthumb/gth-exiv2-utils.cpp:
	Adapt to exiv2 0.18, which has API changes. Metadata writing is
	partly broken, so don't use trunk for editing until that is fixed.
	Working on it!

2008-12-18  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/comments.c: (load_comment_from_xml), (save_comment):
	Fixed XML comment reading. Bug #563956. Modified version of
	patch by Jef Driesen <jefdriesen@hotmail.com>.

2008-12-17  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/catalog.h:
	* libgthumb/cursors.c:
	* libgthumb/dlg-save-image.h:
	* libgthumb/eel-canvas-rect.c:
	* libgthumb/file-utils.c:
	* libgthumb/gth-file-view.h:
	* libgthumb/gth-image-list.c:
	* libgthumb/gth-image-list.h:
	* libgthumb/gth-iviewer.h:
	* libgthumb/gth-nav-window.h:
	* libgthumb/image-loader.c:
	* libgthumb/image-loader.h:
	* libgthumb/image-viewer-image.h:
	* libgthumb/image-viewer.c:
	* libgthumb/image-viewer.h:
	* libgthumb/nav-window.h:
	* libgthumb/preferences.h:
	* libgthumb/print-callbacks.c:
	* libgthumb/thumb-loader.c:
	* src/bookmark-list.h:
	* src/catalog-list.h:
	* src/catalog-png-exporter.c:
	* src/catalog-png-exporter.h:
	* src/catalog-web-exporter.h:
	* src/dlg-open-with.h:
	* src/gth-batch-op.h:
	* src/gth-browser-actions-callbacks.h:
	* src/gth-category-selection-dialog.h:
	* src/gth-exif-data-viewer.h:
	* src/gth-filter-bar.h:
	* src/gth-folder-selection-dialog.h:
	* src/gth-fullscreen-actions-callbacks.h:
	* src/gth-location.c:
	* src/gth-location.h:
	* src/gth-viewer-actions-callbacks.h:
	* src/gth-window-actions-callbacks.h:
	* src/gth-window.h:
	* src/gtkcellrendererthreestates.c:
	* src/gtkcellrendererthreestates.h:
	Cleaned up gtk and glib includes to use only toplevel headers.
	Bug #564298. Patch by Przemysław Grzegorczyk
	<pgrzegorczyk@gmail.com>.

2008-12-16  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* configure.in:
	* src/Makefile.am:
	* src/gs-fade.c:
	* src/gth-application.c:
	* src/gth-browser-ui.h:
	* src/gth-browser.c: (gth_browser_construct):
	* src/totem-scrsaver.c:
	Provide support for the Mac OS X menubar. Bug #554240. Modified
	version of the patch by W. Michael Petullo <mike@flyn.org>.
	Also, define the HAVE_GDKX macro properly so it really works.

2008-11-17  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/gth-filter.c (test_keywords): 

	Fixed bug #560055 – filter problems
	
2008-11-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* configure.in:
	* libgthumb/eel-canvas-rect.c:
	* libgthumb/gth-image-list.c:
	* src/gth-application.c: (show_grabbing_focus):
	* src/gth-fullscreen.c: (gth_fullscreen_finalize),
	(gth_fullscreen_init), (gth_fullscreen_show),
	(gth_fullscreen_pause_slideshow):
	* src/totem-scrsaver.c:
	* src/totem-scrsaver.h:
	Modified the build files to better support gtk on MAC OS / Quartz.
	Bug #551225. Based on a patch by W. Michael Petullo <mike@flyn.org>.

2008-11-12  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/Makefile.am:
	* data/gthumb-import.desktop.in:
	* data/gthumb.desktop.in:
	Added a new gthumb-import.desktop.in file to handle gvfs-mounted
	cameras more elegantly. The camera is first unmounted, and the 
	libgphoto import routines are then run. Merged from Ubuntu.
	Bug #560352. Patch by Martin Pitt <martin.pitt@canonical.com>.

2008-11-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_convert.glade:
	* data/glade/gthumb_crop.glade:
	* data/glade/gthumb_edit.glade:
	* data/glade/gthumb_png_exporter.glade:
	* data/glade/gthumb_preferences.glade:
	* data/glade/gthumb_print.glade:
	* data/glade/gthumb_redeye.glade:
	* data/glade/gthumb_tools.glade:
	* data/glade/gthumb_web_exporter.glade:
	Set pagesize adjustment to zero for spinbuttons, to avoid annoying
	warnings. Bug #557640. Trunkified version of the patch by
	Matthias Clasen <mclasen@redhat.com>.

2008-10-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/figures/main-win.png:
	Improved screenshot by Bryan Quigley <gQuigs@gMail.com>.
	Bug #557339.

2008-10-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/gthumb.xml: Fixed typos in the manual. Bug #557233. Patch
	by Christian Kirbach <Christian.Kirbach@googlemail.com>.

2008-10-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/figures/main-win.png: 
	Replaced obsolete screenshot with a more recent one provided
	by Bryan Quigley <gQuigs@gMail.com>. Bug #557339.

2008-10-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-photo-importer.c: (destroy_cb), (save_image),
	(ok_clicked_cb):
	Go to the last-used subfolder (instead of the base folder) after 
	importing photos, when the group-into-subfolders mode is used.

2008-10-08  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* doc/C/gthumb.xml:
	* src/dlg-preferences.c: (dlg_preferences):
	* src/gth-browser.c: (key_press_cb):
	The "g" key now launches the "gimp" command, instead of the
	deprecated "gimp-remote" command. Bug #555549.

2008-09-20  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/file-utils.c (mime_type_is_image): 
	
	Do not exclude xcf images.

	* src/gth-dir-list.h: 
	* src/gth-dir-list.c: 
	* src/gth-browser.c: 
	* libgthumb/preferences.h: 
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: 
	* libgthumb/catalog.c: 
	* data/gthumb.schemas.in: 
	
	Added ability to hide video and audio files, using the gconf key 
	/apps/gthumb/browser/show_only_images.
	
	* COPYING: new file.
	
	Fixes bug #552453 – gthumb 2.10.9 contains COPYING for GPL v3

2008-09-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-loader.c: (image_loader_set_pixbuf)
	Allow setting the pixbuf to NULL.

	* libgthumb/image-viewer-image.c: (create_pixbuf_from_iter),
	(image_viewer_image_new), (pixbuf_to_surface):
	* libgthumb/image-viewer.c: (set_pixbuf__step2),
	(image_viewer_set_pixbuf), (image_viewer_set_void):
	Avoid dereferencing NULL pointers.

	Fixes regression from bug #501512. Patch by 
	Geoffrey Antos <dynamotwain@aim.com>.

2008-09-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/catalog-png-exporter.c:
	* src/main.c:
	Remove unnecessary gdkx.h includes. Bug #551225.

2008-09-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/catalog.c: (catalog_load_from_disk__common):
	Call g_propagate_error only when there is an error, to reduce
	needless warnings. Patch by Geoffrey Antos <dynamotwain@aim.com>.
	From bug #525482.

2008-09-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/gthumb.desktop.in: Removed deprecated "Encoding" directive.
	Bug #549993. Patch by Pacho Ramos <pacho@condmat1.ciencias.uniovi.es>.

2008-08-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gfile-utils.c:
	Ran "astyle --style=linux" to tidy up the code. No functional changes.

2008-08-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/bookmarks.c: (bookmarks_write_to_disk):
	* libgthumb/catalog.c: (catalog_write_to_disk):
	* libgthumb/file-utils.c: (dir_remove), (file_unlink),
	(get_file_mime_type), (image_is_jpeg), (image_is_gif):
	* libgthumb/gfile-utils.c: (gfile_warning),
	(gfile_get_filename_extension), (gfile_get_file_mime_type),
	(_gfile_image_is_type), (_gfile_image_is_type__gconf_file_type),
	(gfile_image_is_jpeg), (gfile_image_is_gif), (gfile_is_filetype),
	(gfile_get_file_size), (_gfile_make_directory_tree),
	(gfile_ensure_dir_exists), (_gfile_ith_temp_folder_to_try),
	(gfile_get_temp_dir_name), (_gfile_delete_directory_recursive),
	(gfile_dir_remove_recursive), (gfile_output_stream_write),
	(gfile_output_stream_write_line):
	* libgthumb/gfile-utils.h:
	* src/albumtheme.c: (yyparse):
	* src/albumtheme.l:
	* src/albumtheme.y:
	* src/catalog-web-exporter.c: (_write_line), (_write_locale_line),
	(write_line), (write_markup_escape_line),
	(write_markup_escape_locale_line), (gth_parsed_doc_print),
	(gfile_parsed_doc_print), (save_html_image_cb),
	(save_html_index_cb), (export__copy_image), (get_parsed_file),
	(parse_theme_files):
	* src/lex.albumtheme.c:
	Greater use of g_output_stream_write. Use gfile-based mime-type
	detection. Patch by Christophe Bisière. Bug #525482.

2008-08-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in: Added AC_PROG_CXX to fix bug #547803.
	Patch by Christophe Bisière.

2008-08-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (get_destination_free_space):
	Don't put the free space into a gboolean. That's only suitable for
	1-bit storage systems. guint64 is more capacious.

2008-08-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/catalog.c: (catalog_load_from_disk__common),
	(catalog_write_to_disk):
	gfile migration. Bug #525482. Purged gnome_vfs from catalog code.	

	* src/dlg-catalog.c: (add_to_catalog__ok_cb):
	* src/gth-browser.c: (catalog_activate),
	(add_image_list_to_catalog):
	* src/gth-window-utils.c: (remove_files_from_catalog):
	Initialize gerror to NULL.

2008-08-12  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/bookmarks.c: (bookmarks_load_from_disk),
	(bookmarks_write_to_disk):
	Added better error reporting.

2008-08-12  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/bookmarks.c:
	Remove unused macro, MAX_LINE_LENGTH.

2008-08-12  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/bookmarks.c: (bookmarks_load_from_disk),
	(bookmarks_write_to_disk):
	* libgthumb/gfile-utils.c: (gfile_output_stream_write_line):
	* libgthumb/gfile-utils.h:
	gfile migration. Bug #525482. Purged gnome_vfs from bookmark code.

2008-08-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (obtain_local_file):
	* libgthumb/file-utils.h:
	* libgthumb/gth-exif-utils.c: (update_and_save_metadata):
	More gfile migration by Christophe Bisière. Bug #525482.
	Replace gnome_vfs_xfer_uri with file_copy in the local cache code.

2008-08-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (xfer_file), (file_rename):
	* libgthumb/file-utils.h:
	* libgthumb/gfile-utils.c: (gfile_warning),
	(_empty_file_progress_cb), (gfile_xfer), (gfile_copy),
	(gfile_move):
	* libgthumb/gfile-utils.h:
	* src/dlg-file-utils.c: (dlg_file_rename_series):
	* src/gth-browser-actions-callbacks.c: (catalog_rename),
	(folder_rename), (folder_copy__response_cb):
	More gfile migration by Christophe Bisière. Bug #525482.
	Migrated simple (synchronous) file transfer bits of code.

	* src/catalog-web-exporter.c: (export__save_other_files),
	(export__copy_image):
	Purged more gnome-vfs bits from the web exporter.

2008-08-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (dir_remove_recursive),
	(ensure_dir_exists), (xfer_file), (local_file_move), (file_rename),
	(path_is_file), (path_is_dir), (get_file_size),
	(get_destination_free_space):
	* libgthumb/gfile-utils.c: (gfile_debug), (gfile_warning),
	(gfile_new), (gfile_new_va), (gfile_append_path), (gfile_is_local),
	(gfile_get_home_dir), (gfile_get_tmp_dir),
	(gfile_make_temp_in_dir):
	* libgthumb/gfile-utils.h:
	* src/catalog-web-exporter.c: (gfile_get_style_dir),
	(catalog_web_exporter_finalize), (catalog_web_exporter_init),
	(catalog_web_exporter_set_style),
	(catalog_web_exporter_set_location), (get_album_file),
	(get_image_file), (export__save_other_files), (parse_theme_files),
	(ensure_album_dir_exists), (catalog_web_exporter_export):
	* src/catalog-web-exporter.h:
	More gfile migration by Christophe Bisière. Bug #525482. Most
	notably, added gfile_new and gfile_new_va to elegantly construct
	gfiles from paths / uris.

2008-08-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (dir_remove_recursive),
	(local_dir_remove_recursive), (ensure_dir_exists), (path_is_file),
	(path_is_dir), (get_file_size), (get_temp_dir_name),
	(get_destination_free_space):
	* libgthumb/file-utils.h:
	* libgthumb/gfile-utils.c: (gfile_get_uri), (gfile_get_path),
	(gfile_warning), (gfile_is_filetype), (gfile_path_is_file),
	(gfile_path_is_dir), (gfile_get_file_size), (make_directory_tree),
	(gfile_ensure_dir_exists), (gfile_is_local),
	(gfile_get_destination_free_space), (gfile_get_home_dir),
	(gfile_get_tmp_dir), (ith_temp_folder_to_try),
	(gfile_make_temp_in_dir), (gfile_get_temp_dir_name),
	(delete_directory_recursive), (gfile_dir_remove_recursive):
	* libgthumb/gfile-utils.h:
	* src/catalog-web-exporter.c: (gfile_get_relative_uri),
	(gfile_get_relative_path), (gth_parsed_doc_print),
	(export__save_other_files), (save_thumbnail_cb),
	(save_html_image_cb), (save_html_index_cb),
	(save_image_preview_cb), (save_resized_image_cb),
	(export__copy_image), (ensure_album_dir_exists),
	(ensure_dir_structure), (catalog_web_exporter_export):

	More gfile migration by Christophe Bisière. Bug #525482.
	The new gfile-only utility functions are going into
	gfile-utils.[ch]. The old path/uri functions are being reduced
	to wrappers for the new gfile functions, until they can be
	purged entirely.

2008-08-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (get_path_relative_to_uri):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	Fixed bug 546875 – Web exporter: attribute " relative_path" of tag
	<gthumb:file_path/> does not work. Patch by Christophe Bisière.

2008-08-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/Makefile.am:
	* libgthumb/gfile-utils.c:
	* libgthumb/gfile-utils.h:
	* po/POTFILES.in:
	Added gfile-utils.[ch] to contain gfile utility functions.

2008-08-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/catalog-png-exporter.c:
	* src/catalog-web-exporter.c:
	* src/catalog-web-exporter.h:
	Continuation of the gio migration. Christophe Bisière's updates
	to the index-image and web-album exporters. Bug #525482.

2008-08-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-viewer.c: (image_viewer_size_allocate):
	Make scrollbars go away in zoom-to-fit modes, regression from
	bug #501512. Patch by Geoffrey Antos <dynamotwain@aim.com>.

2008-08-08  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/theme-xml.txt: Corrected theme documentation, as per
	bug #546874. Patch by Christophe Bisière. 

2008-08-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser.c: (ask_whether_to_save):
	* src/gth-viewer.c: (ask_whether_to_save):
	"Do Not Save" -> "Do _Not Save". Pulls in downstream keybinding
	patch from Debian, Ubuntu. Bug #546655.
	
2008-08-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-viewer.c: (set_pixbuf__step2), (image_loaded),
	(create_image): 
	Do not emit image_loaded signal when image_viewer_set_pixbuf is 
	called, fixing prompts to save modified images. 

	* libgthumb/image-viewer-image.c: (image_viewer_image_get_path):
	Fix a NULL-dereference.

	Patches by Geoffrey Antos <dynamotwain@aim.com>. Bug #501512.

2008-08-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (_empty_file_progress_cb), (xfer_file),
	(file_rename), (path_exists), (copy_data_new),
	(copy_file_async_done), (copy_remote_file_to_cache_done):
	* libgthumb/file-utils.h:
	* libgthumb/image-loader.c: (image_loader_start__step3),
	(image_loader_start__step2):
	* src/catalog-png-exporter.c:
	(copy_current_file_to_destination_done), (begin_page), (end_page),
	(paint_frame):
	* src/catalog-png-exporter.h:
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	* src/dlg-convert.c: (save_image_and_remove_original_step2):
	* src/dlg-file-utils.c: (dlg_file_rename_series):
	* src/dlg-jpegtran.c: (apply_transformation_done),
	(apply_transformation__step2), (apply_transformation),
	(apply_transformation_to_all_continue),
	(load_next_image_after_transformation):
	* src/dlg-photo-importer.c: (async_step_done):
	* src/dlg-png-exporter.c:
	* src/dlg-reset-exif.c: (apply_transformation_done),
	(apply_transformation__step2), (apply_transformation),
	(apply_transformation_to_all_continue):
	* src/gth-batch-op.c: (save_image_and_remove_original_step2):
	* src/gth-browser-actions-callbacks.c: (catalog_rename),
	(folder_rename), (folder_copy__response_cb):
	* src/gth-browser.c: (dir_list_key_press_cb),
	(dir_list_button_release_cb), (catalog_list_button_release_cb),
	(key_press_cb), (viewer_drag_data_received):
	* src/gth-window-actions-callbacks.c: (set_wallpaper_step_2):
	* src/rotation-utils.c: (apply_transformation_jpeg):

	Continuation of the gio migration. File transfers now use the gio
	code. Tweaked version of Gabriel Falcão's (gabriel@nacaolivre.org)
	patches from bug #525482.

2008-08-05  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/Makefile.am: added RENDER_LIBS and png to list of libraries.
	
	Fixes bug #546383 – gthumb 2.10.9 fails to link
	Patch by Götz Waschk.

2008-08-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_tools.glade:
	* data/gthumb.schemas.in:
	* libgthumb/async-pixbuf-ops.c: (scale_step), (_gdk_pixbuf_scale):
	* libgthumb/async-pixbuf-ops.h:
	* libgthumb/preferences.h:
	* src/dlg-scale-series.c: (ok_cb), (dlg_scale_series):
	Allow swapping of height and width during scale-series for
	best fit. Bug #507216. Tweaked version of the patch by
	Roman Ovseytsev <romovs@gmail.com>.

2008-08-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/theme-xml.txt:
	* libgthumb/pixbuf-utils.c: (scale_keeping_ratio_min),
	(scale_keeping_ratio):
	* libgthumb/pixbuf-utils.h:
	* src/catalog-web-exporter.c: (catalog_web_exporter_init),
	(catalog_web_exporter_set_preview_min_size), (get_var_value),
	(image_loader_done), (parse_theme_files):
	* src/catalog-web-exporter.h:
	Allow a minimum thumbnail size to be specified in the web album
	exporter, to handle panoramic images better. Bug #488832.
	Patch by Christophe Bisiere, based on Antoine Calando's patch.

2008-08-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/theme-xml.txt:
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	Add thumbnail and preview attributes to file_name and file_path tags
	in web album exporter. Patch by Christophe Bisiere. Bug #545750.

2008-08-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	Merge from gthumb-2-10:

	* src/gth-browser.c (window_update_sensitivity): set only_one_is_selected
	when n_selected is 1 (was 0).
	
	Fixes bug: doesn't allow to go to the image destination folder from the 
	catalog list.
	
	* libgthumb/thumb-loader.c (thumb_loader_start__step2): move the
	5 seconds test after the valid failed thumbnail test.
	
	* src/dlg-search.c (directory_load_cb): update the files mime type or the 
	thumbnail will not be created if necessary.
	
	* libgthumb/comments.c (save_comment): just check if data is NULL 
	before saving (#543771).
	
	* src/catalog-web-exporter.c (get_var_value): check whether 
	ce->eval_image is NULL before using it. 
	(export__save_html_files): init ce->eval_image to NULL.

2008-08-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/albumtheme.l:
	* src/lex.albumtheme.c:
	Fix yyunput-defined-but-not-used warning.
	Patch by Christophe Bisiere. Bug #543966.

2008-08-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in:
	Remove checks for XF86Gamma headers and libs.

	* data/gthumb.schemas.in:
	Remove old fading preference from schema.

	Patch by Geoffrey Antos <dynamotwain@aim.com>. Bug #501512.

2008-07-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-loader.c: (image_loader_set_pixbuf):
	When setting a static pixbuf, free any loaded animation
	as animations override static pixbufs.

	* libgthumb/image-viewer-image.c: (image_viewer_image_paint):
	Remove unused variable.

	* libgthumb/image-viewer.c: (set_pixbuf__step2),
	(image_viewer_set_pixbuf):
	Fix a potential race-condition if called while still
	loading an image.

	Patch by Geoffrey Antos <dynamotwain@aim.com>. Bug #501512.

2008-07-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-nav-window.c: (size_changed_cb):
	Remove assumptions about GtkAdjustment->lower being 0

	* libgthumb/nav-window.c: (nav_window_events), (update_view):
	* libgthumb/image-viewer-image.c, libgthumb/image-viewer-image.h:
	Adjust [xy]-offset scales such that an offset of (0,0)
	will draw the image in the center of the widget even if
	widget is bigger or smaller than the image itself (important
	when there are two images with different sizes  on the screen at 
	once).

	* libgthumb/image-viewer-image.c, libgthumb/image-viewer-image.h:
	Have image paint itself to a cairo buffer to be used
	by a transition or directly by the widget.

	Removed the "repainted" signal as it is no longer needed
	as scrolling triggers an "exposed" event that takes care
	of it for gth-fullscreen.

	* src/gth-fullscreeen.c:
	No longer connect to the "repainted" event.

	Patch by Geoffrey Antos <dynamotwain@aim.com>. Bug #501512.

2008-07-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/image-viewer.c:
	* libgthumb/image-viewer-image.c:
	Refactor ImageViewer widget to split image state information
	to a new ImageViewerImage object and hide all private variables.
	ImageViewer now emits "image_loaded", "image_error", and
	"image_progress" signals to compensate for lack of direct access
	to the ImageLoaded contained within.

	* src/gth-browser.c: (gth_browser_construct), (image_loader_done_cb),
	(image_loader_progress_cb):
	Renamed to image_viewer_{done,progress}_cb as signal handlers
	that are now connected to the ImageViewer and not an ImageLoader.

	* src/gth-browser.c: (gth_browser_get_animation), (viewer_drag_get),
	(window_update_zoom_sensitivity):
	* src/gth-fullscreen.c: (gth_fullscreen_get_animation),
	(update_zoom_sensitivity), (get_file_info)
	* src/gth-viewer.c: (viewer_update_zoom_sensitivity), 
	(viewer_update_statusbar_zoom_info), (viewer_drag_data_get):
	Use ImageViewer accessor functions instead of directly accessing
	private variables.

	Patch by Geoffrey Antos <dynamotwain@aim.com>. Bug #501512.

2008-07-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/albumtheme-private.h:
	* src/albumtheme.c: (yyparse):
	* src/albumtheme.l:
	* src/albumtheme.y:
	* src/catalog-web-exporter.c: (get_var_value),
	(gth_parsed_doc_print):
	* src/lex.albumtheme.c: 
	Added page_rows and page_cols web album tags. Bug #543966.
	Patch by Christophe Bisiere.

2008-07-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	Fix for Bug #544893: Crash in web album <gthumb:if/>.
	Patch by Christophe Bisiere.

2008-07-30  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser-ui.h:
	* src/gth-browser.c: (window_update_sensitivity):
	* src/gth-viewer-ui.h:
	* src/gth-window-actions-callbacks.c:
	* src/gth-window-actions-callbacks.h:
	* src/gth-window-actions-entries.h:
	Removed the "Delete Comment" function, because the comments are
	now linked to the embedded image metadata. Deleting the comments
	would mean deleting quite a few metadata fields, which is
	probably too invasive. Use the "Edit Comment" function instead.
	Might need to revisit this issue.

2008-07-30  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-jpegtran.c: (apply_transformation__step2):
	If a no-physical-transformation rotation is requested, and the
	original jpeg has no exif orientation tag, then add the tag instead
	of doing a physical transform. Fixes bug #432756.

2008-07-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-web-exporter.c: (get_default_theme): Minor code tidy-up,
	to avoid an uninitialized variable.

2008-07-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/gthumb.schemas.in: The default web album theme did not
	exist any longer (Clean). Set it to an existing theme (Wiki).

	* data/glade/gthumb_web_exporter.glade:
	* libgthumb/gtk-utils.c: (_gtk_button_set_filename_label),
	(_gtk_button_get_filename_label):
	* libgthumb/gtk-utils.h:
	* src/dlg-web-exporter.c: (export), (get_default_theme),
	(dlg_web_exporter), (theme_dialog__ok_clicked), (load_themes):
	Made the UI for selecting a web album theme more obvious.
	Patch by Christophe Bisiere, bug #501570.

	Also, fall back to the default theme when the theme stored in
	gconf does not actually exist.

2008-07-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/catalog-web-exporter.c: (_write_line), (_write_locale_line),
	(write_line), (write_markup_escape_line),
	(write_markup_escape_locale_line):
	Fixed bug #543993: web export of camera data prints warnings 
	about _g_escape_text_for_html. Patch by Patch by Christophe Bisière. 

2008-07-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/comments.c: (comment_delete), (save_comment):
	Partial fix for segfault when using edit->remove comment on
	image with no comment. The segfault is fixed, but the comment
	metadata is not removed from the image... bug #543771.

2008-07-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/dlg-photo-importer.c:
	Added an #include needed for libgphoto2 2.4.2.
	Patch by Marcus Meissner <meissner@suse.de>. Bug #543584.

2008-07-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_camera.glade:
	Add a tooltip to the delete-images checkbox, mentioning the
	excellent PhotoRec image-recovery program.

2008-07-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	Patch by Geoffrey Antos <dynamotwain@aim.com>:
	
	* src/gs-fade.c: removed
	* src/gs-fade.h: removed

	* src/Makefile.am:
	* src/gth-fullscreen.c: (gth_fullscreen_finalize),
	(slideshow_timeout_cb), (viewer_image_loaded_cb), (fade_faded_cb),
	(gth_fullscreen_init):
	Removed old slideshow fading code that doesn't support Xinerama.
	
	* src/gth-fullscreen.c: (load_current_image),
	(real_load_current_image):
	Removed gs-fade.c-specific load_current_image
	Renamed real_load_current_image to load_current_image

2008-07-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-image-list.c: (gth_image_list_class_init)
	* libgthumb/gthumb-marshal.list:
	Fix assertions in gthumb_marshal_VOID__POINTER_POINTER by
	actually using the correct marshaller for the given
	parameter types. Patch by Geoffrey Antos <dynamotwain@aim.com>.

2008-05-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS:
	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_help_about):
	Added Gabriel Falcão.

	* src/dlg-open-with.c: (open_with__destroy_cb), (open_cb),
	(app_list_selection_changed_cb), (dlg_open_with):
	* src/gth-viewer.c: (open_with_menu_item_activate_cb),
	(viewer_update_open_with_menu):
	gnome_vfs_mime_application -> g_app_info for "Open With..." 
	functions. Modified version of Gabriel Falcão's
	(gabriel@nacaolivre.org) patch from bug #525482.

2008-05-18  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-image-prop.c: (update_general_info):
	* src/gth-exif-data-viewer.c: (update_file_info):
	gnome_vfs_mime_get_description -> g_content_type_get_description.
	Show both the mime type and the more human-readable descriptive text.
	Modified version of Gabriel Falcão's (gabriel@nacaolivre.org) patch
	from bug #525482.
		
2008-05-16  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-viewer.c: (open_with_menu_item_activate_cb),
	(viewer_update_open_with_menu):
	Revert crash-causing changes.

2008-05-16  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser.c: (launch_selected_videos_or_audio):
	* src/gth-viewer.c: (open_with_menu_item_activate_cb),
	(viewer_update_open_with_menu):
	Migrate from gnome_vfs_mime to g_app_info. Modified version
	of an emailed patch from Gabriel Falcão (gabriel@nacaolivre.org).

	* src/main.c: (initialize_data):
	Removed left-over debug printf.

2008-05-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/main.c: (initialize_data): Removed unused code.

2008-05-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/main.c: (get_command_line_catalog_path), (initialize_data):
	Handle command-line file arguments with gfile functions.

2008-05-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in:
	* libgthumb/file-data.c: (file_data_new):
	* libgthumb/file-data.h:
	* libgthumb/file-utils.c: (get_file_size):
	* libgthumb/file-utils.h:
	* libgthumb/gth-filter.c: (gth_filter_set_max_size):
	* libgthumb/gth-filter.h:
	* libgthumb/gth-sort-utils.c: (gth_sort_by_size_then_name):
	* libgthumb/gth-sort-utils.h:
	* libgthumb/thumb-loader.c: (thumb_loader_set_max_file_size):
	* libgthumb/thumb-loader.h:
	* src/catalog-png-exporter.c: (set_item_caption):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	* src/dlg-duplicates.c: (update_entry), (add_entry),
	(update_duplicates_label):
	* src/dlg-file-utils.c: (set_filename_labels):
	* src/dlg-image-prop.c: (update_general_info):
	* src/dlg-photo-importer.c: (ok_clicked_cb):
	* src/dlg-rename-series.c: (update_list):
	* src/gth-browser.c: (window_update_statusbar_image_info),
	(window_update_statusbar_list_info):
	* src/gth-exif-data-viewer.c: (update_file_info):
	* src/gth-fullscreen.c: (get_file_info):
	* src/gth-viewer.c: (viewer_update_statusbar_image_info):

	Start of gnomevfs -> gvfs porting. Specifically:
	gnome_vfs_format_file_size_for_display -> g_format_size_for_display
	GnomeVFSFileSize -> goffset
	Based partly on Gabriel Falcão's patch from bug 525482.

2008-05-02  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser-actions-entries.h:
	* src/gth-viewer-actions-entries.h:
	_Scripts -> Scri_pts to avoid overlap with the scaling
	shortcut (Alt+S).

2008-04-24  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/catalog-png-exporter.c: (comp_func_exif_date),
	(image_loader_done):
	* src/catalog-web-exporter.c: (comp_func_exif_date):
	Make exif date sorting consistent with the other parts of gthumb.

	* src/dlg-png-exporter.c:
	* src/dlg-rename-series.c:
	* src/dlg-web-exporter.c:
	Fixed bug #512374 - array accessed past end. Patch by 
	John Bryant (bryant@sover.net).

2008-04-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/thumb-cache.c:
	* libgthumb/thumb-cache.h: 
	Removed some unused functions (cache_delete, 
	cache_remove_old_previews_async).

2008-04-08  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* src/dlg-preferences.c:
	Add "Fit to Window" zoom preference, to complemented the existing
	"Fit to Window if Larger" mode. Bug #464446.

2008-04-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-convert.c: (save_image_and_remove_original):
	* src/gth-batch-op.c: (pixbuf_op_done_cb):
	* src/rotation-utils.c: (apply_transformation_generic):
	Copy metadata from old file to new file during file conversions,
	batch operations, and generic rotations. Bug #323943.

2008-03-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (file_data_new), (file_data_dup),
	(file_data_update), (file_data_update_info):
	* libgthumb/file-data.h:
	Added a "can_read" permissions boolean to the FileData struct.

	* libgthumb/thumb-loader.c: (thumb_loader_start__step2):
	Do not attempt any thumbnailing on files that we can not read.
	Do not save a failed thumbnail either. This is faster and saves
	disk space. Discussed on xdg@lists.freedesktop.org.

2008-03-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (mime_type_is_raw):
	Use gnome_vfs_mime_type_get_equivalence to spot all sub-classes of 
	image/x-dcraw, so that we don't have to add RAW file types manually
	to the mime-checking code. This relies on having a modern version
	of freedesktop.org.xml.

2008-03-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in:
	* libgthumb/gth-gstreamer-utils.c: (message_loop_to_state_change),
	(gth_read_gstreamer):
	Fixed Bug 515421 – changing to sort-by-exif-date causes freeze.
	Patch by Manuel Braga <mul.braga@gmail.com>. 

2008-02-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_preferences.glade:
	* data/gthumb.schemas.in:
	* libgthumb/file-utils.c: (mime_type_is_video),
	(mime_type_is_audio):
	* libgthumb/preferences.h:
	* src/dlg-preferences.c: (include_audio_video_toggled_cb),
	(dlg_preferences):
	Added preference to ignore audio and video files. Bug #467468.

2008-02-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/comments.c: (load_comment_from_metadata):
	* libgthumb/comments.h:
	Removed unused function (comments_get_comment_as_xml_string).
	Only load DateTime metadata into comments if other metadata
	(comment, location, and/or keyword) has been loaded.

2008-02-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/jpegutils/jpegtran.h:
	Deleted more libexif bits that were previously overlooked.

2008-02-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/jpegutils/jpeg-data.c: (jpeg_data_save_data),
	(jpeg_data_load_data), (jpeg_data_free), (jpeg_data_dump):
	* libgthumb/jpegutils/jpeg-data.h:
	* libgthumb/jpegutils/jpegtran.c:
	Deleted libexif bits that were previously overlooked.

2008-02-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-exif-data-viewer.c: (add_to_display):
	Do not display Makernotes if exiv2 has not assigned
	a meaningful name to them.

2008-02-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Always overwrite the software tag upon file save.

2008-02-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Update DateTime upon file save.

2008-02-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Update PixelX/YDimension tags upon file save.

2008-02-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* README:
	* configure.in:
	* libgthumb/Makefile.am:
	* libgthumb/gth-exif-utils.c: (simple_add_metadata), (swap_fields):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/jpegutils/Makefile.am:
	* libgthumb/jpegutils/jpegtran.c: (update_exif_dimensions),
	(jpegtran_internal), (jpegtran):
	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_savev):
	* src/Makefile.am:
	Purged libexif from gthumb!
	Use exiv2 to write exif data to files after jpeg transformation.

2008-02-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/Makefile.am:
	* src/Makefile.am:
	Remove references to libiptcdata.

2008-02-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/comments.c: (has_non_whitespace_comment),
	(load_comment_from_metadata), (save_comment_to_metadata):
	* libgthumb/gth-exif-utils.c:
	* libgthumb/gth-exiv2-utils.cpp:
	Made comment metadata reading/writing a bit more robust.

2008-02-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Filter tag values with has_non_whitespace_text. Next, do the same
	some comments and keywords.

2008-02-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Added checks for mandatory exif tags when saving.

2008-02-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Added some comments.

2008-02-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/comments.c: (load_comment_from_metadata),
	(save_comment_to_metadata):
	* libgthumb/gth-exif-utils.c: (get_metadata_time_from_fd),
	(update_metadata):
	* libgthumb/gth-exif-utils.h:
	Use two different tagsets for comment dates and sorting dates.
	Comments prefer the Exif DateTime tag, sorting prefers the
	DateTimeOriginal tag.

2008-02-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* README:
	* configure.in:
	* libgthumb/comments.c: (comment_data_new), (comment_data_free),
	(comment_data_dup), (comment_delete), (load_comment_from_metadata),
	(save_comment_to_metadata), (save_comment),
	(comments_load_comment):
	* libgthumb/gth-exiv2-utils.cpp:
	Removed libiptcdata from gthumb. We use exiv2 instead, now.
	The comment <-> metadata code has been updated to reflect this.
	The comment <-> metadata mapping is still unstable and may change.

2008-02-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c:
	* libgthumb/gth-exif-utils.h:
	Updated some tagsets that will be needed for comments.

	* src/gth-browser.c: (update_image_comment),
	(save_pixbuf__image_saved_cb), (gth_browser_finalize):
	* src/gth-viewer.c: (gth_viewer_finalize), (update_image_comment),
	(save_pixbuf__image_saved_cb):
	Removed the ifdef'd libiptcdata code, which has been obsoleted
	by exiv2 support.

2008-02-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Fixed improper check for empty iptc dataset.

2008-02-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/comments.h:
	* libgthumb/gth-exif-utils.c: (get_metadata_time_from_fd),
	(get_orientation_from_fd), (get_metadata_string),
	(get_metadata_tagset_string):
	* libgthumb/gth-exif-utils.h:
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	* src/gth-fullscreen.c: (get_file_info):
	Renamed get_metadata_string_from_fd to get_metadata_tagset_string.
	Added get_metadata_string function, which is a simplified version of
	get_metadata_tagset_string accepting just one tag name, for
	convenience.

2008-02-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (generate_script_menu):
	* src/gth-viewer-actions-callbacks.c:
	(gth_viewer_activate_action_scripts):
	* src/gth-viewer-actions-callbacks.h:
	* src/gth-viewer-actions-entries.h:
	* src/gth-viewer.c: (viewer_update_sensitivity),
	(gth_viewer_construct), (gth_viewer_update_script_menu):
	* src/gth-viewer.h:
	Added Scripts menu to viewer mode. Fixed console warnings relating to
	script initialization. Fixed warnings related to ImageTransformMenu
	and ImageAutoMenu. Enhanced version of patch by Manuel Braga
	<mul.braga@gmail.com>.

2008-02-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser.c: (save_jpeg_data):
	* src/gth-viewer.c: (save_jpeg_data):
	Revert earlier change - compiler reported browser->priv and
	viewer->priv as unused variables, but they are used under
	some #ifdef conditions.

2008-02-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Another missing ifdef.

2008-02-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	XMP-related code must be inside an ifdef.

2008-02-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-viewer-ui.h: 
	Fixed crash upon File>Open due to malformed UI specification.
	Bug 514288. Patch by Manuel Braga <mul.braga@gmail.com>.

2008-02-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/dlg-save-image.c: (save_image), (dlg_save_image_as),
	(dlg_save_image):
	* libgthumb/dlg-save-image.h:
	* src/gth-browser.c: (window_update_image_info), (save_jpeg_data),
	(gth_browser_save_pixbuf), (ask_whether_to_save__response_cb),
	(gth_browser_finalize):
	* src/gth-viewer.c: (gth_viewer_finalize),
	(viewer_update_image_info), (save_jpeg_data),
	(ask_whether_to_save__response_cb), (gth_viewer_save_pixbuf):
	Purged libexif from gth-browser, gth-viewer. Save and Save As now
	use exiv2-based routines to copy metadata.

2008-02-03  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/dlg-save-image.c: (save_image):
	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_savev),
	(_gdk_pixbuf_save):
	* libgthumb/pixbuf-utils.h:
	* src/catalog-png-exporter.c: (end_page):
	* src/catalog-web-exporter.c: (save_thumbnail_cb),
	(save_image_preview_cb), (save_resized_image_cb):
	* src/dlg-convert.c: (save_image_and_remove_original):
	* src/gth-batch-op.c: (pixbuf_op_done_cb):
	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_file_print),
	(set_wallpaper_from_window):
	* src/rotation-utils.c: (apply_transformation_generic):
	Add support for metadata handling into the _gdk_pixbuf_save /
	_gdk_pixbuf_savev functions. Not fully exploited yet.

2008-02-02  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (fd_free_metadata), (file_data_new),
	(file_data_unref), (file_data_update), (file_data_update_info):
	* libgthumb/gth-exif-utils.c: (free_metadata_entry),
	(free_metadata), (simple_add_metadata),
	(update_and_save_metadatum), (update_and_save_metadata),
	(write_orientation_field):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-exiv2-utils.hpp:
	* src/catalog-web-exporter.c:
	(copy_exif_from_orig_and_reset_orientation):
	* src/dlg-change-date.c: (ok_clicked):
	Changed code to permit the updating of more than one metadata tags
	at a time (i.e., one file write operation).

	* libgthumb/gth-gstreamer-utils.c: (tag_iterate):
	Fixed compiler warning.

2008-02-02  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (update_and_save_metadata),
	(update_metadata):
	* libgthumb/gth-exiv2-utils.cpp:
	* src/dlg-change-date.c: (ok_clicked):
	Improved remote vfs support for metadata reading / writing.

2008-02-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Delete IFD1 (thumbnail data) after updating metadata. Allow the
	addition of new tags (before, it only allowed updates of existing
	tags). Patch by Andreas Huggel <ahuggel@gmx.net>.

2008-01-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c:
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-filter.c:
	* libgthumb/gth-gstreamer-utils.c: (extract_metadata),
	(gth_read_gstreamer):
	* src/dlg-change-date.c: (ok_clicked):
	* src/dlg-photo-importer.c: (save_image):
	* src/dlg-scripts.c: (get_prompt), (image_loader_done):
	* src/dlg-scripts.h:
	* src/dlg-web-exporter.c: (export):
	* src/gth-browser-actions-callbacks.c:
	* src/gth-browser.c: (window_sync_menu_with_preferences):
	* src/gth-exif-data-viewer.c:
	* src/gth-viewer-actions-callbacks.c:
	* src/gth-viewer.c: (sync_menu_with_preferences):
	Learned how to pass "CFLAGS=-Wall" to autogen, and fixed the many
	small warnings that were reported. Mostly unused functions and
	missing includes.

2008-01-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c:
	* libgthumb/gth-exif-utils.h:
	Removed all remaining libexif references in gth-exif-utils.*
	Still present in other files, however.	

2008-01-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c:
	* libgthumb/gth-exif-utils.h:
	Purged gth_minimal_exif_tag_write, gth_minimal_exif_tag_action.
	Use exiv2-based routines now.

	* data/glade/gthumb_tools.glade:
	* src/dlg-change-date.c: (ok_clicked), (update_sensitivity),
	(dlg_change_date):
	Added the ability to change DateTimeOriginal and DateTimeDigitized,
	in addition to the existing DateTime-changing function.

2008-01-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (write_orientation_field):
	Updated write_orientation_field to use the new exiv2-based
	update_and_save_metadata function.

2008-01-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (update_and_save_metadata):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-exiv2-utils.hpp:
	* src/catalog-web-exporter.c:
	(copy_exif_from_orig_and_reset_orientation):
	Added a new exiv2-based function, update_and_save_metadata, which
	lets you copy metadata from one file to another, while updating
	zero or one tags.

2008-01-30  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (free_metadata_entry):
	* libgthumb/gth-exif-utils.c: (get_metadata_string_from_fd):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-gstreamer-utils.c: (add_metadata):
	* src/gth-exif-data-viewer.c: (gth_exif_data_viewer_construct),
	(add_to_exif_display_list), (add_to_display), (update_file_info):
	Store "raw" metadata along with the formatted metadata, so that
	we can (eventually) use the raw data to write metadata into a file.

2008-01-29  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Delete the "improve" function, because exiv2 upstream is pretty
	responsive to formatting improvements.

2008-01-29  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_file):
	* libgthumb/gth-exif-utils.c: (get_orientation_from_fd),
	(update_metadata):
	* libgthumb/gth-exif-utils.h:
	* src/catalog-web-exporter.c: (export__copy_image):
	* src/dlg-jpegtran.c: (apply_transformation__trim_response),
	(apply_transformation__step2):
	* src/dlg-photo-importer.c: (adjust_orientation__step):
	Replaced read_orientation_field with exiv2-based
	get_orientation_from_fd. Delete gth_minimal_exif_tag_read.
	All metadata reads are through exiv2, now. Next stop: writes.

2008-01-29  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Further tweaks to the way fractions are displayed.

2008-01-29  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (file_data_dup):
	* libgthumb/file-data.h:
	* libgthumb/gth-exif-utils.c: (get_exif_time),
	(get_exif_time_or_mtime), (get_metadata_string_from_fd),
	(update_metadata):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-filter.c: (gth_test_match):
	* libgthumb/gth-sort-utils.c: (gth_sort_by_exiftime_then_name):
	* src/catalog-png-exporter.c: (image_loader_done):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	* src/dlg-change-date.c: (exif_time_available), (ok_clicked):
	* src/dlg-comment.c: (get_requested_time),
	(date_optionmenu_changed_cb), (dlg_comment_update):
	* src/dlg-photo-importer.c: (save_image):
	* src/dlg-rename-series.c: (get_image_date):
	* src/dlg-scripts.c: (get_date_strings):
	* src/gth-browser.c: (window_update_statusbar_image_info):
	* src/gth-exif-data-viewer.c: (gth_exif_data_viewer_update):
	* src/gth-fullscreen.c: (get_file_info):
	* src/gth-viewer.c: (viewer_update_statusbar_image_info):

	Hid the metadata caching from most functions. Eliminated the 
	file_data_insert_metadata function, which explicity loaded
	metadata. This is now done automatically by 
	get_metadata_string_from_fd. Added two convenience functions,
	get_exif_time (fd) and get_exif_time_or_mtime (fd), which
	also auto-load the metadata cache.

2008-01-28  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/dlg-web-exporter.c: (theme_dialog__install_theme_clicked):
	* src/gth-browser-actions-callbacks.c:
	(gth_browser_activate_action_go_location):
	Remove duplicated function calls.

	* src/gth-location.c: (gth_location_open_other):
	Fixed bug #477285 - Hitting enter in Open Location Dialog while 
        text entry is focused does nothing. 
	Patch by Manuel Braga <mul.braga@gmail.com>.

2008-01-28  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/gth-browser.c: (save_pixbuf__image_saved_cb):
	* src/gth-viewer.c: (save_pixbuf__image_saved_cb):
	Fixed bug #510521 - Canceling Save stops movement between pictures.
	Patch by Manuel Braga <mul.braga@gmail.com>.

2008-01-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS:
	* libgthumb/gth-exif-utils.c: (get_metadata_time_from_fd),
	(get_metadata_string_from_fd):
	* libgthumb/gth-exif-utils.h:
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	* src/gth-fullscreen.c: (get_file_info):
	Purged get_exif_tag, get_exif_entry_value, get_exif_aperture_value,
	as part of the project to remove the libexif requirement.
	Tweaked version of David Turner's <cillian64@googlemail.com> ghop patch.
	http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=110

2008-01-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_tools.glade:
	* src/dlg-scripts.c: (gconf_get_script), (add_scripts),
	(create_script_model), (add_columns), (destroy_cb), (save_cb),
	(add_script_cb), (remove_script_cb), (dlg_scripts),
	(generate_script_menu):
	* src/dlg-scripts.h:
	* src/gth-browser.c: (window_update_sensitivity),
	(update_scripts_cb), (gth_browser_construct),
	(gth_browser_update_script_menu):
	Allow arbitrary number of user-defined scripts, instead of just 10.
	Tweaked version of Natan Yellin's <aantny@gmail.com> ghop patch.
	http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=104

2008-01-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (free_metadata_entry), (free_metadata),
	(file_data_new), (file_data_dup), (file_data_unref),
	(file_data_update), (file_data_update_info),
	(file_data_insert_metadata):
	* libgthumb/gth-exif-utils.c:
	* libgthumb/gth-exif-utils.h:
	Corrected free_metadata function to stop crashes. Moved from
	gth-exif-utils.c to file-data.c.

2008-01-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (file_data_insert_metadata):
	Revert the second-last commit. The real problem is in dup_metadata.

2008-01-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_tools.glade:
	Removed the non-existent word "digitalization".

2008-01-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (file_data_insert_metadata):
	Don't load metadata for very new files, because they may still
	be changing, which can cause nasty problems (that is, the
	FileData structs vanish during metadata reading, etc).

2008-01-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (exec_shell_script), (exec_script):
	* src/gth-browser.c: (key_press_cb):
	Free script callback data after a hot-key press, but not after
	execution from the Scripts menu. Still a small memory leak,
	but I'm not sure how to fix it.

2008-01-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Do not show fractional representation if denominator = 1.

2008-01-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Provide both decimal and fractional representations of numeric
	exif values, if the raw value is fractional.

2008-01-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.h:
	* libgthumb/file-utils.c: Added get_utf8_display_name_from_uri
	as an enhanced wrapper for gnome_vfs_unescape_string_for_display,
	to partly fix bug 489922, and to simplify the eventual migration
	from gnome-vfs to gvfs/gio/Gfile.

	* libgthumb/bookmarks.c: (get_menu_item_tip):
	* libgthumb/file-data.c: (file_data_new), (file_data_update),
	(file_data_update_info):
	* libgthumb/file-utils.c: (get_utf8_display_name_from_uri),
	(get_uri_display_name), (basename_for_display),
	(delete_catalog_dir):
	* libgthumb/file-utils.h:
	* libgthumb/gtk-utils.c: (_gtk_entry_set_filename_text),
	(_gtk_label_set_filename_text):
	* src/catalog-list.c: (catalog_list_refresh):
	* src/catalog-png-exporter.c: (set_item_caption), (begin_page):
	* src/dlg-duplicates.c: (images_selection_changed_cb):
	* src/dlg-file-utils.c: (dlg_check_folder), (set_filename_labels),
	(dlg_overwrite__response_cb), (dlg_overwrite_run):
	* src/dlg-photo-importer.c: (ok_clicked_cb):
	* src/dlg-rename-series.c: (update_list), (dlg_rename_series):
	* src/dlg-scripts.c: (exec_shell_script):
	* src/dlg-web-exporter.c: (add_theme_dir):
	* src/gth-browser-actions-callbacks.c: (duplicate_file),
	(catalog_rename),
	(gth_browser_activate_action_edit_current_catalog_new),
	(create_new_folder_or_library), (folder_rename),
	(folder_copy__response_cb):
	* src/gth-browser.c: (window_update_infobar),
	(window_update_title), (dir_list_done_cb):
	* src/gth-dir-list.c: (gth_dir_list_update_view),
	(gth_dir_list_add_directory):
	* src/gth-exif-data-viewer.c: (update_file_info):
	* src/gth-fullscreen.c: (escape_filename):
	* src/gth-location.c: (update_uri):

	Replaced gnome_vfs_unescape_string_for_display with
	get_utf8_display_name_from_uri.
	
2008-01-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (gconf_get_script):
	Do not assign the default script text to an empty slot if the
	script name is not empty and not equal to the default name.

2008-01-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS:
	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_help_about):
	Updated list of contributors.

2008-01-21  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (metadata_search),
	(get_metadata_time_from_fd), (free_metadata_entry), (dup_metadata):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-gstreamer-utils.c: (add_metadata):
	* src/gth-exif-data-viewer.c: (gth_exif_data_viewer_construct),
	(tag_is_present_in_category), (add_to_exif_display_list),
	(add_to_display), (update_file_info):
	Split the "writeable_path" field of the metadata entry struct into
	two bits: "full_name" for the full tag name, and "writeable" to
	indicate if the tag can be edited.

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (update_metadata):
	Don't try to read audio metadata. It hasn't been tested enough.

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (get_metadata_time_from_fd):
	Correct the counting of elements in DATE_TAG_NAMES. 
	Delete the unused get_exif_time function.

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_comments.glade:
	Removed the non-existent word "digitalization".

	* libgthumb/gth-exif-utils.c: (get_metadata_time_from_fd):
	* libgthumb/gth-exif-utils.h:
	* src/dlg-comment.c: (get_requested_time),
	(date_optionmenu_changed_cb), (dlg_comment_update):
	* src/dlg-photo-importer.c: (save_image):
	Now, all functions obtain the exif_time for a file using the
	metadata in the FileData struct. Conversion complete.	

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/catalog-png-exporter.c: (image_loader_done):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	* src/dlg-change-date.c: (exif_time_available), (ok_clicked):
	* src/dlg-rename-series.c: (get_image_date):
	* src/gth-browser.c: (window_update_statusbar_image_info):
	* src/gth-fullscreen.c: (get_file_info):
	* src/gth-viewer.c: (viewer_update_statusbar_image_info):
	Read exif_time from FileData, instead of from the file again.

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-rename-series.c: (get_image_date), (update_list):
	* src/gth-fullscreen.c: (get_file_info):
	Update more functions to use get_metadata_time_from_fd.

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (file_data_insert_metadata):
	* libgthumb/gth-exif-utils.c: (get_metadata_time_from_fd),
	(get_metadata_time):
	* libgthumb/gth-exif-utils.h:
	* src/catalog-png-exporter.c: (image_loader_done):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	* src/dlg-change-date.c: (exif_time_available), (ok_clicked):
	* src/gth-browser.c: (window_update_statusbar_image_info):
	* src/gth-viewer.c: (viewer_update_statusbar_image_info):
	Added a function called get_metadata_time_from_fd to get the metadata
	time from the FileData in a simpler fashion. The original 
	get_metadata_time function will be purged soon.
	
2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c:
	* src/catalog-web-exporter.c: (comp_func_exif_date),
	(gth_parsed_doc_print), (image_loader_done):
	* src/gth-browser.c: (window_update_statusbar_image_info):
	* src/gth-viewer.c: (viewer_update_statusbar_image_info):
	Modify some functions to fetch exif_time from existing
	FileData->metadata list, rather than reading the file again.
	More work to be done.

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (file_data_update),
	(file_data_update_info), (file_data_insert_metadata):
	* libgthumb/file-data.h:
	* libgthumb/gth-exif-utils.c: (get_metadata_time):
	* libgthumb/gth-filter.c: (gth_test_match):
	* libgthumb/gth-sort-utils.c: (gth_sort_by_exiftime_then_name):
	* src/dlg-scripts.c: (get_date_strings):
	* src/gth-exif-data-viewer.c: (gth_exif_data_viewer_update):
	Various metadata tidy-ups. Was only working for jpegs, fixed that.

2008-01-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-data.c: (file_data_new), (file_data_dup),
	(file_data_unref), (file_data_load_exif_data):
	* libgthumb/file-data.h:
	* libgthumb/gth-exif-utils.c: (metadata_search),
	(get_metadata_time), (have_exif_time), (dup_metadata),
	(update_metadata):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-gstreamer-utils.c: (gth_read_gstreamer):
	* libgthumb/gth-gstreamer-utils.h:
	* src/catalog-png-exporter.c: (image_loader_done):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print),
	(image_loader_done):
	* src/dlg-change-date.c: (exif_time_available), (ok_clicked):
	* src/dlg-comment.c: (get_requested_time),
	(date_optionmenu_changed_cb):
	* src/dlg-photo-importer.c: (save_image):
	* src/dlg-rename-series.c: (get_image_date):
	* src/gth-browser.c: (window_update_statusbar_image_info):
	* src/gth-fullscreen.c: (get_file_info):
	* src/gth-viewer.c: (viewer_update_statusbar_image_info):
	First step towards adding metadata to the FileData structure.
	Metadata is loaded on an as-needed basis. Tweaked version of Natan's
	ghop patch.
	 http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=99.

2008-01-18  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/gthumb.desktop.in:
	Fixed bug #510326 - x-content/* support. Patch by Matthias Clasen.

	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_help_about): Update copyright dates.

2008-01-17  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-photo-importer.c: (copy_images__step):
	Add a status message to the progress bar during the update
	of remote files from the cache.

2008-01-16  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/async-pixbuf-ops.c: (scale_step):
	* libgthumb/gth-file-list.c: (get_pixbuf_from_mime_type):
	* libgthumb/gth-file-view-list.c: (get_sized_pixbuf):
	* libgthumb/pixbuf-utils.c: (scale_keeping_ratio):
	* libgthumb/pixbuf-utils.h:
	* libgthumb/print-callbacks.c: (image_loader_done_cb):
	* libgthumb/thumb-loader.c: (thumb_loader_done_cb):
	* src/catalog-png-exporter.c: (image_loader_done):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print),
	(image_loader_done):
	* src/dlg-brightness-contrast.c: (dlg_brightness_contrast):
	* src/dlg-color-balance.c: (dlg_color_balance):
	* src/dlg-hue-saturation.c: (dlg_hue_saturation):
	* src/dlg-image-prop.c: (update_general_info):
	* src/dlg-jpegtran.c: (_gdk_pixbuf_scale_keep_aspect_ratio):
	* src/dlg-posterize.c: (dlg_posterize):
	* src/dlg-web-exporter.c: (theme_dialog__sel_changed_cb):
	* src/main.c: (get_fs_icon):

	Fixed bug #508873 - gthumb cannot scale up images, by adding
	boolean parameter to permit upscaling in scale_keeping_ratio.
	Spelling: scale_keepping_ratio -> scale_keeping_ratio.

2008-01-16  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (add_menu_item_and_action):
	Do not show undefined scripts in the Scripts menu.

2008-01-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/preferences.h:
	* src/dlg-scripts.c: (gconf_script_path), (gconf_script_name_path),
	(gconf_get_script), (exec_script), (setup_script_struct),
	(add_scripts), (save_cb), (add_menu_item_and_action),
	(generate_script_menu):
	* src/dlg-scripts.h:
	* src/gth-browser.c: (key_press_cb):
	Tweaked version of Adrien Bustany's ghop patch.
        http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=94.
	Applies meaningful script names to the default scripts, even if they
	imported from 2.10.x. Collapsed the script code into loops, allowing
	future expansion of the number of scripts.

2008-01-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (sort_by_tag_name),
	(update_metadata):
	* libgthumb/gth-exif-utils.h:
	* src/gth-exif-data-viewer.c:
	Move update_metadata to a library file, to allow broader use.

2008-01-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_file):
	Remove reference to get_exif_tag_short (used in systems with
	gtk < 2.11.5).

	* src/dlg-jpegtran.c: Remove libexif #includes.

2008-01-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* src/gth-exif-data-viewer.c:
	Re-order metadata categories slightly, to put MakerNotes further down
	the list. 

	* libgthumb/gth-exif-utils.c: Remove the get_exif_tag_short function.
	It is libexif based, and no longer used.

	* src/dlg-jpegtran.c: (apply_transformation__trim_response),
	(apply_transformation__step2):
	Stop using libexif to read orientation tags.
	Use our own internal function, read_orientation_field.

2008-01-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-image-prop.c: (update_notebook_page):
	* src/gth-browser.c: (window_update_image_info):
	* src/gth-exif-data-viewer.c: (update_metadata),
	(gth_exif_data_viewer_update):
	* src/gth-exif-data-viewer.h:
	* src/gth-viewer.c: (viewer_update_image_info):
	Removed all libexif references from gth-exif-data-viewer.c.

2008-01-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* src/gth-exif-data-viewer.c: (update_metadata):
	Apply customized tag sorting to exiv2 exif metadata. Tweaked version
	of patch by Martin Schmeißer <Waschbaehr@gmx.de>, via ghop.

2008-01-12  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Removed "group names" from exif tag display names, to keep things
	compact and readable.

2008-01-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (free_metadata_entry):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-gstreamer-utils.c: (add_metadata):
	* src/gth-exif-data-viewer.c: (gth_exif_data_viewer_construct),
	(add_to_exif_display_list), (add_to_display), (gth_read_exif),
	(update_file_info):
	Add a "writeable_path" field to the metadata struct and tree model,
	to allow metadata editing in the future.

2008-01-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (free_metadata_entry):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-gstreamer-utils.c: (add_metadata):
	* src/gth-exif-data-viewer.c: (add_to_display), (gth_read_exif),
	(sort_by_tag_name), (update_metadata):
	Use HAVE_EVIX2_XMP_HPP instead of HAVE_XMP. Not sure why it matters.
	Also, split the tag name into two pieces - a full path and a short
	display name.

2008-01-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Improved formatting of fraction numbers returned by exiv2.
	Patch by Martin Schmeißer <Waschbaehr@gmx.de>.

2008-01-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (gth_read_exiv2):
	* src/gth-exif-data-viewer.c: (update_metadata):
	Remove no-longer-used HAVE_EXIV2 ifdefs.

2008-01-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* README:
	* configure.in:
	* libgthumb/gth-exiv2-utils.cpp:
	Make exiv2 mandatory, 0.15 or higher. Check for version 0.16,
	which has XMP support.

2008-01-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS:
	* data/glade/gthumb_tools.glade:
	* doc/C/gthumb.xml:
	* src/dlg-scripts.c: (get_prompt), (get_date_strings),
	(get_user_prompts), (exec_shell_script), (exec_upload_flickr):
	New script format code, to tie prompts to dates for date-based
	comments. Patch by Sean Hunt <rideau3@gmail.com>, via ghop.
	http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=92

2008-01-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in:
	* libgthumb/Makefile.am:
	* libgthumb/gth-exif-utils.c: (gth_read_exiv2):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-exiv2-utils.hpp:
	* src/gth-exif-data-viewer.c: (update_metadata):
	Added XMP sidecar support to the exiv2 code. Removed exempi library,
	as exiv2 provides everything we need now.

2008-01-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exiv2-utils.cpp:
	Remove extraneous text from XMP and IPTC tag names.	

2008-01-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_tools.glade:
	Made the "Rename" button the default action.

2008-01-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (gth_read_xmp):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* src/gth-exif-data-viewer.c:
	Don't use exempi to read embedded XMP metadata if exiv2 is installed.
	Minor categorization changes.

2008-01-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in:
	Bump exiv2 requirement to 0.16, to get XMP support.

	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* src/gth-exif-data-viewer.c:
	Correctly format exiv2 output. Add XMP and IPTC support. Tweaked version
	of patch by SchmeisserMartin, via ghop.
        http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=93.

2008-01-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/gthumb.xml: Modified version of Adrien Bustany's crop tool
	documentation patch, supplied through gnome-ghop.
	http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=94.

2008-01-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-exif-data-viewer.c: (update_metadata):
	Try exiv2 on all image files (expecially RAW ones).

2008-01-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* configure.in:
	* libgthumb/Makefile.am:
	* libgthumb/gth-exif-utils.c: (gth_read_exiv2):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-exiv2-utils.cpp:
	* libgthumb/gth-exiv2-utils.hpp:
	* src/gth-exif-data-viewer.c: (update_metadata):
	Initial support for the exiv2 metadata-reading library.
	Tweaked version of patch by SchmeisserMartin, via ghop.
	http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=83
	Needs some work to improve categorization and output formatting.

2008-01-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_tools.glade:
	* doc/C/gthumb.xml:
	* src/dlg-scripts.c: (get_date_strings), (exec_shell_script):
	Added strftime format codes to the scripting feature.
	Tweaked version of patch by DorFire, via google-highly-open-participation-gnome.
	http://code.google.com/p/google-highly-open-participation-gnome/issues/detail?id=82

2008-01-02  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (gth_read_xmp):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-gstreamer-utils.c: (gth_read_gstreamer):
	* libgthumb/gth-gstreamer-utils.h:
	* libgthumb/gtk-utils.c: (gth_get_screen_size):
	* libgthumb/gtk-utils.h:
	* src/dlg-crop.c: (dlg_crop):
	* src/dlg-redeye-removal.c: (dlg_redeye_removal):
	* src/dlg-scripts.c: (dlg_scripts):
	* src/gth-exif-data-viewer.c: (gth_read_exif), (update_metadata):
	Added "gth_" prefix to gth_read_exif, gth_read_xmp, 
	gth_read_gstreamer, and gth_get_screen_size, to avoid possible
	namespace conflicts.

2008-01-02  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/Makefile.am:
	* libgthumb/jpegutils/Makefile.am:
	* src/Makefile.am:
	Put local includes before global includes. Bug 506771. Patch by
	Daniel Macks <dmacks@netspace.org>.

2008-01-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-gstreamer-utils.c:
	Don't include gstreamer libraries if they aren't installed.

2007-12-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/dlg-photo-importer.c: (adjust_orientation__step):
	Fixed bug #402942 - Add status message during photo import 
	(orientation adjust step).

2007-12-29  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_tools.glade:
	* src/dlg-scripts.c: (image_loader_done), (image_loader_error),
	(load_thumbnail), (exec_shell_script):
	Show thumbnails in script progress dialog.

2007-12-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_tools.glade:
	Make the OK button the default action in the script prompt dialog.

2007-12-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/gthumb.xml:
	* libgthumb/preferences.h:
	* src/dlg-scripts.c: (get_prompt):
	Save prompt responses in gconf, to use as defaults, except for
	passwords.

2007-12-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/gthumb.xml:
	* src/dlg-scripts.c: (get_user_prompts):
	Allow bracket-enclosed text to be treated literally by preceding
	the opening bracket with a backslash.

2007-12-25  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_tools.glade:
	* doc/C/gthumb.xml:
	* src/dlg-scripts.c: (get_prompt), (delete_lowercase_keys),
	(get_user_prompts), (exec_shell_script):
	Added user prompts to the scripting feature.

2007-12-23  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (dir_list_done_cb): 
	
	If the directory doesn't exists go to the closest existing parent.
	Fixes bug #495575 – infinite loop when browsing deleted dirs
	
	* libgthumb/thumb-loader.c: 
	* libgthumb/gth-file-list.c: 
	
	Fixed bug #Bug 498741 – gthumb always saves thumbnails despite the 
	gconf option in apps -> gthumb -> browser -> save_thumbnails set 
	to "false"
	
	* src/gth-batch-op.c: 
	
	Fixed bug #500719 – segfault when canceling batch operations
	
	* src/dlg-search.c: 
	
	create a new visited_dirs hash in search_images_async as suggested
	by  Behdad Esfahbod
	
	Fixes bug #503525 – Recursive loop fix is wrong?
	
	* src/dlg-redeye-removal.c: 
	* src/dlg-crop.c: 

	include "gtk-utils.h" to avoid a warning.

2007-12-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser.c: (window_update_sensitivity):
	* src/gth-viewer.c: (viewer_update_sensitivity):
	Make script menu items sensitive, depending on file selections.

2007-12-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (exec_upload_flickr):
	Correction to last commit: free GList if postr can not be executed.
	
2007-12-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS:
	* NEWS:
	* src/dlg-scripts.c: (exec_upload_flickr):
	* src/gth-browser-actions-callbacks.c:
	(gth_browser_activate_action_upload_flickr):
	* src/gth-browser-actions-callbacks.h:
	* src/gth-browser-actions-entries.h:
	* src/gth-browser-ui.h:
	* src/gth-browser.c: (window_update_sensitivity):
	* src/gth-viewer-actions-callbacks.c:
	(gth_viewer_activate_action_upload_flickr):
	* src/gth-viewer-actions-callbacks.h:
	* src/gth-viewer-actions-entries.h:
	* src/gth-viewer-ui.h:
	* src/gth-viewer.c: (viewer_update_sensitivity):
	Added a Flickr uploader (by launching Postr). Bug #489403.
	Patch by Michael Lester (element3260@gmail.com), via
	google-highly-open-participation-gnome.

2007-12-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/gthumb.schemas.in:
        Default aspect-ratio constraint mode when cropping is now "none".
        Bug #504580. Patch by Ted Percival.

2007-12-18  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* src/dlg-preferences.c: (apply_cb), (dlg_preferences):
	* src/gth-browser-actions-entries.h:
	"Slide show" -> "Slideshow". It's not a real word, but everyone
	else is using it, so it must be OK. Bug #504326.

2007-12-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-photo-importer.c: (valid_mime_type):
	Added support for ASF files. Bug #471496.

	* src/gth-exif-data-viewer.c: (update_file_info):
	Don't display dimensions for audio files (meaningless)
	or video files (incorrect, reports thumbnail size).

2007-12-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-gstreamer-utils.c: (extract_metadata):
	Report framerate with higher precision.

2007-12-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-gstreamer-utils.c: (extract_metadata):
	Eliminate nuisance warning if no metadata tags are found.

2007-12-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-gstreamer-utils.c: (tag_iterate):
	Finished adding support for most gstreamer metadata GTypes.

	* po/POTFILES.in:
	Added src/dlg-scripts.*, libgthumb/gth-gstreamer-utils.*

2007-12-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-gstreamer-utils.c: (extract_metadata):
	Eliminate unnecessary functions.

2007-12-13  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-gstreamer-utils.c: (add_metadata), (tag_iterate),
	(extract_metadata):
	Extract additional metadata data types using gstreamer.
	Quite a few types are still missing, though.

2007-12-12  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in:
	* libgthumb/Makefile.am:
	* libgthumb/gth-exif-utils.h:
	* libgthumb/gth-gstreamer-utils.c: 
	* libgthumb/gth-gstreamer-utils.h:
	* src/gth-exif-data-viewer.c: (update_metadata),
	(gth_exif_data_viewer_update):
	Initial support for gstreamer-supplied metadata for
	audio and video files.

2007-12-12  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_tools.glade:
	* libgthumb/gtk-utils.c:
	* libgthumb/gtk-utils.h:
	* src/dlg-scripts.c: (progress_cancel_cb), (exec_shell_script),
	(destroy_cb):
	Move exec_shell_script from gtk-utils.c to dlg-scripts.c, and
	add a cancel button to the script progress dialog.

2007-12-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (read_xmp):
	Program was crashing if exempi was not installed. Oops.

2007-12-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS: describe scripting improvements.

	* data/glade/gthumb_camera.glade:
	* src/dlg-photo-importer.c: (subfolder_mode_changed_cb),
	(dlg_photo_importer):
	Another attempt to improve the UI of the custom subfolder
	function in the import dialog.

2007-12-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gtk-utils.c: (exec_shell_script):
	UI string tweak.

2007-12-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gtk-utils.c: (exec_shell_script):
	* libgthumb/gtk-utils.h:
	* src/dlg-scripts.c: (exec_script0), (exec_script1),
	(exec_script2), (exec_script3), (exec_script4), (exec_script5),
	(exec_script6), (exec_script7), (exec_script8), (exec_script9):
	Put a useful title on the script progress bar window.

2007-12-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-photo-importer.c: (subfolder_mode_changed_cb):
	Extra text to highlight the existence of the subfolder format
	entry field.

	* src/dlg-scripts.c: (add_scripts), (add_menu_item_and_action):
	Mark strings for translation.

2007-12-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (add_menu_item_and_action):
	* src/gth-browser-actions-entries.h:
	Add icons to the script menu.

2007-12-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (add_menu_item_and_action),
	(generate_script_menu):
	Prefix script name with hotkey number in menu, for clarity.

2007-12-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: (add_menu_item_and_action),
	(generate_script_menu):
	Tidy up new scripting code, add loops to make it smaller.

2007-12-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-scripts.c: 	
	* src/dlg-scripts.h:
	Forgot to add these files to svn.

2007-12-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser-actions-callbacks.c:
	(gth_browser_activate_action_scripts):
	* src/gth-browser-actions-callbacks.h:
	* src/gth-browser-actions-entries.h:
	* src/gth-browser-ui.h:
	* src/gth-browser.c: (key_press_cb), (update_scripts_cb),
	(gth_browser_construct), (gth_browser_update_script_menu):
	* src/gth-browser.h:
	* src/gth-viewer-ui.h:
	* src/gth-window-actions-callbacks.c:
	* src/gth-window-actions-callbacks.h:
	* src/gth-window-actions-entries.h:
	The script menu now has dynamically named entries. Needs testing!

2007-12-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* data/glade/gthumb_tools.glade:
	* doc/C/gthumb.xml:
	* libgthumb/preferences.h:
	* src/Makefile.am:
	* src/dlg-preferences.c: (apply_cb), (dlg_preferences):
	* src/gth-browser-actions-entries.h:
	* src/gth-browser-ui.h:
	* src/gth-browser.c: (gth_browser_construct):
	* src/gth-viewer-actions-entries.h:
	* src/gth-viewer-ui.h:
	* src/gth-viewer.c: (gth_viewer_construct):
	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_scripts):
	* src/gth-window-actions-callbacks.h:
	* src/gth-window-actions-entries.h:
	Initial attempt to build a treeview-based scripting dialog.
	The hotkey functions are defined in a "Script" menu now,
	instead of in the preferences dialog. Still pretty rough.

2007-12-09  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gtk-utils.c: (get_screen_size):
	* libgthumb/gtk-utils.h:
	* src/dlg-crop.c: (dlg_crop):
	* src/dlg-redeye-removal.c: (dlg_redeye_removal):
	Refactor duplicated screen size code.

2007-12-08  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-exif-data-viewer.c: (sort_by_tag_name),
	(update_metadata):
	Sort tag names alphabetically, by default.

2007-12-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/gthumb.xml:
	Bump manual version numbers.

2007-12-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* doc/C/gthumb.xml:
	Document the new import subfolder grouping feature.

2007-12-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/gthumb.schemas.in:
	* libgthumb/preferences.c:
	Update to reflect new photo import dialog.

2007-12-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gthumb-stock.c:
	* libgthumb/gthumb-stock.h:
	* libgthumb/icons/Makefile.am:
	* src/gth-dir-list.c: (gth_dir_list_update_view),
	(gth_dir_list_add_directory):
	* src/main.c: (get_stock_id_for_uri), (get_icon_for_uri):
	* src/main.h:
	Remove references to the film icon. It's no longer used.

2007-12-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-photo-importer.c: (save_image):
	Filter customer subfolder input, to avoid weird folder names.
	
2007-12-07  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_camera.glade:
	* libgthumb/preferences.c:
	* libgthumb/preferences.h:
	* libgthumb/typedefs.h:
	* src/dlg-photo-importer.c: (get_folder_name), (save_image),
	(subfolder_mode_changed_cb), (dlg_photo_importer):
	Add custom subfolder feature to photo import dialog.
	Still a bit rough - add some checking, schema update, help file.

2007-12-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (xmp_iter_array),
	(xmp_iter_simple_qual), (xmp_iter_simple), (xmp_iter),
	(read_xmp_file), (read_xmp):
	* libgthumb/gth-exif-utils.h:
	* src/gth-exif-data-viewer.c:
	Added XMP sidecar reading.

2007-12-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-exif-data-viewer.c:
	Fix error in categorization of "Other" exif tags.

2007-12-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (free_metadata_entry),
	(xmp_iter_simple), (read_xmp):
	* libgthumb/gth-exif-utils.h:
	* src/gth-exif-data-viewer.c: (add_to_display), (read_exif),
	(update_metadata), (gth_exif_data_viewer_update):
	Store exif and xmp data in the same GList.

2007-12-06  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (free_metadata_entry),
	(free_metadata), (xmp_iter_array), (xmp_iter_simple_qual),
	(xmp_iter_simple), (xmp_iter), (read_xmp):
	* libgthumb/gth-exif-utils.h:
	* src/gth-exif-data-viewer.c: (add_xmp_to_display),
	(update_exif_data):
	Display XMP metadata in the same order that it is extracted.
	Store XMP metadata in a GList. Next: Put the Exif metadata
	in the same GList, to decouple data and display functions.

2007-12-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/gth-exif-utils.c: (xmp_iter_array),
	(xmp_iter_simple_qual), (xmp_iter_simple), (xmp_iter), (read_xmp):
	* libgthumb/gth-exif-utils.h:
	* src/gth-exif-data-viewer.c: (add_xmp_to_display),
	(update_exif_data):
	XMP metadata is now shown in the metadata viewer. It needs to be
	sorted somehow, however.

2007-12-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/Makefile.am:
	* libgthumb/gth-exif-utils.c: (append_string_to_hash_table),
	(xmp_iter_array), (xmp_iter_alt_text), (xmp_iter_simple_qual),
	(xmp_iter_simple), (xmp_iter), (read_xmp):
	* src/gth-exif-data-viewer.c: (update_exif_data):
	Adding initial exempi XMP-reading functions. Doesn't work yet.

2007-12-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* configure.in:
	Added check for exempi.

2007-12-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_help_about):
	Update credits to match AUTHORS file.

2007-12-04  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_preferences.glade:
	* doc/C/gthumb.xml:
	* libgthumb/gtk-utils.c: (exec_shell_script):
	Added %b (basename) and %m (basename without extension) parameters
        for hotkeys. Bug #501420.

2007-12-02  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/gth-browser.c: (_set_fullscreen_or_slideshow):
	* src/gth-fullscreen.c: (gth_fullscreen_toolbar_update_size),
	(screen_size_changed_cb), (gth_fullscreen_toolbar_size_request_cb),
	(gth_fullscreen_construct), (gth_fullscreen_new),
	(create_toolbar_window), (gth_fullscreen_show):
	* src/gth-fullscreen.h:
	* src/gth-viewer.c: (gth_viewer_set_fullscreen):
	Patch by Geoffrey Antos to fix slideshow on dual-screen
	Xinerama systems. Bug #327245.

2007-12-02  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS: Added Geoffrey Antos <dynamotwain@aim.com>.

2007-12-01  Michael J. Chudobiak  <mj.@svn.gnome.org>

	* NEWS:
	* src/dlg-crop.c: (dlg_crop):
	* src/dlg-redeye-removal.c: (dlg_redeye_removal):
	Fixed bug #496140: Crop Window opens too large for dual-screens.
	Calculate default window width based on active screen only. 
	Expanded version of patch by dynamotwain@aim.com.

2007-11-30  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/dlg-save-image.c: (dlg_save_options):
	Fixed bug #499795: silently fails to save bmp picture.
	Don't skip file types just because we don't know how to 
	deal with its save options.

2007-11-30  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/dlg-jpegtran.c: (apply_transformation_to_all_continue),
	(apply_transformation_to_all__apply_to_current), (cancel_cb),
	(apply_transformation_to_all):
	* src/dlg-reset-exif.c: (apply_transformation_to_all_continue),
	(apply_transformation_to_all__apply_to_current), (cancel_cb),
	(apply_transformation_to_all):
	The "Cancel" button didn't actually do anything in the lossless
	rotation dialog or the reset orientation dialog.

2007-11-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/gth-sort-utils.c: (gth_sort_by_exiftime_then_name):
	When sorting by exif time, fall back to sorting by mtime if no
	exif time is present. 

2007-11-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS:
	* NEWS:
	* data/glade/gthumb_camera.glade:
	* libgthumb/preferences.c:
	* libgthumb/preferences.h:
	* libgthumb/typedefs.h:
	* src/dlg-photo-importer.c: (get_folder_name), (save_image),
	(ok_clicked_cb), (dlg_photo_importer):
	Added exif-date-based and mtime-based subfolder grouping of images
        upon import. Removed the concept of a "film" name. Bug #431187. 
	Based on a modified version of Roalt Aalmoes's patch.

2007-11-24  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_redeye.glade:
	* doc/C/gthumb.xml:
	* src/dlg-redeye-removal.c: (dlg_redeye_removal):
	Update the redeye removal tool, incorporating the style changes 
	made to the crop tool.

2007-11-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/main.c: (main): Lock thread around gtk_main. Bug #498995.
	Patch by Matt Keenan

2007-11-20  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/file-utils.c (gth_pixbuf_new_from_file): moved transform
	in the block where it's used.
	
	* libgthumb/image-loader.c (image_loader_sync_pixbuf): ref the pixbuf
	before using it.

2007-11-20  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/dlg-search.c (cancel_progress_dlg_cb): keep loading the 
	thumbnails even after the user presses the cancel button.

2007-11-20  Paolo Bacchilega  <paobac@svn.gnome.org>

	* NEWS: updated for version 2.10.8
	* configure.in: bumped version to 2.10.8
	
	* src/gth-browser.c (window_update_history_list): use a different name 
	for popup actions to avoid a run-time warning.
	
	* src/dlg-search.c: avoid a loop due to symlinks when searching 
	recursively.  Fixes second part of bug #495529.
	
	* libgthumb/file-utils.c: declare the transform variable only if 
	needed.
	
	* libgthumb/thumb-loader.c (thumb_loader_error_cb): removed useless 
	warning.

2007-11-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

        * libgthumb/file-utils.c: (gth_pixbuf_new_from_file):
	Delete unused variable.

2007-11-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_file):
	Three methods were optionally used to read the exif orientation
	tags. The oldest and newest methods have been kept. The 
	middle-aged one has been purged, because it is only useful for
	gtk+ versions 2.11.0 to 2.11.4.

2007-11-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_crop.glade:
	Change accelerator key to avoid duplication.

2007-11-10  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/dlg-search.c: (directory_load_cb): Search would abort on first
	non-readable directory (e.g., bad permissions). Fixed it so that it 
	just skips it and continues to the next directory. Bug #495529.

2007-11-05  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-image-selector.c: (gth_image_selector_set_ratio):
	Tweaked the invert-aspect-ratio function of the crop tool, so
	that it falls back to a smaller region if the width and height can
	not be directly swapped.

2007-11-03  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/gth-location.c: (combo_changed_cb):
	Fixed bug #476989: gthumb doesn't move images if destination 
	directory is selected from folder drop down list

2007-11-01  David S. Miller  <davem@davemloft.net>

	Applied by: Paolo Bacchilega

	* libgthumb/gth-exif-utils.c (de_get16, de_get32): New functions.
	(gth_minimal_exif_tag_action): Use them to avoid unaligned accesses
	and access 32-bit values correctly on 64-bit platforms.

	From the email:
	
	Several RISC cpus cannot access data which is not aligned
	properly for it's type.

	The EXIF handling dereferences potentially unaligned values.  It also
	improperly casts the 32-bit ones, using "unsigned long" which is
	typically 64-bit on 64-bit platforms.

	This patch corrects both errors, curing the SIGBUS issues on
	my sparc systems.

2007-11-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/gth-browser.c: (gth_browser_remove_monitor),
	(gth_browser_add_monitor), (gth_browser_construct), (close__step6):
	* src/gth-fullscreen.c: (gth_fullscreen_finalize),
	(gth_fullscreen_construct):
	* src/gth-viewer.c: (gth_viewer_construct), (gth_viewer_close):
	* src/main.c: (initialize_data), (release_data),
	(all_windows_update_catalog_list),
	(all_windows_notify_update_bookmarks),
	(all_windows_notify_cat_files_created),
	(all_windows_notify_cat_files_deleted),
	(all_windows_notify_files_created),
	(all_windows_notify_files_deleted),
	(all_windows_notify_files_changed),
	(all_windows_notify_file_rename),
	(all_windows_notify_files_rename),
	(all_windows_notify_directory_rename),
	(all_windows_notify_directory_delete),
	(all_windows_notify_directory_new),
	(all_windows_notify_catalog_rename),
	(all_windows_notify_catalog_new),
	(all_windows_notify_catalog_delete),
	(all_windows_notify_catalog_reordered),
	(all_windows_notify_update_metadata),
	(all_windows_notify_update_icon_theme),
	(all_windows_remove_monitor), (all_windows_add_monitor):
	* src/main.h:
	Fixed bug #492370: monitor name conflict with libc on solaris10.
	Patch by Mark Wright.

2007-11-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/gth-browser.c: (gth_browser_notify_file_rename),
	(gth_browser_notify_directory_rename):
	Fixed bug #492169: Crash when moving directory to trash.
	Patch by Ignacy Gawędzki.

2007-11-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/jpegutils/jpegtran.c: (update_exif_thumbnail):
	Fixed bug #492260: Crash on rotate on x86_64.
	Patch by Ignacy Gawędzki.

2007-11-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* AUTHORS:
	* NEWS:
	* libgthumb/jpegutils/jpegtran.c: (jpegtran_thumbnail): Fixed 
	bug #492262: Rotate removes thumbnail. Patch by Ignacy Gawędzki.

2007-10-31  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-crop.c: (ratio_optionmenu_changed_cb), (update_ratio),
	(ratio_value_changed_cb), (invert_ratio_changed_cb), (dlg_crop):
	* src/gth-image-selector.c: (gth_image_selector_set_ratio):
	* src/gth-image-selector.h:
	Make crop tool swap height/width values when clicking the "invert
	aspect ratio button", rather than keeping the width constant and
	just changing the height. Looks more natural. Still need to fix
	condition where new area would exceed image boundary.

2007-10-31  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/gth-exif-utils.c: (gth_minimal_exif_tag_action):
	* src/catalog-web-exporter.c: (export__copy_image):
	* src/dlg-photo-importer.c: (adjust_orientation__step):
	Fixed bug #492111: Doesn't rotate pictures while importing. Based on
	patch by Ignacy Gawedzki.

2007-10-30  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_crop.glade: Tweak button spacing in crop dialog.

	* src/dlg-crop.c: (dlg_crop): Make undo and redo buttons inactive 
	initially.

2007-10-28  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_crop.glade:
	* src/dlg-crop.c: (dlg_crop):
	Make the cropping dialog more intuitive, so my mom can use it.
	Bug #408342. Trunk-only experimental change.

2007-10-28  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (get_mplayer_time):
	Delete the tmp dir correctly.

2007-10-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/print-callbacks.c: (catalog_update_custom_page_size):
	Fixed a printing crash, g_free -> gtk_paper_size_free

2007-10-27  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/print-callbacks.c: (print_catalog_cb):
	Fixed bug 487982 - can freeze gthumb during printing. Hide print 
	setup dialog while gtk-print dialog is visible.
	
2007-10-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* libgthumb/gth-exif-utils.c: (gth_minimal_exif_tag_action):
	Fixed bug #486886: Crash opening an image with no Exif IFD1, caused
	by an overflowing index. Cosmetic clean-ups also.

2007-10-15  Paolo Bacchilega  <paobac@svn.gnome.org>

	[ gthumb 2.10.7 released ]

	* configure.in: 
	* NEWS: updated for version 2.10.7

2007-10-14  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/gth-exif-utils.c: (exif_string_to_time_t),
	(get_exif_time): Read DateTimeOriginal or DateTimeDigitized if the
	DateTime tag exists, but is full of spaces. Fixes Ubuntu bug
	https://bugs.launchpad.net/ubuntu/+source/gthumb/+bug/152246.

2007-10-14  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-fullscreen.c (gth_fullscreen_get_file_list_selection_as_fd): 
	
	Implemented the gth_fullscreen_get_file_list_selection_as_fd function.
	Fixed gth_fullscreen_get_file_list_selection.

	Fixes bug # 485998 – [ and ] don't work in fullscreen anymore.

2007-10-14  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/gth-browser.c (monitor_update_files_cb): 
	* src/gth-monitor.c (add_monitor_event): 

	Fixed bug #471234 – fix build with gcc 2.x
	Patch by Jens Granseuer

2007-10-14  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/gth-fullscreen.c: monitor_update_files_cb uses a list of paths
	not a list of file_data.  
	
	Fixes bug #485721 – crash in fullscreen mode after deleting an image.

2007-10-03  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* src/gth-browser.c: (set_cursor_busy): Do not assume that the
	left_ptr_watch cursor is defined. Bug 482751.

2007-10-03  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser.c: (launch_selected_videos_or_audio):
	Better mime type checking, to avoid problems caused when the fast and
	slow mime type checks report different values. Bug 481729.

2007-09-17  Claude Paroz  <claude@2xlibre.net>

	* data/glade/gthumb_tools.glade: Mark Search button as translatable.

2007-09-11  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-fullscreen.c: (motion_notify_event_cb):
	Detect motion based on movement rather than acceleration.

	* (str_concat_with_free), (get_file_info):
	Added exposure time, f-number, ISO, focal length to fullscreen
	properties display.

	Patches by Michael Satlow. Bug #472491.

2007-09-07  Claude Paroz  <claude@2xlibre.net>

	* src/gth-folder-selection-dialog.c:
	(gth_folder_selection_construct): String was not marked for
	translation.

2007-08-27  Paolo Bacchilega  <paobac@svn.gnome.org>

	[ gthumb 2.10.6 released ]

	* NEWS: updated for version 2.10.6
	
2007-08-27  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/dlg-file-utils.c: 
	* src/gth-browser.c (gth_browser_notify_directory_rename): use 
	path_in_path instead  of strncmp.
	
2007-08-27  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (window_update_location): go to the home dir
	if the history is null.

2007-08-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/dlg-rename-series.c: (extract_utf8_digits), (update_list):
	Fix original-enumerator code so it works if there is no original
	enumerator.

2007-08-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_tools.glade:
	* doc/C/gthumb.xml:
	* src/dlg-rename-series.c: (extract_utf8_digits), (update_list):
	Add template code to preserve original enumerator when renaming
	files. Bug #459349.

2007-08-26  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* NEWS:
	* data/glade/gthumb_tools.glade:
	* data/gthumb.schemas.in:
	* libgthumb/preferences.c:
	* libgthumb/preferences.h:
	* libgthumb/typedefs.h:
	* src/dlg-rename-series.c: (ok_clicked_cb), (update_list),
	(dlg_rename_series):
	Add change-text-case feature to rename-series tool. Bug #459349.

2007-08-26  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (gth_browser_go_to_catalog): check whether the 
	catalog exist before changing to the catalog view.

2007-08-23  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (set_cursor_busy): use LEFT_PTR_WATCH as busy 
	cursor instead of GDK_WATCH because we can still use the ui while 
	loading an image or the file list.

2007-08-22  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* data/glade/gthumb_tools.glade:
	* src/gth-browser-actions-entries.h:
	Disambiguate "Scale Images" string for translators. Bug 468343.

2007-08-22  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (file_list_done_cb): always call 
	window_make_current_image_visible with reset_if_not_found set to FALSE

	Fixes #469273 – delete photo in viewer mode does not advance to next 
	image
	
2007-08-22  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/gth-window-actions-entries.h: added an undo icon to the 
	Wallpaper_Restore command.
	
	* src/gth-window-actions-callbacks.c: allow to set a remote image
	as desktop wallpaper.
	
2007-08-22  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/gth-browser.c (dir_list_done_cb): add the image to the file list 
	only if the image folder is the same of the file list.

2007-08-22  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (dir_list_done_cb): add the priv->image to the 
	file list if gth_dir_list returns a NULL list.  This fixes the problem
	described in the previuos changlog entry in a more consistent way.

2007-08-21  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c:
	* src/gth-fullscreen.c: allow to view an image in fullscreen mode even
	if the current file list is void.  This happens when viewing an image
	from the web browser, which renames the filename with a .tmp extension
	
	* src/gth-browser.c (gth_browser_load_image_from_uri): always use slow
	mime-type detection when loading an image from a uri.

	* src/gth-browser.c (launch_selected_videos_or_audio): 
	* src/gth-batch-op.c (load_current_image): no need to calculate the
	mime-type again, just use the value available in the FileData structure.

2007-08-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (get_path_relative_to_uri):
	* libgthumb/file-utils.h:
	* src/catalog-png-exporter.c: (paint_frame):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print):
	Fixed relative URI handling when the two URIs have different
	schemes. Bug 468541. Patch by Christophe Bisière.

2007-08-20  Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.in: lowered required bonobo version to 2.6.0
	
2007-08-20  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/gth-fullscreen.c: filter out non-images.
	* src/gth-browser.c: do not allow to go fullscreen if there are no 
	images in the list.

	* src/gthumb-preloader.c: 	
	* libgthumb/gth-image-list.h: 
	* libgthumb/gth-image-list.c: 
	* libgthumb/gth-file-view-thumbs.c: 
	* libgthumb/gth-file-view-list.c: 
	* libgthumb/gth-file-view.h: 
	* libgthumb/gth-file-view.c: removed gth_file_view_only_one_is_selected and 
	gth_file_view_selection_not_null, added gth_file_view_get_n_selected
	
2007-08-20  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/file-utils.c (gth_pixbuf_new_from_video): resolve all symlinks
	when loading the video preview for the image loader.  No need to resolve
	the symlinks for the thumb loader because the thumb-loader already
	resolve the symlinks before calling the image loader.

2007-08-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/catalog-web-exporter.c: (ensure_album_dir_exists),
	(get_index_filename), (get_theme_filename), (get_html_index_dir),
	(get_html_index_filename), (get_html_image_dir),
	(get_html_image_filename), (get_thumbnail_uri), (get_image_uri),
	(get_preview_uri), (parse_theme_files):
	g_build_filename > build_uri, to partly fix bug 464023.
	Patch by Christophe Bisière.

	* src/gth-browser-actions-entries.h:
	Mark string for translation. Patch by Stephane Raimbault, bug 468350.

2007-08-20  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/Makefile.am: Remove trailing whitespace.

2007-08-20  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/image-viewer.c: use GTH_TYPE_FIT as enum type for the
	set_fit_mode signal, to avoid warnings in newer versions of gtk+
	* libgthumb/image-viewer.h: create an gobject type for GthFit

2007-08-19  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (get_image_to_preload): use 
	get_cache_filename_from_uri instead of get_local_path_from_uri.

2007-08-19  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter):
	Use cached copy of remote file. Fixes bug 468030.

2007-08-19  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-location.c: always add the basic elements in the drives 
	section	even if no drive is available.
	* src/gth-browser.c: go to the base catalog dir when file:/// is 
	specified.
	
2007-08-19  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* libgthumb/gthumb-stock.h: 
	* libgthumb/gthumb-stock.c: 
	* libgthumb/icons/zoom-width-16.png: 
	* libgthumb/icons/zoom-width-24.png: 
	
	Use the same icons used by evince for the zoom-width command.
	
2007-08-19  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/print-callbacks.c: do not hide the main print dialog
	after selecting print.
	
2007-08-19  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/gth-browser.c: do not reload the file list if the 
	show_hidden_files flags has not changed.  This fixes a problem that
	caused the window to reload after a new window was created.

2007-08-19  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (gth_browser_notify_files_created): 

	Update the file-data info for new files, this way the new files are 
	added respecting the sort order.

2007-08-18  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (load_timeout_cb): update the mtime to force a 
	reload if the image	has changed.
	
	* libgthumb/file-utils.c: do not resolve symlinks for remote uris.
	(copy_file_async): always overwrite the target file.

2007-08-18  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (add_scheme_if_absent):
	Fix null-string check, bug 467906. Patch by Christophe Bisière.

2007-08-18  Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.in: 
	* src/Makefile.am: 
	* src/main.c: 
	* src/gth-window.c: 
	* src/gth-application.h: 
	* src/gth-application.c: 
	* src/GNOME_GThumb.idl: 
	* data/Makefile.am: 
	* data/GNOME_GThumb.server: 
	
	Use again bonobo to provide the single instance application feature.  
	Removed the gtk-unique dependecy as it's not well maintained, api 
	unstable, poorly available, not enough powerfull.
	
2007-08-18  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/gth-browser-actions-callbacks.c: 
	* src/dlg-write-to-cd.c: 
	* src/dlg-web-exporter.c: 
	* src/dlg-file-utils.c: use build_uri instead of g_build_path when
	building uris.
	
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: make build_uri available outside.

2007-08-18  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c: check whether the uri is an image on start up.
	
	* src/gth-batch-op.c: 
	* src/dlg-convert.c: 
	
	Fixed scale and convert tools for remote images.
	
2007-08-18  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/gth-image-selector.c: 
	* src/dlg-preferences.c: 
	* src/dlg-image-prop.c: 
	* src/dlg-file-utils.c: 
	* src/dlg-duplicates.c: 
	* src/dlg-comment.c: 
	* src/dlg-catalog.c: 
	* src/albumtheme.c: 
	* libgthumb/print-callbacks.c: 
	* libgthumb/preferences.c: 
	* libgthumb/pixbuf-utils.c: 
	* libgthumb/image-viewer.c: 
	* libgthumb/file-data.c: 
	* libgthumb/file-utils.c: 
	* libgthumb/cursors.c: 
	* libgthumb/async-pixbuf-ops.c: removed special char used in the 
	emacs days.

	* src/rotation-utils.c: 
	* src/gth-window-actions-callbacks.c: 
	* src/dlg-png-exporter.c: 
	* src/catalog-png-exporter.h: 
	* src/catalog-png-exporter.c: 
	
	Fixed pixbuf saving to remote locations.

2007-08-17  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (uri_has_scheme):
	Return false if null.

	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_savev),
	(_gdk_pixbuf_save):
	Add assertion to make sure file is local.

2007-08-16  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/main.c: (get_folder_pixbuf_size_for_list):
	GTK_ICON_SIZE_SMALL_TOOLBAR -> GTK_ICON_SIZE_MENU for folder icons
	in dir list, to eliminate blurring and be consistent with other
	apps.

2007-08-16  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* src/gth-browser-ui.h:
	* src/gth-browser.c: (window_sync_menu_with_preferences),
	(pref_zoom_quality_changed), (gth_browser_construct):
	* src/gth-viewer-ui.h:
	* src/gth-viewer.c: (sync_menu_with_preferences),
	(gth_viewer_construct):
	* src/gth-window-actions-entries.h:
	Simplify the UI and code by setting the zoom quality from the 
	preferences dialog only, instead of both the preferences dialog
	and the view menu. Bug 467038.

2007-08-16  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/image-viewer.c: 
	* libgthumb/image-viewer.h: 

	Added a shift-w keybinding to force a fit width action.

2007-08-16  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/main.c: 
	* src/gth-browser.c: 
	* libgthumb/gth-file-list.c: 
	
	Do not check whether the uri is a file if it's not necessary, change 
	location in an idle callback to avoid a lock if the authentication
	dialog is required.  Go to the previous location if an error occurs 
	while loading the current location.

2007-08-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/dlg-save-image.c: (dlg_save_image_as):
	* src/dlg-convert.c: (dlg_convert):
	* src/dlg-duplicates.c: (dlg_duplicates):
	* src/dlg-png-exporter.c: (dlg_exporter):
	* src/dlg-preferences.c: (set_to_current_cb), (dlg_preferences):
	* src/dlg-scale-series.c: (dlg_scale_series):
	* src/dlg-search.c: (dlg_search_ui):
	* src/dlg-web-exporter.c: (dlg_web_exporter):
	Use gtk_file_chooser_set_current_folder_uri instead of 
	gtk_file_chooser_set_uri when initializing most file chooser dialogs.
	Fixes bug 467036.

2007-08-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/dlg-save-image.c: (dlg_save_image_as):
	* src/dlg-convert.c: (dlg_convert):
	* src/dlg-duplicates.c: (dlg_duplicates):
	* src/dlg-png-exporter.c: (dlg_exporter):
	* src/dlg-preferences.c: (set_to_current_cb), (dlg_preferences):
	* src/dlg-scale-series.c: (dlg_scale_series):
	* src/dlg-search.c: (dlg_search_ui):
	* src/dlg-web-exporter.c: (dlg_web_exporter):
	Use gtk_file_chooser_set_current_folder_uri instead of 
	gtk_file_chooser_set_uri when initializing most file chooser dialogs.
	Fixes bug 467036.

2007-08-15  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser-actions-callbacks.c: Fixed freeze after opening a new
	window while viewing a catalog.
	
	* libgthumb/file-utils.c (remove_host_from_uri): return NULL if uri 
	is NULL.
	
2007-08-15  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/dlg-rename-series.c: add the image date values into a cache to
	avoid an excessive amount of file reads each time the template 
	changes.  Use fdata->size instead of reading the file size each time.
	
	* libgthumb/catalog.c (catalog_get_file_data_list): 
	
	Filter the list to remove the deleted files.
	Fixes bug #466967 - crash in gThumb Image Viewer: Clicked on an 
	image in catalog browser mode...
	
2007-08-15  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/gth-window.h: 
	* src/gth-window.c: 
	* src/gthumb-preloader.h: 
	* src/gthumb-preloader.c: 
	* src/gth-fullscreen.c: 
	* src/gth-browser.c: 

	pass the preloader pixbufs to/from the fullscreen window, to avoid 
	unnecessary image loading when entering/exiting the fullscreen mode.

2007-08-15  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libgthumb/file-utils.c: (mime_type_is_image),
	(mime_type_is_video), (mime_type_is_audio):
	Warn, rather than crash, when mime_type is null. The underlying
	problem still needs to be fixed. Bug 466967.

2007-08-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser-actions-entries.h: Add mnemonics for View As Slides,
	View as List. Patch by Patrick Wade. Bug 466684.

2007-08-14  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c: 
	* src/dlg-search.c: 
	* libgthumb/gth-file-list.h: 
	* libgthumb/gth-file-list.c: 

	Do not create thumbnails for non-visible images on remote uris.

2007-08-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* doc/C/gthumb.xml: Document Shift+x zoom key.

2007-08-13  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/file-utils.c (remove_host_from_uri): check if idx is at the
	end of the string instead of checking  whether it's NULL, as suggested
	in #464023 by Christophe.

2007-08-13  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/rotation-utils.h: 
	* src/rotation-utils.c: 
	* src/dlg-photo-importer.c: 
	* src/dlg-jpegtran.c: 
	* src/catalog-web-exporter.c: 
	* libgthumb/jpegutils/jpegtran.h: 
	* libgthumb/jpegutils/jpegtran.c: 
	* libgthumb/file-utils.c: 

	Fixed ui freeze caused by the trim dialog.  Always trim images in the
	web-exported, never trim images in the photo importer, ask what to do
	when using the rotation utils.

2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/thumb-loader.c: do not save thumbnails from the user's
	thumbnail directory.  Use the "large" subdirectory when using big 
	thumbnails.
	
	* libgthumb/file-utils.c (remove_host_from_uri): return "/" if the uri
	is "file://"

2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: added function add_filename_to_uri

	* src/dlg-write-to-cd.c: 
	* src/dlg-file-utils.c: use add_filename_to_uri here
	
	* libgthumb/comments.c (comments_get_comment_filename): do not return 
	NULL for non-local uris.
	
2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/gth-browser.c (_set_fullscreen_or_slideshow): do not reverse the
	file list.

2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c (gth_browser_load_image_from_uri): update the 
	mime-type here.
	(load_timeout_cb): no need to update the file info here.
	
2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* libgthumb/gth-file-list.c (load_new_list): 
	
	Fixed bug #465414 – change comment and image shown twice in browser

2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/gth-window-actions-entries.h: 
	* src/gth-window-actions-callbacks.h: 
	* src/gth-window-actions-callbacks.c: 
	* libgthumb/image-viewer.c: 
	
	Added shift+x keybinding to always perform zoom to fit.
	Fixes bug #464446 – Zoom to Fit feature vanished from UI
	
2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/dlg-rename-series.c (dlg_rename_series): no need to unescape 
	the template.
	
	Fixes bug #464348 – Rename tool breaks if template = "%f1%e"

2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* src/gth-browser.c: use a private variable to store the fast_file_type
	preference, to avoid a lot of gconf key reads.

	* src/gth-viewer.c: 
	* src/gthumb-preloader.c: 
	* src/gth-browser.c: 
	* libgthumb/gth-file-list.c: do not update the mime-type when we just
	need to update the mtime.
	
	* libgthumb/file-data.h: 
	* libgthumb/file-data.c: added file_data_update_info to update the 
	file info without updating the mime type.

2007-08-11  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser-actions-callbacks.c: 
	* src/gth-browser.c: 
	* src/dlg-file-utils.c: 
	* src/dlg-catalog.c: 
	
	Fixed catalog renaming and moving.

2007-08-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (window_update_image_info):
	Fixed indentation.

2007-08-10  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-dir-list.c: 
	* src/catalog-list.c: 
	* libgthumb/file-utils.c: 

	Updated all the calls to path_list_new, which returns a FileData list 
	for files.  

2007-08-10  Paolo Bacchilega  <paobac@svn.gnome.org>
	
	* configure.in: bumped version number to 2.10.6 to differentiate 
	current development version from the latest released version.
	
2007-08-10  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/rotation-utils.c: 
	* src/gth-window-actions-callbacks.c: 
	* src/dlg-photo-importer.c: 
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: 
	* libgthumb/comments.c: 
	
	Create a temp dir where there is the bigger free space. Fixed 
	escaping of	the temp dir.  
	Use gnome-vfs to clear the local cache when it's too big.

2007-08-09  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/gth-exif-utils.c (exif_string_to_time_t ): added some
	checks on input string.
	(get_exif_time): allocate 64 bytes instead of 21, just in case.
	
2007-08-09  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/rotation-utils.c: 
	* src/gth-image-selector.c: 
	* src/gth-browser.c: 
	* src/dlg-web-exporter.c: 
	* libgthumb/image-viewer.c: 
	* libgthumb/image-loader.c: 
	* libgthumb/gth-image-list.c: 
	* libgthumb/file-utils.c: 
	* libgthumb/async-pixbuf-ops.c: 

	Some variables were used before initialization.  Initialize the false
	positives too, in order to shut up compiler.

2007-08-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter),
	(gth_pixbuf_new_from_file):
	get_pixbuf_using_external_converter was broken, because 
	"g_spawn_command_line_sync" does not accept pipes ("|") in the command line.
	Reverted to "system" for converting HDR files. The RAW dcraw convert command 
	is simple enough that g_spawn_command_line_sync is OK.

	For tiff files, I backported changes from trunk to just use the standard
	gdk_pixbuf loader for thumbnails, even though it is a memory hog. This 
	removes one instance of system/g_spawn_command_line_sync. (trunk used this
	method because tifftopnm -byrow loses the tiff orientation tag.)

	Still getting uricmp crashes (bug 464777).

2007-08-09  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-dir-list.c: use the file_filter function to filter files.
	* src/gth-browser.c: filter the changed files list, before adding them
	to the list.

	* src/gth-viewer.c: 
	* src/gthumb-preloader.c: 
	* src/gth-fullscreen.c: 
	* src/dlg-photo-importer.c: 
	* libgthumb/thumb-loader.c: 
	* libgthumb/image-viewer.c: 
	* libgthumb/image-loader.c: 
	* libgthumb/gth-image-list.c: 
	* libgthumb/gth-file-list.c: 
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: 
	* libgthumb/file-data.h: 
	* libgthumb/file-data.c: 
	* libgthumb/catalog.c: 

	Added file_data_update_mime_type to update the mime-type when needed.
	Fixed some file_data ref/unref bugs.

	* src/dlg-png-exporter.c: 
	* src/catalog-png-exporter.c: use a file_data list instead of a path
	list.
	
2007-08-08  Paolo Bacchilega  <paobac@svn.gnome.org>

	* libgthumb/gth-image-list.h: 
	* libgthumb/gth-image-list.c: 
	* libgthumb/gth-file-view-thumbs.c: 
	* libgthumb/gth-file-view-list.c: 
	* libgthumb/gth-file-view.h: 
	* libgthumb/gth-file-view.c: 
	* libgthumb/gth-file-list.c: ref/unref file_data values in the file 
	views  (maybe fixes #464777).
	
	* libgthumb/file-data.h: 
	* libgthumb/file-data.c: added a boxed type.
	
	* libgthumb/comments.c: check file existence before trying to load
	the xml file, to avoid a libxml warning.
	
2007-08-08  Paolo Bacchilega  <paobac@svn.gnome.org>	
	
	* src/dlg-file-utils.c: 
	* src/dlg-duplicates.c: 
	* libgthumb/image-loader.c: added some comments to FIXMEs
	
	* src/dlg-photo-importer.c: removed info argument, update the file_data
	structure before using it.

2007-08-08  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/rotation-utils.c (apply_transformation_jpeg): always
	restore the file permissions here.
	
	* src/dlg-photo-importer.c: no need to restore file permissions here.

2007-08-08  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-viewer.c (monitor_file_renamed_cb): fixed memory leak.

	* src/dlg-photo-importer.c: use get_uri_from_local_path instead of
	get_uri_from_path
	
	* src/main.c: 	
	* src/gth-location.c: 
	* src/gth-browser-actions-callbacks.c: 
	* src/gth-browser.c: 
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: 
	* libgthumb/file-data.c: 
	rename get_uri_from_path as add_scheme_if_absent, do avoid confusion
	with get_uri_from_local_path.

2007-08-08  Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gth-browser.c: Set progress bar height to 10.
	
	* libgthumb/file-utils.c: 
	* data/gthumb.schemas.in: hide filenames and image preview by 
	default.

2007-08-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (delete_comment_iptc):
	filename <-> uri typo, which prevented building.

2007-08-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/rotation-utils.c: 
	* src/gth-browser.c: 
	* src/dlg-web-exporter.c: 
	* src/dlg-photo-importer.c: 
	* src/catalog-web-exporter.h: 
	* src/catalog-web-exporter.c: 
	* libgthumb/jpegutils/jpegtran.h: 
	* libgthumb/jpegutils/jpegtran.c: 
	* libgthumb/jpegutils/jpeg-data.c: 
	* libgthumb/image-loader.c: 
	* libgthumb/gth-exif-utils.c: 
	* libgthumb/file-utils.c: 
	* libgthumb/comments.h: 
	* libgthumb/comments.c: 
	
	Do not load/save comments for remote images because these operations
	cannot be async	without big changes to the code.  Get the mime-type for
	remote files  from the filename only.  Use a file_data list for the 
	web exporter to minimize file access operations, fixed uri/local_path 
	convertions.
	
2007-08-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/albumthemes/Wiki/image.gthtml: 
	* data/albumthemes/Flicker/image.gthtml: 
	* data/albumthemes/NeatRound/image.gthtml: removed max_size attribute
	for the comment in the image page.

2007-08-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* AUTHORS: use svn.gnome.org addresses, rather than cvs.gnome.org
	* MAINTAINERS: update formatting as per desktop-devel-list@gnome.org

2007-08-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/comments.h: 
	* libgthumb/comments.c: 
	
2007-08-07  Paolo Bacchilega  <paobac@cvs.gnome.org>
	
	* src/main.c (folder_is_film): return false for remote folders.

2007-08-06  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-window-actions-callbacks.c: 
	* src/gth-window.h: 
	* src/gth-window.c: 
	* src/gth-viewer.c: 
	* src/gthumb-preloader.c: 
	* src/gth-browser-actions-callbacks.c: 
	* src/gth-browser.c: 
	* src/dlg-reset-exif.c: 
	* src/dlg-redeye-removal.c: 
	* src/dlg-photo-importer.c: 
	* src/dlg-jpegtran.c: 
	* src/dlg-file-utils.c: 
	* src/dlg-crop.c: 
	* libgthumb/image-loader.c: 
	* libgthumb/gth-exif-utils.c: 
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: 
	* libgthumb/dlg-save-image.h: 
	* libgthumb/dlg-save-image.c: 

	Make saving of remote images async.  Duplicate the file_data in the
	preloader in order to reload the image if changed.

2007-08-06  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-window-actions-callbacks.c: 
	* src/dlg-reset-exif.h: 
	* src/dlg-reset-exif.c: 
	* src/dlg-jpegtran.c: make reset_exif async for remote files.
	
	* data/glade/gthumb_tools.glade: added a info icon in the reset exif 
	dialog.

2007-08-06  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/rotation-utils.h: 
	* src/rotation-utils.c: 
	* src/gth-window-actions-callbacks.c: 
	* src/gth-viewer.c: 
	* src/gth-exif-data-viewer.c: 
	* src/gth-browser.c: 
	* src/dlg-web-exporter.c: 
	* src/dlg-photo-importer.c: 
	* src/dlg-jpegtran.h: 
	* src/dlg-jpegtran.c: 
	* src/catalog-web-exporter.c: 
	* libgthumb/jpegutils/jpegtran.c: 
	* libgthumb/thumb-loader.c: 
	* libgthumb/print-callbacks.c: 
	* libgthumb/pixbuf-utils.h: 
	* libgthumb/pixbuf-utils.c: 
	* libgthumb/image-loader.c: 
	* libgthumb/gtk-utils.c: 
	* libgthumb/gth-exif-utils.c: 
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: 
	* libgthumb/file-data.h: 
	* libgthumb/file-data.c: 
	
	Other batch of changes to make loading/saving of remote files async.  
	Some functionality can be broken at this point.
	
2007-08-06  Paolo Bacchilega  <paobac@cvs.gnome.org>	
	
	* libgthumb/thumb-loader.c: 
	* libgthumb/gth-file-list.c: move the resolve_links op in the 
	thumb_loader.  Resolve only local files.
	
2007-08-06  Paolo Bacchilega  <paobac@cvs.gnome.org>	
	
	* src/gth-browser.c: added the prograssbar to a vbox to make the
	size_request work correctly.

2007-08-06  Paolo Bacchilega  <paobac@cvs.gnome.org>
	
	* src/gth-viewer.c: 
	* libgthumb/image-loader.c: fix ref/unref of file_data values.
		
2007-08-06  Paolo Bacchilega  <paobac@cvs.gnome.org>	
	
	* libgthumb/image-loader.c: 
	* libgthumb/thumb-loader.c: reverted last change.

2007-08-05  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/thumb-loader.c (thumb_loader): use the image_loader 
	thumb_factory.
	
	* libgthumb/image-loader.h: 
	* libgthumb/image-loader.c: added a file_mutex for handling the file
	field.
	
2007-08-05  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/main.c: 
	* src/gth-window.h: 
	* src/gth-window.c: 
	* src/gth-viewer-actions-callbacks.c: 
	* src/gth-viewer.h: 
	* src/gth-viewer.c: 
	* src/gthumb-preloader.h: 
	* src/gthumb-preloader.c: 
	* src/gth-fullscreen.h: 
	* src/gth-fullscreen.c: 
	* src/gth-exif-data-viewer.h: 
	* src/gth-exif-data-viewer.c: 
	* src/gth-browser-actions-callbacks.c: 
	* src/gth-browser.h: 
	* src/gth-browser.c: 
	* src/gth-batch-op.c: 
	* src/dlg-image-prop.c: 
	* src/dlg-file-utils.c: 
	* src/dlg-convert.c: 
	* libgthumb/thumb-loader.c: 
	* libgthumb/image-viewer.h: 
	* libgthumb/image-viewer.c: 
	* libgthumb/image-loader.h: 
	* libgthumb/image-loader.c: 
	* libgthumb/gth-exif-utils.c: 
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: 
	* libgthumb/file-data.h: 
	* libgthumb/file-data.c: 
	* libgthumb/catalog.h: 
	* libgthumb/catalog.c: 

	Use a file_data instead of a simple uri to minimize accesses to files.
	Started work to make loading of remote files async.

2007-08-04  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/thumb-loader.h: 
	* libgthumb/thumb-loader.c: use a file_data structure to store all the 
	info about the file to load.  This minimize the number of accesses to 
	the file, which is important for remote files.

	* src/dlg-duplicates.c: 
	
	* libgthumb/file-utils.h: 
	* libgthumb/file-utils.c: pass an optional filter function argument 
	to path_list_async_new

	* libgthumb/thumb-cache.c: 
	* src/gth-dir-list.h: 
	* src/gth-dir-list.c: make the filtering here instead of gth-file-list.c
	* libgthumb/gth-file-list.h: 
	* libgthumb/gth-file-list.c: removed the file filtering from here.  This
	reduces the number of accesses to files.

	* libgthumb/image-loader.h: 
	* libgthumb/image-loader.c: removed the path argument from the image
	loader costructor.

	* src/gthumb-preloader.c: 
	* src/gth-batch-op.c: 
	* src/dlg-search.c: 
	* src/dlg-photo-importer.c: 
	* src/dlg-jpegtran.c: 
	* src/dlg-convert.c: 
	* src/catalog-web-exporter.c: 
	* src/catalog-png-exporter.c: 	
	* libgthumb/print-callbacks.c: 
	* libgthumb/image-viewer.c: changed all the calls to image_loader_new,
	thumb_loader_new and other minor changes.

	* libgthumb/glib-utils.h: 
	* libgthumb/glib-utils.c: added get_static_string
	
	* libgthumb/file-data.h: 
	* libgthumb/file-data.c: minor api changes.

	* libgthumb/gthumb-init.c: moved prune_cache outside 
	ensure_directories_exist

2007-08-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* doc/C/gthumb.xml: Corrected the Rename tool documentation, to
	reflect the move from the Tools menu to the Edit menu.

2007-07-31  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/catalog-web-exporter.c: (get_style_dir):
	Unescape style path names. Patch by Christophe Bisière.

2007-07-31  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c: call window_make_current_image_visible with
	reset_if_not_found set to FALSE if load_image_folder_after_image is TRUE.

2007-07-30  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-exif-utils.h: 
	* libgthumb/gth-exif-utils.c: 

	Applied patch #92687 in bug #461538 to read the exif value even
	when the standard is not followed correctly.  Patch by Joakim.

2007-07-30  Paolo Bacchilega  <paobac@cvs.gnome.org>
	
	* libgthumb/gth-exif-utils.c (gth_minimal_exif_tag_action): 
	
	Fixes crash described in bug #461538.  Patch by Joakim.

2007-07-30  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c:  use gnome_vfs_mime_application_equal to 
	compare apps.

2007-07-29  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c (uricmp): return 0 only if both uris are NULL

2007-07-29  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c (gth_minimal_exif_tag_action): 
	return PATCH_EXIF_NO_TAGS instead of continuing when we are not able 
	to read the value (see bug #461538).

2007-07-29  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c (gth_file_list_op_new): specify missing 
	argument type for gth_file_list_op_new
	
2007-07-29  Paolo Bacchilega  <paobac@cvs.gnome.org>	

	* libgthumb/gth-file-list.c: 	
	* libgthumb/gth-image-list.h: 
	* libgthumb/gth-image-list.c: 
	* libgthumb/gth-file-view-thumbs.c: relayout without calling a timeout 
	callback after thawing the list, this is because make_image_visible,
	in gth-browser.c, needs an already layouted list in order to work 
	correctly.

2007-07-29  Paolo Bacchilega  <paobac@cvs.gnome.org>
	
	* src/gth-browser.c (activate_catalog_done): 
	(file_list_done_cb): 
	
	Fixed bug #439043 calling window_make_current_image_visible with
	reset_if_not_found set to TRUE.
	
2007-07-29  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c: call gth_file_list_set_show_hidden_files when
	the PREF_SHOW_HIDDEN_FILES value changes.
	* libgthumb/gth-file-list.h: 
	* libgthumb/gth-file-list.c: added a 
	gth_file_list_set_show_hidden_files	function.
	
	Read the PREF_SHOW_HIDDEN_FILES value only after a gconf notification.
	
2007-07-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (monitor_update_files_cb):
	* src/gth-monitor.c: (add_monitor_event):
	Removed debugging ifdefs that were overlooked before. 
	Run-time debug message control is used now.

2007-07-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* README: mention optional use of midentify.

2007-07-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-data.c: (file_data_load_exif_data):
	* libgthumb/gth-exif-utils.c: (get_mplayer_time),
	(get_metadata_time), (have_exif_time):
	* libgthumb/gth-exif-utils.h:
	* src/catalog-png-exporter.c: (image_loader_done):
	* src/catalog-web-exporter.c: (gth_parsed_doc_print),
	(image_loader_done):
	* src/dlg-change-date.c: (exif_time_available), (ok_clicked):
	* src/dlg-comment.c: (get_requested_time),
	(date_optionmenu_changed_cb):
	* src/dlg-rename-series.c: (get_image_date):
	* src/gth-browser.c: (window_update_statusbar_image_info):
	* src/gth-fullscreen.c: (get_file_info):
	* src/gth-viewer.c: (viewer_update_statusbar_image_info):
	Replace get_exif_time and get_mplayer_time with a more
	genereal get_metadata_time function. Minor corrections.
	
2007-07-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c: (get_mplayer_time):
	Use unescaped filenames.

2007-07-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c: (get_mplayer_time):
	Delete tmp dirs properly.

2007-07-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/file-data.c: (file_data_load_exif_data):
	* libgthumb/gth-exif-utils.c: (get_mplayer_time):
	* libgthumb/gth-exif-utils.h:
	Added code to extract video DateTime tags using mplayer's
	midentify tool, if present.

2007-07-19  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/dlg-photo-importer.c: (get_file_name), (save_images__init),
	(save_images__done): 
	Added a warning when renaming imported photos to avoid file 
	overwrites. Bug #332684.

2007-07-19  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/dlg-photo-importer.c: (delete_images__init),
	(delete_images__step), (adjust_orientation__done),
	(adjust_orientation__step):
	* src/rotation-utils.c: (apply_transformation_jpeg),
	(apply_transformation_generic):
	* src/rotation-utils.h:
	Fixed bug #446792, gThumb deletes pictures on failed import, by
	stopping deletes if the rotation functions fail.

2007-07-19  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/rotation-utils.c: (apply_transformation_jpeg):
	Part of the rotation code needs to use escaped file names. Fixes
	bug #457936. Patch by Manuel Braga.

2007-07-19  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (uricmp): Add some NULL checks to try
	to fix vexatious bug #443006.

	* libgthumb/comments.c: (comment_data_equal):
	* libgthumb/file-utils.c: (get_file_mime_type), (mime_type_is),
	(image_is_type), (uricmp):
	* libgthumb/glib-utils.c: (strcmp_null_tolerant):
	* libgthumb/glib-utils.h:
	* libgthumb/thumb-loader.c: (thumb_loader_save_to_cache):
	* src/dlg-comment.c: (text_field_cmp), (dlg_comment_update):
	* src/gth-batch-op.c: (load_current_image):
	Spelling: tollerant -> tolerant

2007-07-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/gth-browser.c: (catalog_activate),
	(gth_browser_go_to_directory):
	Fixed bug #439043 - Preview area always shows last selected image.
	Set image viewer to void when switching folders or catalogs.

2007-07-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (window_update_go_sensitivity),
	(window_progress), (window_make_current_image_visible),
	(gth_file_list_cursor_changed_cb), (window_enable_thumbs),
	(image_clicked_cb), (mouse_wheel_scrolled_cb), (file_list_done_cb),
	(dir_list_done_cb), (gth_browser_construct), (close__step2),
	(gth_browser_close), (stop__step5), (stop__step4), (stop__step2),
	(gth_browser_go_to_catalog), (gth_browser_show_next_image),
	(gth_browser_show_prev_image):
	Deleted some unused (i.e., never set to TRUE) boolean variables.

2007-07-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/gth-browser.c: (set_cursor_busy), (set_cursor_not_busy),
	(catalog_activate), (image_requested_error_cb),
	(image_requested_done_cb), (file_list_done_cb),
	(create_new_file_list), (gth_browser_construct), (close__step6),
	(gth_browser_go_to_directory), (load_timeout_cb):
        Add/fix a busy cursor when loading folders and preloading the
        selected image.

2007-07-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/gth-file-list.c: (gth_file_list_init), (load_new_list):
	Fixed Ctrl+H (show/hide hidden files) function. It updated the 
	gconf preference, but not the active file lists.

2007-07-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* data/gthumb.schemas.in:
	Show filenames by default. Bug #452831.

2007-07-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* data/gthumb.schemas.in:
	Show preview pane by default. Bug #452833.

2007-07-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/gth-file-view-list.c: (gfv_sorted),
	(gth_file_view_list_new): Fixed bug #457685 - sort by Exif DateTime broken
	in list mode.

2007-07-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-list.c: (gth_file_list_update_next_thumb):
	Try loading more thumbnails into memory for faster navigation (load
	visible images, plus 200 before and 200 after visible range).

2007-07-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c: (get_exif_time): Return DateTimeOriginal
	or DateTimeDigitized if DateTime is not present.

2007-07-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c: (get_exif_time):
	Add support for remote files, and return 0 for invalid times,
	instead of -1.

2007-07-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-data.c: (file_data_load_exif_data):
	* libgthumb/gth-exif-utils.c: (exif_string_to_time_t),
	(get_exif_time):
	Implement faster exif DataTime loading for sorts, by reading the
	DateTime tags using the new minimal tag reader, instead of libexif.

2007-07-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_uri), (if):
	* libgthumb/gth-exif-utils.c: (gth_minimal_exif_tag_action),
	(gth_minimal_exif_tag_read), (gth_minimal_exif_tag_write),
	(read_orientation_field), (write_orientation_field):
	* libgthumb/gth-exif-utils.h:
	* src/dlg-change-date.c: (ok_clicked):
	Delete unused parameter (ifds) from the "minimal" tag read/write
	functions.

2007-07-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/file-utils.c (get_uri_host): always return a non-NULL value
	
	Fixes bug #455911 – Symlink/vfs problem. Ported from gthumb-2-10.

2007-07-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/file-utils.c: (xdg_user_dir_lookup):
	Ensure the XDG "PICTURES" folder exists before using it.

	* src/dlg-photo-importer.c: (dlg_photo_importer):
	Set the import folder properly (use
	gtk_file_chooser_set_current_folder_uri, not
	gtk_file_chooser_set_uri. Required to make XDG default
	folder work.	

2007-07-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-viewer.c: (viewer_update_image_info):
	Corrected duplicated and missing logic.

2007-07-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (window_update_image_info):
	Cosmetic - fixed indentation.

2007-07-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c: (gth_minimal_exif_tag_action),
	(gth_minimal_exif_tag_read), (gth_minimal_exif_tag_write),
	(read_orientation_field):
	* libgthumb/gth-exif-utils.h: Add gth_minimal_exif_tag_read to
	match the existing gth_minimal_exif_tag_write function.
	Backport from metadata-ideas branch.

2007-07-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_remote_cache_full_path),
	(prune_cache), (obtain_local_file),
	(get_pixbuf_using_external_converter):
	* libgthumb/file-utils.h:
	* libgthumb/gthumb-init.c: (ensure_directories_exist):
	Re-work the prune_cache function slightly, to permit more than one
	type of cache. Backport from metadata-ideas branch.

2007-07-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb.glade:
	String change - call exif data "Metadata"

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_uri):
	Fix error in previous patch.

2007-07-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_uri): More elegant
	and readable re-working of previous patch.

2007-07-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/file-utils.c: (gth_pixbuf_new_from_uri): Use the new
	gdk_pixbuf_apply_embedded_orientation function, if available, to
	auto-rotate images with orientation tags.

2007-07-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-web-exporter.c: (dlg_web_exporter),
	(show_album_theme_cb): Make dialogs modal.

2007-07-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* data/albumthemes/Classic/thumbnail.gthtml:
	* data/albumthemes/ClassicClips/thumbnail.gthtml:
	* data/albumthemes/Flicker/thumbnail.gthtml:
	* data/albumthemes/NeatRound/thumbnail.gthtml:
	* data/albumthemes/Wiki/thumbnail.gthtml:
	Fixed bug #454489. Theme uses the wrong captions in the thumbnails.
        Patched by Jef Driesen.

2007-07-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/print-callbacks.c: (catalog_set_standard_page_size):
	Use gtk_paper_size_free instead of g_free. Bug #454037. 
	Patch by Pascal Terjan.

2007-07-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/comments.c: (save_comment):
	Check for invalid unicode in embedded comments. Bug #453986.

2007-06-26  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/file-utils.c: (delete_thumbnail):
	* libgthumb/file-utils.h: New function, to delete cached thumbnails
	corresponding to a given image.

	* src/dlg-file-utils.c: (xfer_file), (dlg_files_delete):
	Use the new function to delete thumbnails when deleting images.
	Only works at the file level - doesn't do anything when folders
	are deleted. Bug #450675.

2007-06-25 Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-posterize.c (destroy_cb): 
	* src/dlg-hue-saturation.c (destroy_cb): 
	* src/dlg-color-balance.c (destroy_cb): 
	* src/dlg-brightness-contrast.c (destroy_cb): removed useless call to 
	gth_pixbuf_op_stop.
	
	Fixes bug #448644 – Image brightness-contrast doesn't trigger 
	save-ability. (Late merge from gthumb-2-10 branch).

2007-06-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-image-list.c: (real_move_cursor):
	Wrap to next/previous line when navigating with arrow keys
	at start/end of a row of images. Bug 449338. Patch
	by Christophe Bisière.

2007-06-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* doc/C/gthumb.xml:
	* doc/theme-xml.txt: Documentation updates regarding web album.

	* src/catalog-png-exporter.c: Remove extra space that causes build 
	error. Bug #450110.

2007-06-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/albumthemes/BestFit/image.gthtml:
	* data/albumthemes/BestFit/index.gthtml:
	* data/albumthemes/BestFit/index.js:
	* data/albumthemes/BestFit/thumbnail.gthtml:
	* data/albumthemes/ClassicClips/image.gthtml:
	* data/albumthemes/ClassicClips/index.gthtml:
	* data/albumthemes/ClassicClips/thumbnail.gthtml:
	* data/albumthemes/Flicker/image.gthtml:
	* data/albumthemes/Flicker/index.gthtml:
	* data/albumthemes/NeatRound/image.gthtml:
	* data/albumthemes/NeatRound/index.gthtml:
	* data/albumthemes/NeatRound/thumbnail.gthtml:
	* data/albumthemes/Wiki/image.gthtml:
	* data/albumthemes/Wiki/index.gthtml:
	* data/albumthemes/Wiki/thumbnail.gthtml:
	Enable sub-folder usage in all themes, and minor theme corrections.
	Patch by Christophe Bisière. Bug #119492.

2007-06-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* data/albumthemes/Classic/image.gthtml:
	* data/albumthemes/Classic/index.gthtml:
	* data/albumthemes/Classic/thumbnail.gthtml:
	* data/glade/gthumb_web_exporter.glade:
	* data/gthumb.schemas.in:
	* libgthumb/preferences.h:
	* src/albumtheme-private.h:
	* src/albumtheme.c: 
	* src/albumtheme.l:
	* src/albumtheme.y:
	* src/catalog-web-exporter.c:	
	* src/catalog-web-exporter.h:
	* src/dlg-web-exporter.c:
	* src/lex.albumtheme.c: 
	Initial patch to use subfolders when generating web albums.
	Bug #119492. Patch by Christophe Bisière. Only classic theme
	works; theme patches to follow.

2007-06-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* configure.in: Make trunk = 2.11.0, to avoid confusion with
	2.10.x branch.

2007-06-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/main.c: (main): Fixed Bug #447311 - g_thread_init warning 
	when starting gthumb, by moving g_thread_init to the very start of
	src/main.c:main.

2007-06-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/file-utils.c:
        Fixed Ubuntu bug 119769 - Escape angle brackets in filenames
	https://bugs.launchpad.net/ubuntu/+source/gthumb/+bug/119769

2007-06-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/dlg-photo-importer.c: (valid_mime_type):
	Fixed Bug #446133 - Add PPM to supported types during import.

2007-06-07  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/dlg-write-to-cd.c: (ok_clicked_cb):
	Fixed Bug #444656 - write folders to CD does not work. Patch by
	Jerry Tan.

2007-06-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* doc/C/gthumb.xml: Mention that laptops usually permit numeric
	keypad emulation (for use with the hot key feature).

2007-05-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/comments.c: (save_comment_iptc):
	Removed calls to iptc_data_set_version and 
	iptc_data_set_encoding_utf8 when saving comments, because they
	cause Picasa to not recognize the IPTC data, and the data
	they store is not widely used, apparently. Bug 438716. Patch
	by David Moore.

2007-05-24  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* AUTHORS:
	* NEWS:
	* configure.in:
	* data/Makefile.am:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/apps/gthumb.svg:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/apps/Makefile.am:
	* data/icons/22x22/apps/gthumb.svg:
	* data/icons/32x32/Makefile.am:
	* data/icons/32x32/apps/Makefile.am:
	* data/icons/32x32/apps/gthumb.svg:
	* data/icons/48x48/Makefile.am:
	* data/icons/48x48/apps/Makefile.am:
	* data/icons/48x48/apps/gthumb.svg:
	* data/icons/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/apps/Makefile.am:
	* data/icons/scalable/apps/gthumb.svg:
	New Tango-ized app icon by Ulisse Perusin <uli.peru@gmail.com>.

2007-05-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/gthumb.schemas.in: Fixed incorrect (crash-causing) default
	value for png exporter name_template.
	* src/dlg-png-exporter.c: (export): Ignore template values
	with "%" in them.

	* src/catalog-png-exporter.c: (begin_page), (end_page),
	(paint_frame): Make the output xhtml compliant. Patch
	by Christophe Bisière. Bug #440036.

2007-05-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: update to reflect backports to gthumb-2-10.

2007-05-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/thumb-loader.c: 
	* libgthumb/file-utils.c: scale the image only if the original size 
	is larger than the requested size. (Forward port from gthumb-2-10).

2007-05-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: further clarify trunk/gthumb-2-10 differences

2007-05-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: clarify trunk/gthumb-2-10 differences

2007-05-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (dir_list_activated_cb),
	(sidebar_list_key_press):
	* src/gth-window-actions-callbacks.c:
	Keep focus on sidebar after keyboard/mouse folder navigation.
	Bug 427986, patch by Patrick Wade.

	(gth_window_activate_action_alter_image_rotate90),
	(gth_window_activate_action_alter_image_rotate90cc),
	(gth_window_activate_action_alter_image_flip),
	(gth_window_activate_action_alter_image_mirror),
	(gth_window_activate_action_alter_image_desaturate),
	(gth_window_activate_action_alter_image_invert),
	(gth_window_activate_action_alter_image_adjust_levels),
	(gth_window_activate_action_alter_image_equalize),
	(gth_window_activate_action_alter_image_dither_bw),
	(gth_window_activate_action_alter_image_dither_web):
	Return if input pixbuf is null. Bug 438414.

2007-05-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/thumb-loader.c: (thumb_loader_init),
	(thumb_loader_start__step2), (thumb_loader_save_to_cache),
	(thumb_loader_done_cb), (thumb_loader_error_cb):
	Do not use the "failed" thumbnail if it was generated in the
	last 5 seconds. Instead, try to thumbnail it again. Also, read
	the image file mtime once and save it in the private data,
	rather than reading it several times (which may give different
	values). The two changes fix bug 432759.

	* libgthumb/thumb-loader.h: Deleted unused functions.

2007-05-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_uri):
	Do not check for orientation if the loaders failed.

2007-05-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter),
	(gth_pixbuf_new_from_uri):
	* libgthumb/image-loader.c: (image_loader_finalize__step2),
	(image_loader_set_pixbuf), (image_loader_sync_pixbuf):
	Backport from metadata-ideas branch. Move orientation-checking
	of new pixbufs from image_loader_sync_pixbuf to gth_pixbuf_new_from_uri,
	where all the other image loading trickery is. Also, added support for
	gdk-pixbuf reporting of orientation tags (bug 428725, patch pending)
	instead of using libexif. This will provide new orientation tag
	support for tiff images.

2007-05-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* data/albumthemes/Classic/image.gthtml:
	* data/albumthemes/ClassicClips/image.gthtml:
	* data/albumthemes/Flicker/image.gthtml:
	* data/albumthemes/NeatRound/image.gthtml:
	* data/albumthemes/Wiki/image.gthtml:
	Fixed bug 436881 - web export exports malformed xml.
	Patch by Christophe Bisière.

2007-05-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* AUTHORS:
	* NEWS:
	* src/catalog-web-exporter.c: (gth_parsed_doc_print),
	(save_html_image_cb): Fixed escaping/unescaping of
	web-exported filenames. Patch by Christophe Bisière. Bug 436872.

2007-05-03  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_file_mime_type), (mime_type_is_raw):
	Add image/x-canon-cr2 to the list of known raw photo mime types.
	Bug 435379. Patch by Hubert Figuiere.	

2007-05-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-comment.c: (dlg_comment_update):
	Fixed Bug 434951 - Setting displayed date to exif date is disabled 
	when the first selected image does not have exif data. Patch by
	Christophe Bisière.

2007-05-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_space_used_in_kb),
	(check_cache_space), (obtain_local_file),
	(get_pixbuf_using_external_converter):
	Delete files one at a time until the size of the remote / conversion
	cache is < 256 MB. Bug 434445.

2007-04-28  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-photo-importer.c: (adjust_orientation__step):
	Fixed improperly initialized & unref'd GnomeVFSFileInfo instance.
	Patch by Jerry Tan. Bug 434034.

2007-04-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: general updates

	* libgthumb/file-utils.c: (mime_type_is_image):
	Ignore image/x-xcf files. No good xcf loader/converter is available.

2007-04-26  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* doc/C/gthumb.xml:
	* libgthumb/image-viewer.c: (image_viewer_class_init):
	New keybinding: keypad-* = zoom to fit. Bug 432700.

2007-04-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-monitor.c: (add_monitor_event): 
	Fixed bug 432084 - Transient files confuse gThumb. Do not assume
	non-file is a directory; test for directory existence separately.
	Patch by Manuel Braga.

2007-04-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter):
	Try to extract thumbnail from RAW images using "dcraw -e".
	Something weird is happening with the file monitor, though.

2007-04-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_scale_simple_safe):
	Corrected a g_object_unref on a possibly-null object introduced
	in the previous commit.

2007-04-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/async-pixbuf-ops.c: (scale_step):
	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_scale_simple_safe):
	* libgthumb/pixbuf-utils.h:
	* src/dlg-scale-image.c: (ok_cb):
	When scaling down by a factor > 100, call gdk_pixbuf_scale_simple
	twice to avoid crashes, freezes. Related to bug 80925.

2007-04-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-rename-series.c: (get_image_date):
	Removed obsolete ifdef that prevented correct date-based
	renaming. Bug 431838.

2007-04-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter):
	Speed up thumbnail generation of raw files by using dcraw's -h
	option. Only applies if libopenraw is not present/usable.

2007-04-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter):
	Added -w option to dcraw calls, to use the camera-specified
	white balance on raw images.

2007-04-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (mime_type_is_video),
	(gth_pixbuf_new_from_video), (gth_pixbuf_animation_new_from_uri):
	Add support for ogg thumbnails. Bug 430777.

2007-04-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/Makefile.am: Run gtk-update-icon-cache in uninstall-hook,
	as per bug 362604.

2007-04-16  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_transform):
	* libgthumb/pixbuf-utils.h:
	* libgthumb/print-callbacks.c: (print__gdk_pixbuf_rotate):
	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_alter_image_rotate90),
	(gth_window_activate_action_alter_image_rotate90cc),
	(gth_window_activate_action_alter_image_flip),
	(gth_window_activate_action_alter_image_mirror):
	Better code sharing. Use gdk_pixbuf_rotate_simple and gdk_pixbuf_flip
	instead of having our own _gdk_pixbuf_copy_rotate_90 and
	_gdk_pixbuf_copy_mirror functions.

2007-04-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/jpeg-utils.c:
	* libgthumb/jpeg-utils.h:
	Deleted. We don't need our own scaled jpeg loader.

	* libgthumb/Makefile.am:
	* libgthumb/thumb-loader.c:
	* src/gth-browser.c:
	* src/gth-viewer.c:
	Removed jpeg-utils.h includes.

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	Use gdk_pixbuf_new_from_file_at_scale to load jpeg thumbnails. It 
	is just as fast as the old f_load_scaled_jpeg function.

2007-04-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_file_mime_type):
	Fixed a crash when a file has no recognized mime type. Bug 428278.

2007-04-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/catalog-list.c: (catalog_list_get_iter_from_path):
	Return a boolean (FALSE) when path is NULL. Bug 407871.
	Patch by Manuel Braga.

2007-04-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-filter-bar.c: (gth_filter_bar_construct):
	Changed "S_how" to "Sh_ow", to avoid conflict with
	help menu mnemonic.

2007-04-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* src/gth-browser.c: (go_to_uri):
	* src/main.c: (prepare_app): 
	Fixed bug 427846 - Can't launch command line collections, and
        crash when selecting "Catalogs" from the location bar. Patch
	by Manuel Braga.

2007-04-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: general updates

2007-04-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-photo-importer.c: (valid_mime_type):
	Do not filter out RAW photo types.

2007-04-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gtk-utils.c: (_gtk_request_dialog_run):
	Return NULL if the dialog text entry is empty, instead of
	an empty string.

2007-04-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

        * src/gth-window-actions-entries.h: Alt+S for scaling,
        Alt+R for redeye removal.

2007-04-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/catalog-web-exporter.c:
	(copy_exif_from_orig_and_reset_orientation):
	Small memory leak fixed in error handling.

2007-04-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/rotation-utils.c: (apply_transformation_jpeg):
	Small memory leak fixed - tmpdir was not gfree'd.

2007-04-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c: (gth_minimal_exif_tag_write),
	(read_orientation_field), (write_orientation_field):
	* libgthumb/gth-exif-utils.h:
	* src/dlg-change-date.c: (ok_clicked):
	* src/rotation-utils.c:
	* src/rotation-utils.h:
	Moved read_orientation_field, write_orientation_field into
	libgthumb/gth-exif-utils.c. General tidy-up of the new
	gth_minimal_exif_tag_write code.

2007-04-02  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (xdg_user_dir_lookup):
	* libgthumb/file-utils.h:
	* src/dlg-photo-importer.c: (dlg_photo_importer):
	Makes the PICTURES xdg-user-dir the default for photo import. 
	Bug 425365. Based on patch from Matthias Clasen.

2007-03-30  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/glib-utils.c: (debug):
	Enable debug messages with an environment variable. Bug 361367.

	* src/gth-browser.c: (get_image_to_preload):
	Check dimensions of all images types, not just jpegs, to avoid
	preloading giant tiff files. Bug 160460. Also, don't preload
	remote files. Added more debug messages.

2007-03-29  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c (resolve_symlinks): fixed call to get_uri_host

2007-03-29  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser-actions-callbacks.c:
	* libgthumb/gtk-utils.c (exec_shell_script):
	* src/rotation-utils.c:
	* src/gth-location.c (gth_location_set_catalog_uri):
	* src/gth-browser.c (close__step6):
	* libgthumb/bookmarks.c (get_menu_item_tip):
	* src/main.c (reset_command_line_catalog):
	* libgthumb/file-utils.c:

	Use remove_host_from_uri and get_uri_host instead of
	remove_scheme_from_uri and get_uri_scheme (#423956).

2007-03-28  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/rotation-utils.c: (apply_transformation_jpeg):
	Rotate-on-import was broken, due to use of file:// URI. Added
	URI support to apply_transformation_jpeg to fix it.

2007-03-28  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-hue-saturation.c:
	* src/dlg-color-balance.c:
	* src/dlg-brightness-contrast.c:
	* src/dlg-posterize.c:

	Cancel the pixbuf operation before closing the dialog (#423715).

2007-03-28  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/rotation-utils.c (apply_transformation_jpeg):

	Fixed bug #423497 – fix build with gcc 2
	Patch by Jens Granseuer.

2007-03-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* AUTHORS:
	* data/glade/gthumb_tools.glade:
	* src/dlg-change-date.c: (ok_clicked), (update_sensitivity),
	(dlg_change_date):
	Added Joakim Larsson's change exif-date tool. Bug 408183.

	* libgthumb/gth-exif-utils.c: (gth_minimal_exif_tag_write):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/jpegutils/jpegtran.c: (update_exif_orientation):
	* libgthumb/jpegutils/jpegtran.h:
	* src/catalog-web-exporter.c:
	(copy_exif_from_orig_and_reset_orientation):
	* src/rotation-utils.c: (write_orientation_field):
	Bypass libexif and use gth_minimal_exif_tag_write when writing tags,
	if possible, to avoid MakerNote corruption. Bug 408185. Based on
	Joakim Larsson's patches. Merged from metadata-ideas branch.

2007-03-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-sort-utils.c: added missing include.

2007-03-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_redeye.glade: Use "Position" instead of
	"Selection". http://launchpad.net/ubuntu/+source/gthumb/+bug/85780.

2007-03-27  Paolo Bacchilega  <paobac@cvs.gnome.org>

	[ gthumb 2.10.1 released ]

	* configure.in: updated for 2.10.1

2007-03-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: general updates.

	* libgthumb/gth-sort-utils.c:
	(gth_sort_by_filename_but_ignore_path):
	Use unescaped URI for file sorting.

	* libgthumb/gtk-utils.c: (_gtk_request_dialog_run):
	Convert user-typed Unicode input dialog into "NFC" normalized
	form for consistency, and to avoid catalogs/libraries/categories
	with apparently identical names. Bug 423271.

	* src/dlg-search.c: (pattern_matched_by_keywords),
	(match_patterns), (directory_load_cb): Convert Unicode search
	patterns and search targets into NFC normalized form, to account
	for the fact that Unicode strings with identical meaning can
	be stored in different ways (composite vs non-composite
	characters, for instace). Also, use unescaped URI for
	file searches. Bug 423272.

2007-03-24  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-photo-importer.c: cancel the async operation before closing
	the dialog (#420614).

2007-03-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: general updates.

2007-03-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/jpegutils/jpegtran.c: (jpegtran_internal),
	(jpegtran_thumbnail), (jpegtran):
	* libgthumb/jpegutils/jpegtran.h:
	* src/rotation-utils.c: (jpeg_mcu_dialog),
	(apply_transformation_jpeg): Do not add APPn and COM markers to
	the EXIF thumbnail. Bug 411861. Patch by Jef Driesen.

2007-03-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (prune_cache):
	Fix cache-pruning command on Solaris (bug 421787).

2007-03-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-window-actions-entries.h:
	Added Alt+C for crop, Alt+R for resize.

2007-03-22  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-search.c:
	* libgthumb/gth-image-list.c:
	* libgthumb/gth-file-list.c: stop loading the thumbnails before closing
	the search progress dialog.  Remove all timeouts before finalizing the
	gth_file_list.  Attempt to fix bug #420788.

	* src/main.c: insert the function show_grabbing_focus inside the
	#ifdef HAVE_GTKUNIQUE

	* libgthumb/file-utils.c:
	* libgthumb/file-utils.h: added remove_host_from_uri and get_uri_host.

	Fixed problems resolving relative symlinks for ssh: URIs (#159884)

2007-03-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-photo-importer.c: removed forgotten debug code

2007-03-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_file_mime_type):
	CR2 files sometimes misdetected as TIFF. Add special
	override, like we do for NEF files.

2007-03-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/thumb-loader.c: (thumb_loader_save_to_cache):
	Do not thumbnail the thumbnail directory. Bug 414711.

2007-03-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (gth_browser_set_toolbar_visibility),
	(gth_browser_show):
	* src/gth-viewer.c: (gth_viewer_set_toolbar_visibility):
	Fixed broken toolbar visibility pref. Bug 420557.

2007-03-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* NEWS: updated.

	* data/glade/gthumb_redeye.glade: reverted commit, no string changes
	are allowed in the stable branch.

2007-03-20  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-photo-importer.c: The progess bar in the import dialog
	shows the overall download progress.  The delete operation is now
	asynchronous. (bug #156994).

2007-03-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_redeye.glade: Use "Position" instead of
	"Selection". http://launchpad.net/ubuntu/+source/gthumb/+bug/85780

2007-03-20  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-folder-selection-dialog.c: do not convert the path to utf8.

	* src/gth-browser-actions-callbacks.c: respect the
	'go to destination folder' option in the copy/move dialogs.

	* src/dlg-file-utils.c: fixed a bug that prevented the user to choose
	'overwrite this image' or 'do not overwrite this image' options in the
	overwrite dialog.

2007-03-19  Paolo Bacchilega  <paobac@cvs.gnome.org>

	[ gthumb 2.10.0 released ]

	* NEWS:
	* README:
	* configure.in: updated for version 2.10.0

2007-03-16  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (mime_type_is_tiff),
	(get_pixbuf_using_external_converter), (gth_pixbuf_new_from_uri):
	Use tifftopnm and pamscale to generate tiff thumbnails, to reduce
	memory usage for very large tiff files. Partially resolves bug
	160460. Hopefully the gdk thumbnailing routines will be improved
	in the future, obsoleting this.

2007-03-14  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c (gfl_set_thumbs_size): free the pixbufs cache
	when changing thumbnails size.

2007-03-14  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: removed the headers.

	* libgthumb/thumb-loader.c (thumb_loader_set_thumb_size):
	* libgthumb/thumb-loader.h: added function thumb_loader_set_thumb_size
	to change the size of the thumbnails.

	* libgthumb/gth-file-list.c (gfl_set_thumbs_size): use
	thumb_loader_set_thumb_size instead of creating a new thumb-loader.

	* libgthumb/gth-file-view-list.c: use small images when thumbnails are
	disabled.

2007-03-13  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/thumb-loader.c: removed unused function thumb_from_xpm_d
	* src/gth-exif-data-viewer.c (gth_exif_data_viewer_construct):
	hide the headers.

2007-03-12  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-redeye-removal.c (dlg_redeye_removal):
	* src/dlg-crop.c (dlg_crop):
	* src/dlg-scale-image.c (dlg_scale_image):
	* src/dlg-hue-saturation.c (dlg_hue_saturation):
	* src/dlg-brightness-contrast.c (dlg_brightness_contrast):
	* src/dlg-color-balance.c (dlg_color_balance):
	* src/dlg-posterize.c (dlg_posterize):

	Set modal flag on for dialogs that modify the current image.
	Fixes bug #417178 – saved image to the wrong file

	* NEWS:
	* configure.in: updated for 2.9.4

2007-03-09  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/main.c (folder_is_film): do not remove the scheme.

	* libgthumb/file-utils.c (resolve_symlinks): removed double g_strconcat
	call,  added other comments.

	* libgthumb/file-utils.c (resolve_symlinks): simplified the code, added
	some comments.

2007-03-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c (resolve_symlinks): fixed memory leak.

2007-03-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c (resolve_symlinks): fixed links to absolute
	paths.

2007-03-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c: reimplemented resolve_all_symlinks to
	fix bug #159884.

	* src/main.c (reset_command_line_catalog): reset even when no arguments
	were specified.

2007-03-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/main.c: reset the startup location if it was set to the command
	line catalog.
	Fixes bug #98933 – Command Line collection should be deleted on startup
	if no files are passed as arguments

	* src/gth-browser.c: go to the catalog directory before activating the
	catalog.
	Fixes bug #407871 – Crash after deleting catalog file.

2007-03-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c:
	* libgthumb/gth-image-list.c:
	* libgthumb/gth-file-list.c:
	* libgthumb/gth-file-list.h:
	* libgthumb/gth-file-view.c:
	* libgthumb/gth-file-view.h:
	* libgthumb/gth-file-view-list.c:
	* libgthumb/gth-file-view-thumbs.c: moved the icons handling from the
	gth-file-view-* widgets to gth-file-list to avoid duplicated code.
	Use the icon associated to the file mime type instead of always using
	the "image/*" icon.

	* libgthumb/file-utils.c: save the mime_type strings in a local hash.

2007-03-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/gthumb.desktop.in: Added missing semicolon.

2007-03-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: general updates

	* libgthumb/jpegutils/jpegtran.c: (jpegtran_internal):
	* libgthumb/jpegutils/transupp.c: (jcopy_markers_exif),
	(jcopy_markers_execute):
	* libgthumb/jpegutils/transupp.h: Do not write a JFIF marker
	when it conflicts with the EXIF marker. Patch by Jef Driesen.

2007-03-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/gthumb.desktop.in:
	"Application" is not a valid category. Added some valid
	freedesktop categories.

2007-03-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-crop.c: (dlg_crop): The crop ratio was initialized
	incorrectly. The last custom w/h settings defined the crop
	ratio, even when custom mode was not the initial mode. Fixes
	bug 389872.

2007-03-05  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-view-list.c (gfv_remove): implemented "remove"
	for the list view (#389590).

2007-03-04  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: general updates

	* src/dlg-photo-importer.c: (save_image), (ok_clicked_cb):
	Unescape destination folder URI when saving, because the
	save functions are strictly local (non-URI). Bug 414665.

2007-03-04  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/gthumb.applications: removed

2007-03-02  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/Makefile.am:
	* data/gthumb.applications:
	* data/gthumb.desktop.in:
	Removed application-registry cruft. Added image/svg+xml mime type.

2007-02-27  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c (get_file_mime_type):

	Fixed bug #412444 – fix build with gcc 2.
	Patch by Jens Granseuer.

2007-02-26  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (dir_list_started_cb): change message to
	"Getting folder listing..."

2007-02-26  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c (get_uri_display_name): unescape the catalog
	path for display.

2007-02-26  Paolo Bacchilega  <paobac@cvs.gnome.org>

	[ gthumb 2.9.3 released ]

	* configure.in: updated to 2.9.3
	* NEWS: updated

2007-02-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter):
	Backed out RAW thumbnailing speed-ups. It's not worth the added
	complexity to do it right (dcraw is not elegant). Keep HDR
	speed-ups, though.

2007-02-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter):
	Delete cached converted RAW/HDR files used for thumbnails, because
	the thumbnails will be cached in the standard .thumbnails dir.

2007-02-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter):
	Forgot a g_free in the last commit.

2007-02-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter),
	(gth_pixbuf_new_from_uri): Speed up RAW and HDR thumbnailing by
	using prescaling or embedded thumbnails.

2007-02-25  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-categories.c (dlg_categories_common): add the renderes to the
	same column instead of creating a column for each renderer.

	Fixes bug # 347657 – Click on category text to checkmark a category

2007-02-25  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/search.h:
	* libgthumb/search.c (search_util_get_patterns):
	* src/dlg-search.c (search_clicked_cb):

	Fixed bug #346382 – False Positives in Catagory Search

2007-02-24  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (pref_view_as_changed):

	Do not unref a NULL pointer.  Fixes bug #409596.

2007-02-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: Removed duplicate line.

2007-02-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_file_mime_type):
	Recognize NEF files as raw when gnome-vfs says they are TIFF.

	* get_pixbuf_using_external_converter), (gth_pixbuf_new_from_uri):
	Check if dcraw/pfstools are executable first, to avoid
	errors messages if they are not present.

2007-02-23  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-data.c: include "gth-exif-utils.h"

2007-02-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-image-list.c: (gth_image_list_class_init):
	Removed bindings to numeric keypad keys, to avoid overlap
	with the new hot key feature.

2007-02-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/image-loader.c: (image_loader_init):
	Increased stack size to 512k, to prevent crashes when viewing
	svg files. Bug 410827. Patch by Manuel Braga.

	* src/gth-browser.c: (key_press_cb): Enabled PgUp/PgDown scrolling
	in browser mode. Bug 409605. Patch by Manuel Braga.

2007-02-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* libgthumb/file-utils.c: (mime_type_is_video),
	(mime_type_is_audio), (file_is_audio),
	(file_is_image_video_or_audio):
	* libgthumb/file-utils.h:
	* libgthumb/gth-file-list.c: (load_new_list):
	* src/dlg-duplicates.c: (directory_load_cb):
	* src/dlg-search.c: (file_respects_search_criteria):
	* src/gth-browser.c: (launch_selected_videos_or_audio),
	(key_press_cb), (gth_browser_hide_sidebar):
	* src/gth-monitor.c: (add_monitor_event):
	Modified video launcher to permit audio launching as well.

2007-02-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (launch_selected_videos), (key_press_cb),
	(gth_browser_hide_sidebar): Pass all selected video files to the
	default video player, if they are supported by that player and the
	player supports multiple file inputs. Skip selected files if they
	require a different player than the current file.

2007-02-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* NEWS: updated

2007-02-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c: exec next op in queue after setting
	the filter.

2007-02-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gthumb-preloader.c: removed commented out code.

	* src/gth-browser.c (window_update_image_info): load the jpeg data
	only for jpeg images.

	* libgthumb/image-loader.c: use the same factory of thumb-loader to avoid
	two thumbnails for each video.

	* libgthumb/file-utils.c (gth_pixbuf_new_from_video): resolve  all
	symbolic links before loading the thumbnail.

2007-02-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c: launch the registered video player instead of
	always launching "totem"
	* libgthumb/dlg-save-image.c: use the default overwrite confirmation
	dialog when saving an image.
	* src/gth-window.h: added void line :)

2007-02-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/dlg-save-image.c (file_save_ok_cb): do not dup the mime_type
	here.

2007-02-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/dlg-save-image.c (file_save_ok_cb): use get_uri instead of
	get_filename.
	* src/gth-browser.c (save_pixbuf__image_saved_cb): notify a change
	if the filename is present in the list.

2007-02-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gthumb-preloader.c (gthumb_preloader_finalize): set ploaders to NULL
	after finalizing them, removed useless function.

2007-02-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gthumb-preloader.c: (gthumb_preloader_finalize):
	Fixed bug 378546 - Crash after exiting slideshow.
	Patch by Manuel Braga.

2007-02-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/dlg-save-image.c: (save_image):
	Another attempt to fix bug 409799 - mime_type occasionally
	gets corrupted (why??), so make a copy for image_type.

2007-02-20  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/dlg-save-image.c: (save_image):
	Make file-selection dialog the parent of the overwrite dialog,
	to avoid bug 409799.

2007-02-19  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/image-loader.c: removed unused function close_info_cb

2007-02-19  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (file_list_done_cb): update the window title after
	loading the image list.

2007-02-19  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/gthumb.applications:
	* data/gthumb.desktop.in:
	Add image/x-pcx to registered file types.

	* libgthumb/file-utils.c: (get_file_mime_type):
	Temporary hack to make gThumb recognize pcx files. This is a
	workaround for gnomevfs bug 329072.

2007-02-19  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* AUTHORS:
	Credit to Manuel Braga, Jef Driesen, and Rennie deGraaf

	* libgthumb/image-loader.c: (image_loader_finalize),
	(image_loader_stop_common): fix for "image_loader_start" crashes.
	Bugs 351959, 386674, and many duplicates. Patch by Manuel Braga.

2007-02-19  Paolo Bacchilega  <paobac@cvs.gnome.org>

	[ gthumb 2.9.2 released ]

	* configure.in: changed version to 2.9.2

2007-02-18  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-filter.c: small changes.
	* src/gth-filter-bar.c: small changes.
	* src/gth-browser.c: unref the filter after using it.
	* libgthumb/gth-file-list.c: do not ref/unref NULL pointers.

2007-02-18  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-filter-bar.c:
	* libgthumb/gth-filter.h:
	* libgthumb/gth-filter.c: implemented filter on date.

	* libgthumb/file-data.h:
	* libgthumb/file-data.c: added file_data_load_exif_data

	* libgthumb/gth-file-list.c (gth_file_list_update_next_thumb):

	continue creating thumbnails from after the last visible image and then
	restart from the beginning (#142735).

2007-02-18  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c:
	* libgthumb/file-data.h:
	* libgthumb/file-data.c:

	Create the thumbnails of all the images in the file list, however
	load only the thumbnails of the visible images, this way we save a lot
	of memory when a directory contains thousands of images (#142735).

2007-02-16  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-list.c: (gth_file_list_update_next_thumb):
	Prepare thumbnails for all images, not just the visible
	ones. Bug 142735.

2007-02-16  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-reset-exif.c: (apply_transformation):
	Added missing VFS support (using local cache).

2007-02-15  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (fullscreen_destroy_cb):
	Fix crash if you exit slideshow while it is paused. Bug 408323.

2007-02-14  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c:
	* src/gth-window-utils.c:
	* src/gth-fullscreen.c:

	update the file list in fullscreen mode when an images is removed from
	the catalog.

2007-02-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-data.c: (file_data_new):
	Fixed crash on photo import. The code was checking info->mime-type
	even when info was NULL. Bug 407589.

2007-02-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gtk-utils.c: (create_pixbuf):
	* libgthumb/print-callbacks.c: (draw_page):
	* src/dlg-photo-importer.c: (load_images_preview__step),
	(dlg_photo_importer):
	* src/dlg-web-exporter.c: (theme_dialog__sel_changed_cb):
	* src/rotation-utils.c: (apply_transformation_generic):
	Fixed RAW/HDR print issue, bug 407112, by adding RAW/HDR
	support in the pixbuf loader, rather than the animation loader.

2007-02-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	Updated with new features and bug fixes.

2007-02-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* doc/C/gthumb.xml:
	Added hot key documentation, and explained the default scripts.

2007-02-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* libgthumb/gtk-utils.c: (exec_shell_script):
	* src/dlg-preferences.c: (dlg_preferences):
	Allow one script to process all selected files, instead of
	requiring one script instance per file.

2007-02-13  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/print-callbacks.c: fixed compiler warnings.

2007-02-12  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/glade/gthumb_print.glade:
	* libgthumb/print-callback.c: fixed esthetic glitches.

2007-02-12  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade: use less technical terms in
	the hot key tab.

2007-02-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_print.glade:
	* data/gthumb.schemas.in:
	* libgthumb/preferences.c:
	* libgthumb/preferences.h:
	* libgthumb/print-callbacks.c: (convert_to_points),
	(convert_from_points), (image_info_rotate), (add_catalog_preview),
	(catalog_update_page), (catalog_update_image_size),
	(catalog_get_image_width), (catalog_get_image_height),
	(catalog_get_image_unit), (catalog_update_page_size_from_config),
	(catalog_update_image_size_from_config),
	(catalog_set_standard_page_size), (catalog_update_margins),
	(draw_page), (catalog_get_current_image_resolution),
	(catalog_get_current_image_sizing),
	(catalog_image_width_changed_cb),
	(catalog_image_height_changed_cb), (catalog_portrait_toggled_cb),
	(catalog_landscape_toggled_cb), (catalog_image_unit_changed_cb),
	(catalog_image_resolution_changed_cb),
	(catalog_auto_size_toggled_cb), (catalog_manual_size_toggled_cb),
	(print_catalog_cb), (images_per_page_value_changed_cb),
	(print_catalog_dlg_full):
	* libgthumb/typedefs.h:
	Allow print sizes to be "auto-sized" or manually specified, so
	that photos can be printed at common frame sizes (4x6", 5x7", etc).
	Bug 385449.

2007-02-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_tools.glade:
	* libgthumb/gtk-utils.c: (exec_shell_script):
	* libgthumb/gtk-utils.h:
	* src/dlg-preferences.c: (dlg_preferences):
	* src/gth-browser.c: (key_press_cb):
	Added a progress dialog for hotkey functions. It could be nicer...

2007-02-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gtk-utils.c: (exec_shell_script):
	Use system instead of g_spawn_command_line_async.

2007-02-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* libgthumb/gtk-utils.c: (exec_shell_script):
	* src/dlg-preferences.c: (dlg_preferences):
	Added more hotkey format codes.

2007-02-12  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade: removed gtk_event as container
	of the slideshow label.

2007-02-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gtk-utils.c: (exec_shell_script):
	* libgthumb/gtk-utils.h:
	Added hotkey shell-script launcher. (To be expanded with
	additional format codes.)

	* src/gth-browser.c: (key_press_cb):
	Added hotkey detection.

2007-02-12  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* AUTHORS: Added Michael :)

2007-02-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* data/gthumb.schemas.in:
	* libgthumb/gconf-utils.c: (eel_gconf_get_string):
	* libgthumb/preferences.h:
	* src/dlg-preferences.c: (apply_cb), (dlg_preferences):
	Added initial support for shell-script hotkeys. Added prefs.
	The hotkeys don't function yet, though.

2007-02-11  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/rotation-utils.c:
	* libgthumb/jpegutils/jpegtran.h:
	* libgthumb/jpegutils/jpegtran.c:

	Added ability to hide the jpeg mcu warning message.
	Include the name of the image in the dialog.
	Changed a bit the jpeg mcu message.
	Perform a trim if the user decided to hide the warning (?).

	* libgthumb/gtk-utils.h:
	* libgthumb/gtk-utils.c: added function
	_gtk_message_dialog_with_checkbutton_new
	* libgthumb/preferences.h:
	* data/gthumb.schemas.in: added key
	'/schemas/apps/gthumb/dialogs/messages/jpeg_mcu_warning'

2007-02-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* README: Updated library requirements. Use svn rather than cvs.

2007-02-11  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/rotation-utils.c: free the 'tmp' variable when it's not used
	anymore.
	* libgthumb/file-utils.c (remove_temp_file_and_dir): do not free the
	input argument.

2007-02-11  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-folder-selection-dialog.c: Use "Recent folders" and
	"Go to the destination folder".

	* libgthumb/bookmarks.c:
	* libgthumb/file-utils.c (get_uri_display_name): escape uris under the home
	folders as well.

	* src/main.c (open_browser_window): removed debug code.

2007-02-11  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-folder-selection-dialog.h:
	* src/gth-folder-selection-dialog.c: use a gth_location instead of
	a text entry.
	* src/gth-location.h:
	* src/gth-location.c:
	* src/gth-browser.c: removed the open_location signal from the
	gth_location widget.
	* src/gth-browser-actions-callbacks.c:
	* src/dlg-file-utils.c: gth_folder_selection_get_folder returns a const
	string now.
	* src/bookmark-list.c: fixed double escape issue.
	* libgthumb/gtk-utils.c (_gtk_entry_get_filename_text): use escape_uri
	instead of gnome_vfs_escape_string.
	* data/glade/gthumb.glade: use 'Bookmarks:' instead of 'Select a bookmark:'

2007-02-10  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* many files: store uris in escaped mode, and unescape when need to
	display an uri or part of it.

2007-02-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* configure.in:
	* src/dlg-rename-series.c: (get_image_date):
	Removed HAVE_LIBEXIF cruft. This library was made mandatory
	some time ago.

2007-02-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* README:
	* libgthumb/file-utils.c: (get_pixbuf_using_external_converter),
	(gth_pixbuf_animation_new_from_uri):
	Read RAW photos using dcraw only (without pfstools).

	* src/gth-exif-data-viewer.c: (update_file_info):
	Show mime type, including for hdr and raw images.

2007-02-09  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (_set_fullscreen_or_slideshow): do not use the
	current pixbuf if the image is not loaded yet.

	Fixes bug #406092 – old image is displayed

2007-02-09  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c: do not load the last viewed image in the
	fullscreen, if it's same image loaded in the browser.  This avoids
	the ask whether to save the image after viewing a modified image
	in fullscreen mode.

2007-02-09  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* README:
	  Added note about RAW and HDR viewing requirements.

	* libgthumb/file-utils.c: (get_file_mime_type):
	  Improved detection of HDR file types, when conventional mimetype
	  detection fails or detects binary data.

2007-02-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-image-list.c: use pos instead of selection_pending_pos

	* src/gth-location.c:
	* libgthumb/file-utils.c: use the hostname for remote uris, and
	'File System' only for local uris.

2007-02-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-location.c: make the parent list work with remote uris too.

2007-02-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-image-list.c:

	Fixed bug #363643 – Shift+arrow expands selection, Shift+mouse doesn't

	* libgthumb/file-utils.h:
	* libgthumb/file-utils.c: added get_base_uri, make
	remove_level_from_path work with remote uris.

2007-02-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_file_mime_type), (mime_type_is_hdr),
	(convert_exotic_format_to_tiff),
	(gth_pixbuf_animation_new_from_uri):
	Initial support for RAW and HDR images, if pfstools, pfstmo, and
	dcraw are installed.

2007-02-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.c (get_file_mime_type): remove the file:// scheme
	to make magic mime work.

2007-02-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser-ui.h:
	* src/gth-browser-actions-entries.h:
	* src/gth-browser-actions-callbacks.h:
	* src/gth-browser-actions-callbacks.c:
	* src/gth-browser.c:
	* src/dlg-search.c:
	* libgthumb/file-utils.h:
	* libgthumb/file-utils.c:

	Fixed bug #354482 – Show "hidden" images.
	Fixed bug #145334 – Folder list should respect .hidden files

2007-02-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/file-utils.h:
	* libgthumb/file-utils.c (gth_pixbuf_animation_new_from_uri): the
	fast_file_type argument is not used anymore, removed from the signature.

	* libgthumb/thumb-loader.c (thumb_loader):
	* libgthumb/image-loader.c (load_image_thread): removed the fast_file_type
	argument from the gth_pixbuf_animation_new_from_uri calls.

2007-02-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c (load_new_list):
	check whether the mime_type is NULL.

2007-02-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c (load_new_list):
	* libgthumb/file-data.c (file_data_update):
	* libgthumb/file-utils.c (get_file_mime_type):

	Fixed compiler warnings.

2007-02-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-viewer.c (gth_viewer_exec_pixbuf_op):
	* src/gth-browser.c (gth_browser_exec_pixbuf_op):

	Ignore a new gth_pixbuf_op when there already one running.
	Fixes bug #392632 – crash in gThumb Image Viewer: repeatedly
	pressing Ctrl...  Patch by manuel

2007-02-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser-ui.h:
	* src/gth-viewer-ui.h:
	* src/gth-viewer-actions-entries.h:
	* src/gth-browser-actions-entries.h:
	* src/gth-viewer.c:
	* src/gth-browser.c: removed the info_bar in the viewer window and
	in the browser window when the file list is hidden.  Added a
	'properties' button on the toolbar.
	Added a 'zoot to fit width' button in the viewer toolbar.

	* libgthumb/gthumb-stock.h:
	* libgthumb/gthumb-stock.c: added GTHUMB_STOCK_METADATA

	* src/gth-window.c: indentation fix.

	* libgthumb/gth-file-list.c: get the mime type only once and only here,
	this is used to	speed up list loading when slow mime detection is
	used, and is also used to avoid to get the image mime type in the
	image-loader thread (which is dangerous).

	* libgthumb/file-data.c:
	* libgthumb/file-data.h: added a mime_type field.

	* libgthumb/thumb-loader.c: no need to use the accurate mime detection
	system and no need to load a gif image as an animation in the
	thumbnail loader.
	* libgthumb/image-loader.c: removed an identation level.

	* libgthumb/image-loader.h:
	* libgthumb/thumb-loader.h: added a mime_type argument to the
	[thumb|image]_loader_set_path functions

	* src/gthumb-preloader.c:
	* src/gth-batch-op.c:
	* src/dlg-jpegtran.c:
	* src/dlg-duplicates.c:
	* src/catalog-web-exporter.c:
	* src/dlg-convert.c:
	* src/catalog-png-exporter.c:
	* libgthumb/print-callbacks.c: updated calls to image_loader_set_path
	adding the new mime_type argument (setting the mime_type to NULL for now).

	* libgthumb/file-utils.h:
	* libgthumb/file-utils.c: function image_is_type is now public
 	added function can_load_mime_type, removed image_is_gif__accurate.

2007-02-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_animation_new_from_uri):
	  Don't use f_load_scaled_jpeg on remote VFS files. It is MUCH
	  faster to use a cached copy, for typical file sizes.

	* src/gth-browser.c: (dir_list_started_cb):
	  Changed "Wait Please..." string to "Getting directory listing...",
	  for clarity.

2007-02-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (obtain_local_file):
	  Do not prune the cache every time the remote
	  cache is added to - just at startup.

2007-02-03  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_camera.glade:
	* data/glade/gthumb_convert.glade:
	* data/glade/gthumb_png_exporter.glade:
	* data/glade/gthumb_preferences.glade:
	* data/glade/gthumb_search.glade:
	* data/glade/gthumb_tools.glade:
	  Set local_only to false, to fix bug 403932.

2007-02-03  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (save_comment_iptc):
 	  Removed unused variable.

	* src/catalog-web-exporter.c:
	(copy_exif_from_orig_and_reset_orientation):
	  Enabled VFS support.

	* src/gth-exif-data-viewer.c: (update_file_info):
	  Show full path in file info sidebar.

2007-02-03  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (save_comment):
	  Fixed XML comment editing of remote files.

	* libgthumb/file-utils.c: (prune_cache):
	  Prune cached comment files too.

2007-02-02  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (save_comment_iptc), (save_comment),
	(comments_load_comment):
	* libgthumb/dlg-save-image.c: (save_image):
	* libgthumb/file-utils.c: (copy_cache_file_to_remote_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gth-exif-utils.c: (save_exif_data_to_uri),
	(copy_exif_data):
	* libgthumb/gth-exif-utils.h:
	* libgthumb/pixbuf-utils.c: (_gdk_pixbuf_savev):
	* src/dlg-jpegtran.c: (apply_transformation):
	* src/dlg-reset-exif.c: (apply_transformation):
	* src/gth-browser.c: (window_update_image_info), (save_jpeg_data):
	* src/gth-viewer.c: (viewer_update_image_info), (save_jpeg_data):
	Enabled editing / saving of remote VFS files.
	Enabled IPTC comment editing/saving on remote VFS files.
	Still minor issues with XML comment handling.

2007-02-02  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	News from vfs-testing branch

	* libgthumb/file-utils.c: (gth_pixbuf_new_from_video),
	(gth_pixbuf_new_from_uri), (gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/image-loader.c: (load_image_thread):
	* libgthumb/thumb-loader.c: (thumb_loader):
	Moved remaining pixbuf/animation loading routines out of
	image-loader.c and thumb-loader.c into file-utils.c, to reduce
	duplication.

2007-02-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (get_uri_display_name)
	Fixed display of remote URIs.

	(obtain_local_file), (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	Stripped out "file://" from cache file names.

	* libgthumb/gth-exif-utils.c: (get_exif_tag), (get_exif_tag_short),
	(get_exif_time), (get_exif_aperture_value):
	* libgthumb/print-callbacks.c: (image_info_new):
	* src/rotation-utils.c: (read_orientation_field),
	(write_orientation_field), (apply_transformation_jpeg),
	(apply_transformation_generic):
	Removed extraneous remove_scheme_from_uri calls.

2007-02-01  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c: removed commented code.

	* libgthumb/gth-file-list.c: stop loading the thumbnails if the queue
	is not void.

	* src/gth-dir-list.c (gth_dir_list_change_to): always call
	path_list_async_new, instead of waiting for the file list to be
	interrupted.

2007-02-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (prune_cache), (obtain_local_file):
	* libgthumb/file-utils.h:
	* libgthumb/gthumb-init.c: (ensure_directories_exist):
	Added prune_cache function separately. Call it at start-up also.

2007-02-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (obtain_local_file):
	Added cache pruning. This should be a workable cache for
	remote VFS URIs now.

2007-02-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (obtain_local_file):
	Added mtime checking for remote file caching. Need to add
	mechanism to prune cache next.

2007-02-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (load_comment_from_iptc),
	(load_comment_from_xml):
	* libgthumb/file-utils.c: (get_cache_full_path),
	(obtain_local_file), (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gth-exif-utils.c: (gth_exif_data_new_from_uri):
	* libgthumb/gthumb-init.c: (ensure_directories_exist):
	* libgthumb/typedefs.h:
	* src/dlg-jpegtran.c: (apply_transformation):
	Further simplification of local-copy-of-VFS-files creation routines.
	Added basic semi-permanent remote file caching. Need to added
	mtime checks and purging of old / excess files.

2007-02-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (load_comment_from_iptc),
	(load_comment_from_xml):
	* libgthumb/file-utils.c: (remove_temp_file_and_dir),
	(make_cache_copy_of_remote_file), (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gth-exif-utils.c: (gth_exif_data_new_from_uri):
	* src/dlg-jpegtran.c: (apply_transformation):
	* src/rotation-utils.c: (apply_transformation_jpeg):

	Simplified the local-copy-of-VFS-files creation routines.
	Added initial framework to cache VFS files over longer term.
	Removed gnome_gdk_pixbuf_new_from_uri (will be deprecated).
	Known issue: "local_file" variables not always g_free'd
	properly. This will be fixed when caching is added.

2007-01-30  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-exif-utils.c: (gth_exif_data_new_from_uri),
	(get_exif_tag), (get_exif_tag_short), (get_exif_time),
	(get_exif_aperture_value), (copy_exif_data):
	* src/gth-exif-data-viewer.c: (update_exif_data):
	* libgthumb/gth-exif-utils.h:
	Added remote VFS support for reading EXIF tags.
	Writing tags isn't supported, yet.

2007-01-30  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (load_comment_from_iptc):
	Added remote VFS support for reading IPTC comments.
	Writing comments isn't supported, yet.

2007-01-30  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/comments.c: (load_comment_from_xml):
	Added remote VFS support for reading comments.
	Writing comments isn't supported, yet.

2007-01-29  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/dlg-jpegtran.c: (apply_transformation):
	Better error messages.

	* src/rotation-utils.c: (apply_transformation_jpeg):
	Better error reporting, and make better use of convenience
	functions like file_move, remove_temp_file, remove_temp_dir.

2007-01-29  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (check_permissions):
	Deleted debugging printfs, and fixed a memory leak (was
	missing gnome_vfs_file_info_unref)

	* src/dlg-jpegtran.c: (apply_transformation):
	Enabled rotation of remote VFS files, and fixed a memory leak (was
	missing gnome_vfs_file_info_unref)

2007-01-28  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (check_permissions)
	Added printfs to debug remote permissions problems.
	Delete these later.

	* libgthumb/file-utils.c: (is_local_file),
	(make_remote_copy_of_local_file), (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	New convenience function (is_local_file), and a new function to
	copy local files to a remote VFS URI.

2007-01-28  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (remove_temp_file), (remove_temp_dir),
	(gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	Added temporary file/directory removal convenience functions.

2007-01-28  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/glade/gthumb_crop.glade:
	* src/dlg-crop.c:

	Added option to invert the aspect ratio even for non-custom ratios.
	Fixes bug #389870 – Missing option in Image Crop Aspect Ratio

2007-01-28  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-fullscreen.c (viewer_key_press_cb):
	* src/gth-browser.c (key_press_cb):
	* src/gth-viewer.c (viewer_key_press_cb):
	* libgthumb/jpegutils/jpegtran.c (jtransform_perfect_transform):

	Fixed compiler warnings.

2007-01-28  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-fullscreen.c:
	* src/gth-browser.c:
	* src/gth-browser.c:
	* src/gth-viewer.c:
	* libgthumb/image-viewer.c:
	* libgthumb/image-viewer.h:

	Add more signals to ImageViewer so that it can handle more keypresses
	autonomically (#401544).  Patch by Björn Lindqvist.

2007-01-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (image_is_raw):
	Added more complete list of raw image mime types.

2007-01-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_animation_new_from_uri):
	Added missing config.h include to fix raw thumbnailing. Deleted
	debugging printfs.

2007-01-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (image_is_raw),
	(make_local_copy_of_remote_file), (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/image-loader.c: (load_image_thread):
	* libgthumb/thumb-loader.c: (thumb_loader):
	Added initial VFS support for raw thumbnailing. Something
	doesn't quite work yet though...

2007-01-26  Hubert Figuiere  <hub@figuiere.net>

	* libgthumb/file-utils.[ch] (image_is_raw): detect raw files.
	* libgthumb/thumb-loader.c (thumb_loader): load thumbnails for
	RAW user libopenraw. Partially fix bug #145564.
	* configure.in: detect libopenraw.

2007-01-26  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/jpegutils/jpegtran.c: (update_exif_thumbnail),
	(jtransform_perfect_transform), (jpegtran_internal),
	(jpegtran_thumbnail), (jpegtran):
	* libgthumb/jpegutils/jpegtran.h:
	* src/catalog-web-exporter.c: (export__copy_image):
	* src/dlg-jpegtran.c: (apply_transformation):
	* src/dlg-photo-importer.c: (adjust_orientation__step):
	* src/rotation-utils.c: (jpeg_mcu_dialog),
	(apply_transformation_jpeg):
	* src/rotation-utils.h:
	Applied Jef Driesen's callback-based jpegtran scheme, for greater
	efficiency during lossless rotates, etc. Bug 361913.

2007-01-26  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (key_press_cb):
	Return to browser mode after showing a video in viewer mode.

2007-01-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (gth_pixbuf_animation_new_from_uri):
	Animated remote gifs work now, using gnome_vfs_xfer_uri.

2007-01-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/dlg-save-image.c: (dlg_save_image_as):
	* src/dlg-web-exporter.c: (theme_dialog__install_theme_clicked):
	Set gtk_file_chooser_set_local_only to FALSE, for VFS browsing.

	* libgthumb/file-utils.c: (remove_special_dirs_from_path):
	* src/main.c: (initialize_data):
	Minor corrections to URI/path handling.

2007-01-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (remove_special_dirs_from_path):
	Further tweaks to remove_special_dirs_from_path, to work properly
	with file:/// URIs. Fixes catalog browsing.

2007-01-24  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/gthumb.desktop.in:
	Change "Exec=gthumb %F" to "Exec=gthumb %U" to allow launching
	of VFS URIs from Nautilus.

2007-01-24  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (file_is_image_or_video),
	(remove_special_dirs_from_path), (gth_pixbuf_new_from_uri),
	(gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gth-file-list.c: (load_new_list):
	* libgthumb/image-loader.c: (load_image_thread):
	* libgthumb/thumb-loader.c: (thumb_loader):
	* src/dlg-duplicates.c: (directory_load_cb):
	* src/dlg-photo-importer.c: (adjust_orientation__step):
	* src/dlg-search.c: (file_respects_search_criteria):
	* src/gth-browser.c: (launch_videos_in_list):
	* src/gth-monitor.c: (add_monitor_event):
	* src/main.c: (initialize_data):

	Fixed remove_special_dirs_from_path to work properly with URIs.

	Made file_is_image_or_video more efficient - fewer file accesses.

	Allow single VFS files and directories to be launched from the
	command line. Command-line-catalog (multiple files) still does
	not work yet.

2007-01-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/image-loader.c: (load_image_thread):
	Cache the "large" video thumbnails made in image viewer mode.

2007-01-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/image-loader.c: (image_loader_finalize),
	(image_loader_init), (image_loader_new), (load_image_thread):
	* src/gth-browser.c: (launch_videos_in_list), (key_press_cb),
	(gth_browser_hide_sidebar):
	Show a video thumbnail in image viewer mode. Launch external
	viewer (in browser or viewer mode) by pressing "enter".

2007-01-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (file_is_mimetype), (file_is_image),
	(file_is_video), (gth_pixbuf_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gth-file-list.c: (load_new_list):
	* libgthumb/image-loader.c: (load_image_thread):
	* libgthumb/thumb-loader.c: (thumb_loader):
	* src/dlg-duplicates.c: (directory_load_cb):
	* src/dlg-search.c: (file_respects_search_criteria):
	* src/gth-browser.c: (launch_videos_in_list),
	(gth_browser_hide_sidebar):
	* src/gth-monitor.c: (add_monitor_event):
	Preliminary attempt to add video thumbnailing and viewing.
	Bug 134366. Still a work in progress.

2007-01-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/main.c: (main):
	Added gnome_authentication_manager_init to provide VFS
	authentication callbacks.

2007-01-22  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-viewer.c:
	* src/main.c: fixed compilation when gtkunique is disabled.

2007-01-22  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-window.c:
	* src/main.c:
	* src/main.h:
	* src/Makefile.am:
	* configure.in: the gtkunique dependency is now optional.

2007-01-22  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/GNOME_GThumb.server.in.in: removed
	* src/GNOME_GThumb.idl: removed
	* src/gth-application.c: removed
	* src/gth-application.h: removed
	* data/Makefile.am:
	* libgthumb/Makefile.am:
	* libgthumb/jpegutils/Makefile.am:
	* po/POTFILES.in:
	* src/gth-viewer.c:
	* src/gth-window.c:
	* src/main.c:
	* src/main.h:
	* src/Makefile.am:
	* configure.in:
	* README:

	Use GtkUnique to provide a single instance application.
	Removed the bonobo dependency (#389197).

2007-01-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser-actions-callbacks.c:
	(gth_browser_activate_action_go_location):
	* src/gth-folder-selection-dialog.c: (browse_button_clicked_cb):
	Set gtk_file_chooser_set_local_only to FALSE to permit
	browsing of VFS URIs.

2007-01-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-utils.c: (resolve_all_symlinks),
	(gth_pixbuf_new_from_uri), (gth_pixbuf_animation_new_from_uri):
	* libgthumb/file-utils.h:
	* libgthumb/gtk-utils.c: (create_pixbuf):
	* libgthumb/image-loader.c: (load_image_thread),
	(image_loader_get_path):
	* libgthumb/jpeg-utils.c: (do_load_internal):
	* libgthumb/print-callbacks.c: (draw_page):
	* libgthumb/thumb-loader.c: (thumb_loader),
	(thumb_loader_set_path), (thumb_loader_get_path),
	(thumb_loader_start__step2), (thumb_loader_error_cb):
	* src/dlg-photo-importer.c: (load_images_preview__step),
	(dlg_photo_importer):
	* src/dlg-web-exporter.c: (theme_dialog__sel_changed_cb):
	* src/rotation-utils.c: (apply_transformation_generic):
	Initial attempt to implement Gnome VFS support. Folders and images
	can now be opened using the "Other..." folder function (but not
	through the command line. Bug 143197. Tested with ssh:// URIs.

2007-01-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c: use pack_end to add the filterbar, this way the
	filterbar will remain at the bottom when changing between list and thumb
	view.

	* libgthumb/gth-file-view-list.c: added filter support to the list
	view.

	* libgthumb/image-loader.c (image_loader_init):	make threads bound to
	system threads.

	* src/gth-filter-bar.c (gth_filter_bar_construct): removed the
	"Personalize" command.  It will be implemented in 2.12

2007-01-16  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/image-loader.c: (image_loader_init):
	Reduce stack size for new image_loader threads from the
	default (10MB on FC6) to 32k, to reduce reported memory
	consumption. See if anything breaks! Bug 310749.

2007-01-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-view-list.c: (create_unknown_pixbuf),
	(gth_file_view_list_finalize), (gth_file_view_list_new):
	* libgthumb/gth-file-view-thumbs.c: (create_unknown_pixbuf),
	(gth_file_view_thumbs_finalize), (gth_file_view_thumbs_new):
	* src/dlg-photo-importer.c: (get_icon_from_mime_type):
	* src/gth-viewer.c: (monitor_update_files_cb):
	* src/main.c: (theme_changed_cb), (initialize_data),
	(release_data), (get_fs_icon):
	Committed GnomeIconTheme -> GtkIconTheme change, this time
	removing the g_object_unref calls for icon_theme. Bugs
	171593 and 396474.

2007-01-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-view-list.c: (create_unknown_pixbuf),
	(gth_file_view_list_new):
	* libgthumb/gth-file-view-thumbs.c: (create_unknown_pixbuf),
	(gth_file_view_thumbs_new):
	* src/dlg-photo-importer.c: (get_icon_from_mime_type):
	* src/gth-viewer.c: (monitor_update_files_cb):
	* src/main.c: (theme_changed_cb), (initialize_data), (get_fs_icon):
	Reverted GnomeIconTheme -> GtkIconTheme change, because something
	broke in the photo importer. Bug 171593.

2007-01-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-view-list.c:
	Restored accidentally-deleted function type declaration.
	Fixes compiler warning. Bug 395899.

2007-01-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-view-list.c:
	* src/dlg-photo-importer.c:
	Removed #include <libgnomeui/gnome-icon-theme.h> references

2007-01-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-view-list.c: (create_unknown_pixbuf),
	(gth_file_view_list_new):
	* libgthumb/gth-file-view-thumbs.c: (create_unknown_pixbuf),
	(gth_file_view_thumbs_new):
	* src/dlg-photo-importer.c: (get_icon_from_mime_type):
	* src/main.c: (theme_changed_cb), (initialize_data), (get_fs_icon):
	Removed deprecated GnomeIconTheme functions - bug 171593. Seems to
	reduce memory usage as well - bug 310749. Modified version of
	patch by Jan de Groot.

2007-01-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-view-list.c: (get_compfunc_from_method):
	* libgthumb/gth-file-view-thumbs.c: (get_compfunc_from_method):
	* libgthumb/gth-sort-utils.c: (gth_sort_none):
	* libgthumb/gth-sort-utils.h:
	* src/catalog-png-exporter.c: (get_sortfunc):
	* src/catalog-web-exporter.c: (get_sortfunc):
	* src/dlg-rename-series.c: (get_sortfunc):
	Consolidated no-sort functions into gth-sort-utils.c.

	* src/main.c: (initialize_data):
	Set manual sort mode when handling list of filenames from the
	command line. Bug 326621.

2007-01-10  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-sort-utils.c:
	(gth_sort_by_filename_but_ignore_path): Fixed bug 313562 - changed
	name sorting to use g_utf8_collate_key_for_filename, for better
	handling of numeric file names (similar to Nautilus).

2007-01-09  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c: Set the is_important property on some actions;
	don't unref actions got with gtk_action_group_get_action.

	Really fixes bug #385605

2007-01-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (window_make_current_image_visible): do not reset the
	viewer if the image file exists.

	* src/gth-browser.c (set_mode_specific_ui_info): call ensure_update before
	setting actions as important

	* src/gth-browser.c: set actions as important after adding them to
	the ui.

	Fixes bug #385605 – toolbar style: "text beside icons" doesn't work

2007-01-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-fullscreen.c:
	* src/dlg-preferences.c:
	* libgthumb/preferences.h:
	* data/glade/gthumb_preferences.glade:
	* data/gthumb.schemas.in: removed /schemas/apps/gthumb/slideshow/delay
	added /apps/gthumb/slideshow/change_delay as float.

	allow to turn off the fading effect in the slideshow. Allow to specify a
	delay of 0.5 seconds.

2007-01-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-filter-bar.c:
	* src/gth-filter-bar.h: implemented other features.

	* src/Makefile.am:
	* src/gth-category-selection-dialog.c:
	* src/gth-category-selection-dialog.h: new files.

	* libgthumb/gth-image-list.c: pass item->data to image_list_filter_match
	instead of item

	* libgthumb/preferences.h:
	* data/gthumb.schemas.in: added "/apps/gthumb/ui/filterbar_visible" key

	* src/gth-browser-ui.h:
	* src/gth-browser-actions-entries.h:
	* src/gth-browser-actions-callbacks.h:
	* src/gth-browser-actions-callbacks.c:
	* src/gth-browser.h:
	* src/gth-browser.c:
	* libgthumb/gth-filter.c:
	* libgthumb/gth-file-list.c: allow to hide/show the filter bar.

	* src/dlg-search.c: removed a non-printable character.

2007-01-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/icons/filter-24.png:
	* libgthumb/icons/Makefile.am:
	* libgthumb/gthumb-stock.h:
	* libgthumb/gthumb-stock.c: added the GTHUMB_STOCK_FILTER stock icon.

	* data/glade/gthumb_search.glade:
	* data/glade/gthumb_tools.glade: use "Search" instead of Find (#335390).

2007-01-03  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-crop.c (dlg_crop):
	* src/dlg-redeye-removal.c (dlg_redeye_removal): set the size of the window
	instead of the size of the image selector.

	* src/gth-browser.c (window_make_current_image_visible):

	Fixed bug #389590 – update image after delete is broken.

	* src/gth-dir-list.c:
	* src/dlg-photo-importer.c:
	* src/catalog-list.c:
	* libgthumb/jpegutils/jpegtran.c:
	* libgthumb/pixbuf-utils.c:
	* libgthumb/gth-sort-utils.c:
	* libgthumb/file-utils.c:
	* libgthumb/dlg-save-image.c:
	* libgthumb/comments.c: #include <strings.h> when using strcasecmp

	* libgthumb/gth-file-list.c: implement gth_file_list_delete as a special
	case of gth_file_list_delete_list

2007-01-02  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-filter.c:
	* src/gth-filter-bar.c: implemented starts_with, ends_with, contains
	operations.  Make filter case insensitive.

	* src/dlg-redeye-removal.c (image_selector_clicked_cb): removed call to
	g_print

2007-01-02  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gth-file-list.c: (gth_file_list_op_free),
	(gth_file_list_queue_op_with_uri),
	(gth_file_list_queue_op_with_list),
	(gth_file_list_queue_op_with_int), (gth_file_list_exec_next_op):
	* libgthumb/jpegutils/jpegtran.c: (update_exif_thumbnail):
	* src/dlg-jpegtran.c: (apply_transformation):
	Minor code tweaks for gcc 2.95 compatibility.
	Patch by Jens Granseuer. Bug 391928.

2007-01-02  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* README: Removed mention of Bonobo components. Bug 389197.

	* data/glade/gthumb_redeye.glade: Added tooltips.

	* doc/C/gthumb.xml: Mention mousewheel-zooming in redeye removal tool.

	* src/dlg-redeye-removal.c: (dlg_redeye_removal):
	Larger preview area, based on gdk_screen_get_width/height. Bug 389587.

2007-01-02  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-crop.c: added help button.

	* src/gth-window-actions-entries.h:
	* src/gth-viewer.c:
	* src/gth-browser.c: use the key_press callback for single-key shortcuts
	to avoid conflict with the filter text entry.

	* src/gth-filter-bar.h:
	* src/gth-filter-bar.c:
	* src/gth-browser.c:
	* libgthumb/typedefs.h:
	* libgthumb/Makefile.am:
	* libgthumb/gth-image-list.h:
	* libgthumb/gth-image-list.c:
	* libgthumb/gth-filter.h:
	* libgthumb/gth-filter.c:
	* libgthumb/gth-file-view-thumbs.c:
	* libgthumb/gth-file-view-list.c:
	* libgthumb/gth-file-view.h:
	* libgthumb/gth-file-view.c:
	* libgthumb/gth-file-list.h:
	* libgthumb/gth-file-list.c:
	* libgthumb/file-data.h:
	* libgthumb/file-data.c: second part of the filter implementation:
	implemented the filter for the gth-image-list widget.  Created a simple
	filter on the filename.

2006-12-28  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-redeye-removal.c (dlg_redeye_removal):
	(image_selector_motion_notify_cb):
	(help_cb): readded the help button.

2006-12-27  Paolo Bacchilega  <paobac@cvs.gnome.org>

	[ gthumb 2.9.1 released ]

	* doc/C/gthumb.xml: removed . outside <para>

	* src/gth-browser.c (gth_browser_construct): removed the filter bar for
	the 2.9.1 version.
	* NEWS: updated for 2.9.1
	* configure.in: changed version to 2.9.1

2006-12-26  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-image-selector.c:
	(realize):
	(update_mouse_selection):
	(set_active_area):
	(get_event_area_from_id):
	(set_cursor): use a GDK_CROSSHAIR cursor, update the cursor while dragging
	the selection.

	* data/glade/gthumb_camera.glade:
	* src/dlg-photo-importer.c: simplyfied the camera dialog, added a
	"no camera detected" message when the list is empty.

2006-12-25  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_camera.glade:
	* src/dlg-photo-importer.c: (model__ok_clicked_cb),
	(get_camera_model_list), (get_autodetect_model_list),
	(model__selection_changed_cb), (populate_model_treeview),
	(model__refresh_cb), (model__manual_select_cb),
	(dlg_select_camera_model_cb):
	Better camera-selection dialog. Reduced number of combo boxes,
	and removed deprecated gtk-combo. Patch by Manuel Braga. Bug 380585.

2006-12-25  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-image-selector.c (update_mouse_selection): fixed selection when
	dragging the top or left sides of the selection box.

2006-12-24  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/glade/gthumb_redeye.glade:
	* src/gth-image-selector.h:
	* src/gth-image-selector.c:
	* src/dlg-redeye-removal.h:
	* src/dlg-redeye-removal.c: many enhancements to the red-eye removal
	dialog

	* data/glade/gthumb_crop.glade:
	* src/dlg-crop.c: added help button

	* src/gth-monitor.c (gth_monitor_class_init):
	* src/gthumb-preloader.c:
	* src/catalog-web-exporter.c:
	* src/catalog-png-exporter.c:
	* src/gth-dir-list.c:
	* libgthumb/gth-file-view.c:
	* libgthumb/gth-image-list.c:
	* libgthumb/image-loader.c: use g_cclosure_marshal_VOID__VOID instead of
	gthumb_marshal_VOID__VOID

2006-12-22  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-iviewer.h:
	* libgthumb/gth-iviewer.c: added zoom_to_fit function to the interface

	* libgthumb/image-viewer.c:
	* src/gth-image-selector.c: implement the zoom_to_fit function

	* dlg-crop.c: use the zoom_to_fit function here

2006-12-21  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/image-viewer.c:

	keep the area pointed by the mouse visible when zooming using
	CTRL + mouse wheel

	* data/glade/gthumb_crop.glade:
	* src/Makefile.am:
	* src/gth-image-history.c:
	* src/gth-image-history.h:
	* src/gth-image-selector.h:
	(set_scroll_adjustments):
	* src/gth-window.c:
	(gth_window_get_can_undo):
	(gth_window_undo):
	(gth_window_edit_comment):
	(gth_window_finalize):
	(gth_window_close):
	(gth_window_redo):
	(gth_window_get_can_redo):
	(gth_window_init):
	(gth_window_update_comment_categories_dlg):
	(gth_window_attach):
	(gth_window_save_pixbuf):
	(gth_window_set_image_pixbuf):
	(gth_window_edit_categories):
	(gth_window_clear_undo_history):
	* src/dlg-crop.c:
	(undo_button_clicked_cb):
	(mask_button_toggled_cb):
	(crop_button_clicked_cb):
	(ratio_optionmenu_changed_cb):
	(dlg_crop):
	(selection_changed_cb):
	(redo_button_clicked_cb):
	(zoom_fit_button_clicked_cb):
	(history_changed_cb):
	(mask_visibility_changed_cb):
	(destroy_cb):
	* src/gth-image-selector.c:
	(gth_image_selector_set_mask_visible):
	(class_init):
	(init_selection):

	Added undo/redo and other enhancements to the crop dialog.

2006-12-17  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (gth_browser_construct):
	* src/gth-filter-bar.c:
	* src/gth-filter-bar.h:

	Initial support for the filter bar.

	* data/glade/gthumb_crop.glade:
	* src/dlg-crop.c:
	* src/gth-image-selector.c:
	* src/gth-image-selector.h:

	Some enhancements to the crop dialog: allow to crop multiple times without
	exiting the dialog; allow to switch on/off the selection mask.
	Zoom in/out with mouse wheel.  Zoom keeping the center of the image
	visible.

	* libgthumb/file-utils.c (remove_extension_from_path): check whether p > 0
	before anything else.

	* libgthumb/dlg-save-image.c (save_image): do not ask whether to overwrite
	an existing image when using the dlg_save_image function.

2006-12-16  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c:
	(gth_file_list_exec_next_op):
	(gfl_empty_list):
	(gth_file_list_set_empty_list):
	* src/gth-browser.c (window_update_file_list):
	(file_list_done_cb):
	(window_set_file_list):
	do not emit the DONE signal when empting the list to show the "wait"
	message.

2006-12-15  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser-actions-callbacks.c (create_new_folder_or_library):
	notify folder creation only when no error occurred.

2006-12-11  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c:
	Tweaks to Exif display categories. Patch by Jef Driesen.
	Bug 339648.

2006-12-10  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/jpegutils/transupp.c:
	* libgthumb/Makefile.am
	* src/Makefile.am
	* configure.in:

	Fixed bug #317056 – gthumb Cygwin build fixes

	* src/gth-browser.c (window_update_go_sensitivity):
	(window_update_sensitivity): update the Go_Stop action sensitivity.
	* libgthumb/print-callbacks.c: removed unused variables and functions.

2006-12-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* configure.in:
	* data/gthumb.schemas.in:
	* libgthumb/Makefile.am:
	* libgthumb/preferences.h:
	* libgthumb/print-callbacks.c: (orientation_is_portrait),
	(print_catalog_info_unref), (pango_font_get_glyph),
	(pci_get_next_line_to_print_delimiter), (pango_font_get_glyphs),
	(pci_get_text_extents), (construct_comment), (pci_print_line),
	(pci_print_paragraph), (pci_print_comment), (add_catalog_preview),
	(catalog_update_page), (catalog_update_custom_page_size),
	(catalog_get_page_width), (catalog_get_page_height),
	(catalog_get_page_left_margin), (catalog_get_page_right_margin),
	(catalog_get_page_top_margin), (catalog_get_page_bottom_margin),
	(catalog_update_page_size_from_config),
	(catalog_set_standard_page_size), (catalog_update_margins),
	(done_print), (begin_print), (preview), (draw_page),
	(pci_update_comment_font), (catalog_portrait_toggled_cb),
	(catalog_landscape_toggled_cb), (print_catalog_cb),
	(load_current_image), (pci_comment_fontpicker_font_set_cb),
	(print_catalog_dlg_full):
	Migrated from libgnomeprint to gtkprint. Bug 362854.
	Requires gtk 2.10.0 now!

	* libgthumb/gnome-print-font-dialog.c:
	* libgthumb/gnome-print-font-dialog.h:
	* libgthumb/gnome-print-font-picker.c:
	* libgthumb/gnome-print-font-picker.h:
	Removed, using gtkprint now.

2006-12-08  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (tag_category), (update_exif_data):
	Fixed possibility of non-unique positioning of "other" exif tags.

2006-12-08  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.c (add_list_done): always exec the next
	operation in queue after adding images to the list.

	* data/gthumb.schemas.in: use ###%e as default filename template for the
	rename dialog.
	* data/glade/gthumb_tools.glade: use "rename" as title for the rename
	dialog.
	* libgthumb/file-data.c: reset thumb and error when updating.
	* gth-file-list.c: no need to reset thumb and error here.

	* src/dlg-rename-series.c:
	* src/gth-browser-actions-callbacks.c:

	Always use the rename series dialog even to rename a single file.
	Fixes bug #383439 – Can't rename one image with series syntax

2006-12-07  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gthumb-marshal.list: added VOID:INT type
	* libgthumb/Makefile.am: fixed creation of the marshal types file.

	* src/gth-dir-list.h (done):
	* src/gth-browser-ui.h:
	* src/gth-dir-list.c (gth_dir_list_change_to__step3):
	(gth_dir_list_init):
	(gth_dir_list_class_init):
	* src/gth-browser.c (window_update_catalog_ui):
	(catalog_activate):
	(dir_list_done_cb):
	(window_update_folder_ui): Add a GnomeVFSResult argument to the dir-list
	DONE signal.  Emit the DONE signal when an error occurrs.  Handle
	directory loading errors as espected. Fixed syntax error in the folder
	ui declaration.  Update the ui when a catalog is loaded.

2006-12-07  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c:
	Shortened one category label, so it is shorter
	than the longest tag name.

2006-12-07  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c:
	Changed exif category labels slightly.

2006-12-07  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (tag_category):
	Final tweaks? Made the tag overlap detection code a bit
	more robust, and added some obscure interop tags.

2006-12-07  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (update_exif_data):
	Code tidy up. Added comments. Fixed small bug with
	GPS / Interop tag overlap.

2006-12-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c:
	Added some missing tags to the categories.

2006-12-06  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c:
	Better categorization of Exif tags.

2006-12-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (tag_category), (update_exif_data):
	Put thumbnail-related exif tags in their own category.

2006-12-05  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-exif-data-viewer.c (tag_is_present_in_category):
	(add_to_exif_display_list):
	(gth_exif_data_viewer_init):
	(gth_exif_data_viewer_update):
	(update_exif_data):
	(tag_category):
	Only check for duplicated tags in the makernote category (is this right?).
	Keep track of the category root with a row_reference instead of a tree_path
	to deal with categories changing their position during nodes insertion.

2006-12-05  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (add_to_exif_display_list),
	(tag_category), (update_exif_data):
	Added GPS category. Exif tag category display still has some
	issues however - see bug 339648.

2006-12-04  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-exif-data-viewer.c (update_exif_data):
	(tag_category):
	Organize exif tags in categories.

	* src/gth-exif-data-viewer.c (tag_is_present_in_category):
	(add_to_exif_display_list):
	(update_exif_data):
	(tag_is_present):
	Fixed the tag_is_present function.

2006-12-04  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c:
	Added more verbose category names (Filesystem Data, Standard Exif Tags,
	MakerNote Exif Tags.

2006-12-04  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-exif-data-viewer.c (gth_exif_data_viewer_construct):
	make the columns autoresize, set headers visible.

	* src/gth-exif-data-viewer.c (add_to_exif_display_list):
	(gth_exif_data_viewer_construct):
	(gth_exif_data_viewer_init):
	(gth_exif_data_viewer_update):
	(update_exif_data):
	(tag_is_present):
	(update_file_info):

	Use a tree view to organize the image metadata.  Currently 3 categories are
	used: file, exif, note.

2006-12-04  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (update_exif_data):
	  Minor corrections to the Exif display code.
	  Patch by Jef Driesen. Bug 339648.

	* src/gth-window-actions-entries.h:
	  Add Ctrl+P shortcut for print.

2006-12-03  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-file-list.h:
	* libgthumb/gth-file-list.c (gfl_delete_list):
	(load_new_list):
	(gfl_rename):
	(gth_file_list_exec_next_op):
	(gth_file_list_delete_list):

	Added function to remove a series of images.

	* src/gth-browser.c (file_list_done_cb):
	(gth_browser_notify_files_changed):
	(activate_catalog_done):
	(gth_browser_notify_files_deleted):
	(gth_browser_notify_files_created):
	(monitor_update_cat_files_cb):

	simplified notification functions.

	* src/dlg-jpegtran.c:
	* src/gth-window-actions-callbacks.c:
	* src/main.c:
	* src/dlg-search.c:
	* src/gth-monitor.c:
	* src/main.h:
	* libgthumb/thumb-loader.h:

	Removed the bonobo.h inclusion if not needed. Restore the file monitor
	in a idle callback.

2006-12-02  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (key_press_cb):
	* src/gth-browser-ui.h:
	* src/gth-fullscreen.c (viewer_key_press_cb):
	* src/gth-window-actions-entries.h:
	* src/gth-viewer.c (viewer_key_press_cb):

	Added the X keybinding in the action antry structure.  Added W keybinding
	in fullscreen mode too.

2006-12-01  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/catalog.c (catalog_free):
	(catalog_write_to_disk):
	(catalog_new):
	(catalog_remove_item):
	(catalog_add_item):
	(catalog_load_from_disk__common):
	(error_on_saving):
	* libgthumb/typedefs.h: fixed catalog sorting.

	* src/gth-exif-data-viewer.c (add_to_exif_display_list):
	(update_exif_data): removed unused function and variable.

	* src/gth-browser.c (gth_browser_construct): init the reset_scrollbars
	option.

	* src/gth-fullscreen.c: (gth_fullscreen_construct):	Init to
	fit-size_if_larger when using keep_prev_zoom.

	* src/gth-exif-data-viewer.c (add_to_exif_display_list): fixed compiler
	warning.

	* src/gth-browser.c:
	* src/dlg-file-utils.c:
	* src/gth-fullscreen.c:
	* src/gth-window-actions-callbacks.c:
	* src/dlg-preferences.c:
	* src/gth-viewer.c:
	* libgthumb/preferences.c:
	* libgthumb/image-viewer.c:
	* libgthumb/image-viewer.h:
	* data/glade/gthumb_preferences.glade:

	Added a fit_width_if_larger mode for the image_viewer and use it for the
	zoom_width toolbar button.  Init the viewer to zoom_fit_if_larger mode
	when using the keep_previous_zoom mode.

	* data/gthumb.schemas.in: set keep_prev as default value for the
	zoom_change key.

2006-12-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (add_to_exif_display_list),
	(update_exif_data), (update_file_info):
	  Added the ability to view Exif "MakerNote" data.

2006-12-01  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c:
	* src/gth-dir-list.c:
	* libgthumb/gth-file-list.h:
	* libgthumb/gth-file-list.c:
	* libgthumb/file-data.h:
	* libgthumb/gth-sort-utils.c:
	* libgthumb/file-data.c:

	Fixed some directory loading errors.

2006-12-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* configure.in:
	  Update libexif requirement to 0.6.13, from 0.6.9

	* doc/C/gthumb.xml:
	  Corrected spelling error ("usefull")

	* src/gth-exif-data-viewer.c: (update_exif_data),
	(update_file_info):
	  Removed filtering of Exif tags - all are shown now. Added the ability
	  to display GPS-related Exif tags. Bug 339648.

2006-12-01  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-exif-data-viewer.c: (update_file_info):
	  Prefix filesystem-based fields with "File ", to distinguish from
	  Exif data.

2006-11-30  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS: updated news for 2.9.0, based on earlier commits.

2006-11-30  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gs-fade.c (gamma_info_init): return FALSE when HAVE_XF86VMODE_GAMMA is false.

2006-11-30  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* Makefile.am:
	* configure.in:
	* components/*: deleted

	Removed the Bonobo components because they are unused and untested since a
	long time. Bonobo is dying :(

	* libgthumb/Makefile.am:
	* src/Makefile.am:

	Fixed bug #355353 – gthumb should build when srcdir != objdir
	Patch by Marty Leisner

	* src/gth-window-actions-callbacks.c:

	Perform a fit_if_larger zoom instead of a zoom_to_fit zoom.

	* src/gth-fullscreen.c:

	Removed a useless comment.

	* src/dlg-search.c:

	Usa a gth-file-list widget to display the found images.

	* src/catalog-list.h:

	Reformatted

	* components/catalog-view/catalog-nautilus-view.c:
	* libgthumb/gth-file-list.c:
	* libgthumb/gth-file-list.h:
	* src/dir-list.c: removed
	* src/dir-list.h: removed
	* src/gth-dir-list.c:
	* src/gth-dir-list.h: renamed dir-list.[ch] as gth-dir-list.[ch]
	* src/dlg-image-prop.c:
	* src/gth-browser.c:
	* src/gth-browser.h:
	* src/main.c:
	* src/Makefile.am:

	Use a signal based system for loading and showing images instead of the
	error-prone callback based system.

	* src/gth-browser.c:

	Fixed bug #377846 – gtk_toolbar_remove: assertion `content_to_remove
	!= NULL' failed

2006-11-29  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (gth_browser_notify_update_layout_cb),
	(gth_browser_construct):
	* src/gth-fullscreen.c: (gth_fullscreen_construct):
	* src/gth-viewer.c: (gth_viewer_construct):
	* src/gth-window.c: (gth_window_init), (gth_window_get_type),
	(gth_window_get_can_redo), (gth_window_attach):
	* src/gth-window.h:
	  Replaced deprecated gnome_app functions with gtk equivalents.
	  Bug 171601. Patch by Manuel Braga.

2006-11-27  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (key_press_cb):
	  Add Escape key to quit viewer mode (show sidebar).
	  ("Escape" doesn't work as an accelator for the Close
	  toolbar item, for some reason).

2006-11-27  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* libgthumb/gth-image-list.c (gth_image_list_expose): use the allocation
	size instead of the size returned by gdk_drawable_get_size

	* src/dir-list.c (dir_list_refresh_continue): use path_list_free

2006-11-26  Paolo Bacchilega  <paobac@cvs.gnome.org>

    * libgthumb/file-list.c (path_list_dup): special case when list == NULL

	* libgthumb/gth-image-list.c (gth_image_list_clear): freeze the ui while
	clearing the image list.

	* libgthumb/jpegutils/jpegtran.c: reformatted.

	* libgthumb/gth-file-view-thumbs.c:
	* libgthumb/gth-file-view.h:
	* libgthumb/gth-file-view.c:
	* libgthumb/typedefs.h:

	started support for file list filtering.

	* gthumb-stock.c:
	* gthumb-stock.h: added GTHUMB_STOCK_LIBRARY
	* libgthumb/file-utils.c:
	* src/gth-location.c:
	* src/main.c:

	started support for catalog directories in the history list.

	* libgthumb/gth-file-list.c:
	* libgthumb/gth-file-list.h:
	* components/catalog-view/catalog-nautilus-view.c
	(catalog_nautilus_view_load_location): stop thumbnails loading before
	filtering the file_list.  Do not duplicate the entire file_list, simply
	use the one passed as parameter.

	* src/gth-viewer.c:
	* src/gth-viewer-ui.h:
	* src/gth-browser-ui.h:
	* src/gth-browser-actions-callbacks.c:
	* src/gth-browser-actions-callbacks.h:
	* src/gth-browser-actions-entries.h:

	reorganized toolbars.

	* src/gth-browser.c (gth_browser_construct): added a location toolbar.

	* libgthumb/jpegutils/jpegtran.c (update_exif_thumbnail): use
	g_malloc/g_free instead of malloc/free.

	* src/gth-browser-actions-entries.h: use "by modification time" instead of
	"by file time".
	* libgthumb/gth-file-view-list.c (add_columns):
	* src/dir-list.c (add_columns):
	* src/catalog-list.c (add_columns): added ellipsize property.

2006-11-25  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* src/gth-fullscreen.c (mouse_wheel_scrolled_cb):
	* libgthumb/preferences.c (pref_get_check_type):
	* libgthumb/preferences.h:
	* src/gth-browser.c:
	* data/gthumb.schemas.in:
	* src/dlg-preferences.c (dlg_preferences):
	* libgthumb/image-viewer.c:
	* libgthumb/image-viewer.h:
	* src/gth-viewer.c:

	Use a simple boolean value for the reset_scrollbars option.  Do not read
	the gconf preference from the image-viewer widget, use a notification value
	signal from the gth-browser widget instead.  Put the rotate tool at the end
	of the toolbar in the viewer window.  Fixed some warnings.

2006-11-24  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/jpegutils/jpegtran.c: (update_exif_thumbnail):
	  Discard corrupted thumbnails if present.
	  Patch by Jef Driesen. Bug 361913.

2006-11-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser-ui.h:
	* src/gth-fullscreen-ui.h:
	* src/gth-viewer-ui.h:
	  Re-positioned zoom-to-width toolbar item.

2006-11-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/jpegutils/jpeg-memory-mgr.c: (jpeg_memory_src):
	* libgthumb/jpegutils/jpeg-memory-mgr.h:
	* libgthumb/jpegutils/jpegtran.c: (update_exif_thumbnail),
	(update_exif_data), (jpegtran_internal), (jpegtran_thumbnail),
	(jpegtran):
	* libgthumb/jpegutils/jpegtran.h:
	  Added error handling to jpeg/exif thumbnail
	  transformation code. Patch by Jef Driesen. Bug 361913.

2006-11-23  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gthumb-stock.c:
	* libgthumb/gthumb-stock.h:
	* libgthumb/icons/Makefile.am:
	* libgthumb/icons/zoom-width-16.png:
	* libgthumb/icons/zoom-width-24.png:
	* libgthumb/image-viewer.c: (zoom_to_width),
	(image_viewer_zoom_in), (image_viewer_zoom_to_width):
	* src/gth-browser-ui.h:
	* src/gth-browser.c: (window_update_zoom_sensitivity):
	* src/gth-fullscreen-ui.h:
	* src/gth-fullscreen.c: (update_zoom_sensitivity)
	* src/gth-viewer-ui.h:
	* src/gth-viewer.c: (viewer_update_zoom_sensitivity):
	* src/gth-window-actions-callbacks.c:
	(gth_window_activate_action_view_zoom_to_width):
	* src/gth-window-actions-callbacks.h:
	* src/gth-window-actions-entries.h:
	  Added a zoom-to-fit-width function. Bug 148971.

	* src/gth-fullscreen.c: (mouse_wheel_scrolled_cb),
	(gth_fullscreen_construct):
	  Extended mouse-wheel navigation to fullscreen mode.

2006-11-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/gthumb.schemas.in:
	* src/dlg-rename-series.c: (comp_func_name), (comp_func_size),
	(comp_func_time), (comp_func_exif_date), (comp_func_path),
	(comp_func_comment), (comp_func_none), (get_sortfunc),
	(update_list), (dlg_rename_series):
	  Extended the sort-by-comment and sort-by-ExifDateTime
	  modes to series renaming. Bugs 373557, 167791.

2006-11-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/glade/gthumb_preferences.glade:
	* data/gthumb.schemas.in:
	* doc/C/gthumb.xml:
	* libgthumb/image-viewer.c: (image_viewer_set_void),
	(image_loaded):
	* libgthumb/image-viewer.h:
	* libgthumb/preferences.c:
	* libgthumb/preferences.h:
	* src/dlg-preferences.c: (opt_scrollbar_position_reset_cb),
	(opt_scrollbar_position_keep_cb), (dlg_preferences):
	  Added preference for scrollbar positioning after
	  next/previous. Bug 309156.

	* src/gth-browser.c: (mouse_wheel_scrolled_cb):
	  Tweaked mouse wheel implementation, so that
	  wheel down = page down = next image.

2006-11-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser.c: (key_press_cb):
	  Forgot to free a list added in the last commit. Fixed.

2006-11-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* doc/C/gthumb.xml:
	* src/gth-browser.c: (key_press_cb):
	* src/gth-fullscreen.c: (viewer_key_press_cb):
	* src/gth-window-actions-entries.h:
	  Changed the animation toggle from "g" to "a".
	  Added a gimp shortcut key "g". Updated docs.

2006-11-22  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/gthumb-marshal.list:
	* libgthumb/image-viewer.c: (image_viewer_class_init),
	(image_viewer_scroll_event):
	* libgthumb/image-viewer.h:
	* src/gth-browser.c: (mouse_wheel_scrolled_cb),
	(gth_browser_construct):
	  Implemented next/prev image navigation function
	  for the mouse wheel. Bug 131416.

2006-11-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-browser-actions-entries.h:
	  Added ctrl+shift+N shortcut for new folder. Bug 171048.

	* src/gth-browser.c: (key_press_cb):
	  Added F5 shortcut for refresh (adds to Ctrl+R). Bug 171048.

2006-11-21  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* doc/C/gthumb.xml:
	  Removed mention of the "Q" shortcut, because it does
	  not work (lower-case function makes it useless).

	* src/gth-browser.c: (toggle_image_preview_visibility),
	(key_press_cb), (gth_browser_hide_sidebar),
	(gth_browser_show_image_pane):
	  Removed the Escape shortcut (to close image preview),
	  because it is unexpected behaviour. Replaced Q/Esc functionality
	  by expanding the functionality of the "i" shortcut to toggle
	  the preview/properties/comments in all modes.

2006-11-20  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/dlg-search.c (directory_load_cb):
	* libgthumb/file-utils.c (uri_is_root):
	* libgthumb/file-utils.h: new function

	add the toplevel method the filename and use the uri_is_root function to
	check whether an uri is the root folder.

2006-11-19  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-viewer.c:
	* src/catalog-png-exporter.c:
	* libgthumb/gth-file-view-thumbs.c (get_compfunc_from_method):
	* libgthumb/gth-sort-utils.c (gth_sort_by_filename_but_ignore_path):
	* libgthumb/gth-file-view-list.c (comp_func_comment):
	* libgthumb/gth-sort-utils.h:

	fixed compiler warnings, reformatted some code.

2006-11-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/file-data.c: (file_data_new), (file_data_update):
	* libgthumb/file-data.h:
	* libgthumb/gth-file-view-list.c: (comp_func_exif_date):
	* libgthumb/gth-file-view-thumbs.c: (comp_func_exif_date):
	* libgthumb/gth-sort-utils.c: (gth_sort_by_filetime_then_name),
	(gth_sort_by_exiftime_then_name):
	* libgthumb/gth-sort-utils.h:

	Read exif DateTime tags for files in browser view only at
	sort time, and cache them. This eliminates unnecessary file reads
	in the other sort modes. Bug 142590.

2006-11-18  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser.c (add_rotate_toolbar_item):

	added a separator before the rotate toolbar item.

	* src/dlg-search.c (file_respects_search_criteria):

	ignore the path till the starting folder when matching the filepath

2006-11-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* data/gthumb.schemas.in:
	* libgthumb/file-data.c: (file_data_new), (file_data_update):
	* libgthumb/file-data.h:
	* libgthumb/gth-file-view-list.c: (comp_func_exif_date),
	(get_compfunc_from_method):
	* libgthumb/gth-file-view-thumbs.c: (comp_func_exif_date),
	(get_compfunc_from_method):
	* libgthumb/preferences.c:
	* libgthumb/typedefs.h:
	* src/catalog-png-exporter.c: (comp_func_exif_date),
	(get_sortfunc), (image_loader_done):
	* src/catalog-web-exporter.c: (comp_func_exif_date),
	(get_sortfunc), (image_loader_done):
	* src/dlg-png-exporter.c: (dlg_png_exporter_pref):
	* src/dlg-web-exporter.c: (dlg_web_exporter):
	* src/gth-browser-actions-entries.h:
	* src/gth-browser-ui.h:
	* src/gth-browser.c: (window_sync_sort_menu):
	  Added sort by Exif DataTime tag. Bugs 373557, 142590.

2006-11-18  Paolo Bacchilega  <paobac@cvs.gnome.org>

	* src/gth-browser-ui.h:

	removed Save from the toolbar, moved Comment and Categories to the end.

	* src/gth-browser-actions-entries.h:
	* libgthumb/gthumb-stock.c:
	* libgthumb/icons/Makefile.am:
	* src/gth-fullscreen-actions-entries.h:

	use GTK_STOCK_GO_[BACK|FORWARD] instead of GTUHMB_STOCK_[NEXT|PREV]_IMAGE.

	* src/gth-browser.c: include rotation-utils.h

2006-11-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/Makefile.am:
	* libgthumb/gth-sort-utils.c: (gth_sort_by_comment_then_name),
	(gth_sort_by_size_then_name), (gth_sort_by_filetime_then_name),
	(gth_sort_by_filename_but_ignore_path), (gth_sort_by_full_path):
	* libgthumb/gth-sort-utils.h:
	  Added gth-sort-utils.* to rationalize sorting functions.
	  Part of bug 373557.

	* libgthumb/gth-file-view-list.c: (comp_func_name),
	(comp_func_size), (comp_func_time), (comp_func_path),
	(comp_func_comment):
	* libgthumb/gth-file-view-thumbs.c: (comp_func_name),
	(comp_func_size), (comp_func_time), (comp_func_path),
	(comp_func_comment):
	* src/catalog-png-exporter.c: (comp_func_name), (comp_func_path),
	(comp_func_comment), (comp_func_time), (comp_func_size):
	* src/catalog-web-exporter.c: (comp_func_name), (comp_func_path),
	(comp_func_comment), (comp_func_time), (comp_func_size):
	  Use new gth-sort-utils.c functions for consistent sorting.

	* libgthumb/glib-utils.c: (strcmp_null_tollerant):
	  Removed unnecessary comparisons (logically impossible).

2006-11-17  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/catalog-web-exporter.c: (image_data_new):
	  Corrected output file naming of non-jpeg images in web
	  album export. Always use original file extension.

	* src/catalog-web-exporter.c:
	  (export__copy_image__progress_update_cb), (export__copy_image):
	  Added transform-to-top-left step for copied originals, to ensure
	  proper viewing in browsers that ignore exif tags. Bug 370013.

2006-11-16  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/jpegutils/Makefile.am:
	* libgthumb/jpegutils/jpeg-memory-mgr.c: (init_source),
	(fill_input_buffer), (skip_input_data), (term_source),
	(init_destination), (empty_output_buffer), (term_destination),
	(jpeg_memory_src), (jpeg_memory_dest):
	* libgthumb/jpegutils/jpeg-memory-mgr.h:
	* libgthumb/jpegutils/jpegtran.c: (update_exif_thumbnail):
	  New files to hold jpeg callback functions, as a
	  refinement of the developing code to rotate embedded
	  thumbnails. Patch by Jef Driesen. Bug 361913.

2006-11-15  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/gth-location.c: (monitor_changed_cb),
	(gth_location_finalize), (gth_location_class_init):
	  Possible fix to the frequently-duped bug 356623. Removes
	  all monitor_changed_cb signal handlers during finalize
	  to avoid unref race conditions. Patch by Manuel Braga.

2006-11-15  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* libgthumb/jpegutils/jpegtran.c: (jpegtran): Fixed memory
	  and file descriptor leaks in error handling code.
	  Patch by Jef Driesen. Bug 361913.

2006-11-15  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* src/catalog-web-exporter.c:
	(copy_exif_from_orig_and_reset_orientation), (save_thumbnail_cb),
	(save_image_preview_cb), (save_resized_image_cb):
	  Renamed copy_exif_from_orig_and_reset_orientation for clarity.
	  Added comments.

	* src/gth-browser.c: (save_jpeg_data):
	* src/gth-viewer.c: (save_jpeg_data):
	  Reverted to file-based modification of orientation tags when
	  saving pixbufs, rather than modifying the in-memory tags.
	  This is less efficient, but will have fewer unintended
	  consequences. Bug 370013.

2006-11-13  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* doc/C/gthumb.xml: Expanded the web album section
	  of the manual, including more details about headers
	  and footers. Patch by Rennie deGraaf.

2006-11-12  Michael J. Chudobiak  <mjc@cvs.gnome.org>

